<!DOCTYPE html>
<html lang="de-DE">
<%@ page language="java" 
	pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"
	import="java.util.Date"
	import="java.util.Calendar"
	import="java.util.GregorianCalendar"
	import="de.ped.advent.logic.Advent"
	import="de.ped.tools.web.PageRef"
	import="de.ped.tools.web.RootBean"
%><%
	RootBean bean = new RootBean();
	Advent advent = new Advent();
	bean.setThisPageRef(PageRef.ADVENT);
	bean.setServletContext(getServletContext());
	bean.readParameters(request);
	final String vFor   = Advent.parseParam(Advent.PARAM_KEY_FOR,   request.getParameter(Advent.PARAM_KEY_FOR));
	final String vDemo  = Advent.parseParam(Advent.PARAM_KEY_DEMO,  request.getParameter(Advent.PARAM_KEY_DEMO));
	final String vItem  = Advent.parseParam(Advent.PARAM_KEY_DATE,  request.getParameter(Advent.PARAM_KEY_DATE));
	final String vAll   = Advent.parseParam(Advent.PARAM_KEY_ALL,   request.getParameter(Advent.PARAM_KEY_ALL));
	final String vLocal = Advent.parseParam(Advent.PARAM_KEY_LOCAL, request.getParameter(Advent.PARAM_KEY_LOCAL));
	final String vReset = Advent.parseParam(Advent.PARAM_KEY_RESET, request.getParameter(Advent.PARAM_KEY_RESET));
	final String vStory = Advent.parseParam(Advent.PARAM_KEY_STORY, request.getParameter(Advent.PARAM_KEY_STORY));
	final String vPart  = Advent.parseParam(Advent.PARAM_KEY_PART,  request.getParameter(Advent.PARAM_KEY_PART));
	final boolean isTitle = !advent.isOpen(vItem, vDemo); 
	advent.setLocalDB(vLocal);
	final String empty = ""; 
%>
<%= bean.head("Peter Diefenbach: Adventskalender", "Adventskalender", "Adventskalender by Peter Diefenbach") %>
<body <%= bean.bodyAttribs(isTitle ? vFor : empty) %> >
	<%= bean.bodyStart() %>
	<!-- - - - - - - - - - - - - - - -->
<% 
	final String saveRet = advent.saveStory(vItem, vFor, vPart, vStory);
	if (null != saveRet) {
%>
		<h1>Save result was:</h1>
		<p><%= saveRet %></p>
<%
	}
	final int itemYear = advent.getYear(vItem);
	if (!isTitle) { 
		final String urlUp = Advent.href(Integer.toString(itemYear), vFor, vDemo);
%>
		<h1><%= bean.titleImg() %><a href="<%= urlUp %>"><%= advent.getTitle(vFor) %> <%= itemYear %></a></h1>
<%=		advent.getContent(vItem, vFor, vDemo, vAll) %>
<%
	} else { 
%>
		<h1><%= advent.getTitle(vFor) %> <%= itemYear %> </h1>
		<table class="doors" style="">
			<tbody>
<%
			final int[] shuffled = advent.shuffle(itemYear);
			for (int row = 0; row < 4; row++) {
%>
				<tr>
<%
				for (int col = 0; col < 6; col++) {
					final int d = shuffled[row * 6 + col];
					final String key = Advent.createKey(itemYear, 12, d);
					final String urlDown = Advent.href(key, vFor, vDemo);
					if (advent.isOpen(key, vDemo)) {
%>
						<td id="<%= key %>" class="open" onclick="fnClick(this, '<%= urlDown %>')"><%= d %></td>
<%
					} else {
%>
						<td id="<%= key %>" class="closed"><%= d %></td>
<%
					}
				}
%>
				</tr>
<%
			}
%>
			</tbody>
		</table>
<%
	}
%>

	<!-- - - - - - - - - - - - - - - -->
	<%= bean.bodyEnd("    Einen schönen Advent wünschen Claudia und Peter") %>

	<script type="text/javascript">
		function fnClick(element, url) {
			console.log("fnClick(" + element.id + ", " + url + ")");
			window.open(url, "_self"); 
		}
	</script>

</body>
</html>
