package de.ped.atari8bit.logic;

import de.ped.atari8bit.logic.DiskImage.DOS;

/**
 * Defines a structure to contain a full sector content.
 * 
 * @author Copyright (c) 2002 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PredefinedSector {
	public final DOS dos;
	public final DiskImage.SectorType sectorType;
	public final int sector;
	private final byte[] content;

	public PredefinedSector(
			final DOS dos, 
			final int sector, 
			final DiskImage.SectorType sectorType, 
			final int[] content) {
		this.dos = dos;
		this.sectorType = sectorType;
		this.sector = sector;
		this.content = toSectorData(content);
	}

	private static byte[] toSectorData(final int[] content) {
		final byte[] ret = new byte[content.length];
		for (int i = 0; i < ret.length; i++) {
			ret[i] = (byte)(content[i] & 0xff);
		}
		return ret;
	}

	public byte[] content() {
		return content;
	}
}