package de.ped.atari8bit.logic;

import de.ped.tools.Assert;

/**
 * Main class for the Atari8bit Disk Converter.
 * 
 * @author Copyright (c) 2002 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Start {
	public static void copyXLSTToATR(final String filenamePrefix, final boolean isToShorten) {
		System.out.println("Copy of " + filenamePrefix + " is started.");
		final XLSTDiskImage source = new XLSTDiskImage();
		final ATRDiskImage destin = new ATRDiskImage();
		source.load(filenamePrefix + ".XLD");
		destin.copyFrom(source);
		Assert.assertTrue(destin.equalsTo(source));
		if (isToShorten) {
			destin.shorten();
		}
		destin.save(filenamePrefix + ".ATR");
		System.out.println("Copy of " + filenamePrefix + " is finished.");
	}

	public static void main(final String[] args) {
		final String path = "F:\\Peter\\Atari800\\XLST\\XL";
		copyXLSTToATR(path + "\\" + "ASSEMBLE", false);
		copyXLSTToATR(path + "\\" + "BASBASE", false);
		copyXLSTToATR(path + "\\" + "BASGAMES", false);
		copyXLSTToATR(path + "\\" + "BASGRAF", false);
		copyXLSTToATR(path + "\\" + "BASSOUND", false);
		copyXLSTToATR(path + "\\" + "DOS25", false);
		copyXLSTToATR(path + "\\" + "DOSPTEST", false);
		copyXLSTToATR(path + "\\" + "FORMEC", false);
		copyXLSTToATR(path + "\\" + "FORMEI", false);
		copyXLSTToATR(path + "\\" + "FORMPDOS", false);
		copyXLSTToATR(path + "\\" + "FORMSC", false);
		copyXLSTToATR(path + "\\" + "FORMSI", false);
		copyXLSTToATR(path + "\\" + "MAC65", false);
		copyXLSTToATR(path + "\\" + "SUBMISS", false);
		copyXLSTToATR(path + "\\" + "TURBOBAS", false);
		copyXLSTToATR(path + "\\" + "TURENTW", false);
		copyXLSTToATR(path + "\\" + "TURMUSIK", false);
		copyXLSTToATR(path + "\\" + "UTLS", false);
	}
}
