package de.ped.atari8bit.test;


import static org.junit.Assert.*;

import java.io.File;

import org.junit.*;

import de.ped.atari8bit.logic.ATRDiskImage;
import de.ped.tools.log.Level;
import de.ped.tools.log.Logger;

/**
 * Tests {@link ATRDiskImage}.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class ATRDiskImageTest {

	transient Logger logger = Logger.getLogger(getClass());
	{
		logger.setLogLevel(Level.INFO);
	}

	@Test
	public void testATRDiskCopy() {
		final ATRDiskImage obj = new ATRDiskImage();
		final File file = new File(KittenExtractor.PATH + "KITTEN.atr");
		logger.debug("File1=" + file.getAbsolutePath());
		obj.load(file.getPath());
		logger.debug(obj.getATRHeader().dump());
		obj.save(KittenExtractor.PATH + "KITTEN2.atr");
		final ATRDiskImage obj2 = new ATRDiskImage();
		obj2.load(KittenExtractor.PATH + "KITTEN2.atr");
		assertTrue(obj.containsSameData(obj2));
		assertArrayEquals(obj.getRawdata(), obj2.getRawdata());
		assertEquals(obj, obj2);

		final ATRDiskImage obj3 = new ATRDiskImage();
		obj3.copyFrom(obj);
		obj3.save(KittenExtractor.PATH + "/KITTEN2.atr");
		logger.debug(obj3.getATRHeader().dump());
		assertEquals(obj, obj3);
	}

	@Test
	public void testNothing() {
		// Only here so that the other tests can be safely ignored
	}
}
