package de.ped.atari8bit.test;


import java.io.File;
import java.io.IOException;

import org.junit.*;

import de.ped.atari8bit.logic.ATRDiskImage;
import de.ped.tools.TextFormatter;
import de.ped.tools.log.Level;
import de.ped.tools.log.Logger;

/**
 * Not a test, but a use case.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class KittenExtractor {

	// FIXME: Use ResourceLocator instead of this direct file access.
	public static final String PATH = "src/de/ped/atari8bit/test/resources/";

	public void extractKittenFiles(final String diskFileName, final String destFolderName) throws IOException {
		final Logger logger = Logger.getLogger(getClass());
		logger.setLogLevel(Level.INFO);
		final ATRDiskImage disk = new ATRDiskImage();
		disk.load(diskFileName);
		logger.debug("Sectors=" + disk.getNumOfSectors());
		logger.debug(TextFormatter.hexdump(disk.getSector(0x169)));
		final ATRDiskImage.DirectoryEntry entry = disk.getDirEntry(0);
		logger.debug(entry.dump());
		final ATRDiskImage.DirectoryEntry[] dir = disk.getDirEntries();
		for (final ATRDiskImage.DirectoryEntry e : dir) {
			logger.debug(e.dump());
		}
		final File directory = new File(destFolderName);
		directory.mkdirs();
		disk.exportFiles(destFolderName);
	}

	@Test
	public void extractKittenFiles() throws IOException {
		extractKittenFiles(PATH + "HTSKitten -bas.atr", PATH + "HappyTrashSoftware");
		extractKittenFiles(PATH + "HTSKitten Andreas Koch -bas.ATR", PATH + "AndreasKoch");
	}

	@Test
	public void dummy() {
		// Nothing to do
	}
}
