package de.ped.conquest.gui;

import java.awt.Frame;

import de.ped.tools.Messages;
import de.ped.tools.gui.ApplicationOrApplet;

/**
 * Starts the whole game - if as applet or as application.
 * 
 * @author Copyright (c) 2001 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Conquest extends ApplicationOrApplet {
	private static final long serialVersionUID = 1L;

	/**
	 * The main entry point for the application.
	 * 
	 * @param args
	 *            array of parameters passed to the application via the command
	 *            line
	 */
	public static void main(final String[] args) {
		applicationPreCreate();
		applicationPostCreate(new Conquest(), args);
	}

	@Override
	protected Messages createMessages() {
		return new Messages(
				"de.ped.conquest.logic.messages", 
				"Conquest", 
				"v2.2", 
				"Copyright 2001-2024 Peter Diefenbach (peter@pdiefenbach.de)", 
				"A board game",
				"A board game",
				Messages.DEFAULT_LOCALES, 
				findParameter(PARAM_KEY_LANGUAGE).getValue(),
				Messages.DEFAULT_LOCALE_INDEX);
	}

	@Override
	protected String getPathToResources() {
		return "de/ped/conquest/resources";
	}

	@Override
	protected Frame createFrame() {
		return new ConquestMainWindow(this);
	}
}
