package de.ped.conquest.logic;

import java.util.Vector;
import de.ped.tools.MathUtil;
import de.ped.tools.PlayfieldPosition;

/**
 * Implements a computer strategy that just picks a move randomly.
 * 
 * @author Copyright (c) 2001 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class ComputerPlayerRandom extends Player {
	static String STRATEGY_NAME = Player.STRATEGY_NAME_RANDOM;

	@Override
	protected PlayfieldPosition suggestStartPos() {
		final Vector<PlayfieldPosition> v = getGame().getPossibleStartPositions();
		final int idx = MathUtil.random(v.size());
		return (PlayfieldPosition) v.elementAt(idx);
	}

	@Override
	protected PlayfieldPosition suggestEndPos() {
		final Vector<PlayfieldPosition> v = getGame().getGameState().findAllPossibleDestinationsFrom(getGame().getCurrentMoveStartPos());
		final int idx = MathUtil.random(v.size());
		return (PlayfieldPosition) v.elementAt(idx);
	}

	@Override
	public String getPlayerTypeName() {
		return STRATEGY_NAME;
	}
}
