package de.ped.conquest.logic;

import de.ped.tools.PlayfieldPosition;

/** 
 * The interface representing a GameMove factory. 
 * 
 * @author Copyright (c) 2011 Peter Diefenbach (peter@pdiefenbach.de)
 */
public interface GameMoveCreateable {
	/**
	 * Creates a GameMove object with the given parameters.
	 * 
	 * @param fromState
	 *            the game state to start from
	 * @param start
	 *            the playfield position where the move starts
	 * @param end
	 *            the playfield position where the move ends
	 * @param distance
	 *            the playfield distance between start and end of the move
	 *            (redundancy provided for performance reasons)
	 * @return the according game move object
	 */
	public GameMove createGameMove(
			final GameState fromState, 
			final PlayfieldPosition start, 
			final PlayfieldPosition end, 
			final int distance);
}
