package de.ped.conquest.logic;

import de.ped.tools.PlayfieldPosition;

/** 
 * The standard implementation for a GameMove factory, creating GameMove objects. 
 * 
 * @author Copyright (c) 2011 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class GameMoveFactory implements GameMoveCreateable {

	@Override
	public GameMove createGameMove(
			final GameState fromState, 
			final PlayfieldPosition start, 
			final PlayfieldPosition end, 
			final int distance) {
		return new GameMove(fromState, start, end, distance);
	}
}
