package de.ped.deinbac.gui;

import java.awt.Frame;

import de.ped.tools.Messages;
import de.ped.tools.gui.ApplicationOrApplet;

/**
 * Starts the whole game - if as applet or as application.
 * 
 * @author Copyright (c) 2008 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Deinbac extends ApplicationOrApplet {
	private static final long serialVersionUID = 1L;

	/**
	 * The main entry point for the application.
	 *
	 * @param args
	 *            array of parameters passed to the application via the command
	 *            line
	 */
	public static void main(final String[] args) {
		applicationPreCreate();
		applicationPostCreate(new Deinbac(), args);
	}

	@Override
	protected String getPathToResources() {
		return "de/ped/deinbac/resources";
	}

	@Override
	protected Messages createMessages() {
		return new Messages(
				"de.ped.deinbac.logic.messages", 
				"DeinBac", 
				"v2.0", 
				"Copyright 1988-2024 Peter Diefenbach (peter@pdiefenbach.de)", 
				"An evolutionary simulation",
				"An evolutionary simulation",
				Messages.DEFAULT_LOCALES, 
				findParameter(PARAM_KEY_LANGUAGE).getValue(),
				Messages.DEFAULT_LOCALE_INDEX);
	}

	@Override
	protected Frame createFrame() {
		return new DeinbacMainWindow(this);
	}
}
