package de.ped.deinbac.gui;

import de.ped.deinbac.logic.GameProperties;
import de.ped.tools.gui.ApplicationMainWindow;
import de.ped.tools.gui.Wizard;

/**
 * The wizard to start a new game.
 * 
 * @author Copyright (c) 2023 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class NewGameSelectionWizard extends Wizard {
	private static final long serialVersionUID = 1L;

	public NewGameSelectionWizard(final ApplicationMainWindow owner,
			final String title) {
		super(owner, owner, title, "Help.Properties");
		model = ((DeinbacMainWindow) owner).getModel().getProps();
		pdType = new NewGameSelectionPanelGameType(this);
		pdDeinbac = new NewGameSelectionPanelDeinbacProps(this);
		pdLife = new NewGameSelectionPanelLifeProps(this);
		registerWizardPanel(pdType);
		registerWizardPanel(pdDeinbac);
		registerWizardPanel(pdLife);
		setCurrentPanelId(pdType.getPanelId());
		pack();
	}

	public GameProperties getModel() {
		return model;
	}

	private GameProperties model;
	private NewGameSelectionPanelGameType pdType;
	private NewGameSelectionPanelDeinbacProps pdDeinbac;
	private NewGameSelectionPanelLifeProps pdLife;
}
