package de.ped.deinbac.logic;

/**
 * Data record to keep trend chart information.
 * 
 * @author Copyright (c) 2008 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class DeinbacTrendChartEntry {
	public static final int SIZE = 4;
	/** The index of the entry containing the simulation heart beats since start of simulation run. */
	public static final int IDX_TIME = 0;
	/** The index of the entry containing the number of bacterions alive at that point of time. */
	public static final int IDX_BACS = 1;
	/** The index of the entry containing the average energy level of all bacterions alive. */
	public static final int IDX_ENRG = 2;
	/** The index of the entry containing the amount of mana available in the world. */
	public static final int IDX_MANA = 3;

	private final long[] arr = new long[SIZE];

	public DeinbacTrendChartEntry(final long time, final int bacs, final int bacenerg, final long mana) {
		arr[IDX_TIME] = time;
		arr[IDX_BACS] = bacs;
		arr[IDX_ENRG] = bacenerg;
		arr[IDX_MANA] = mana;
	}

	public long getTime() {
		return arr[IDX_TIME];
	}

	public int getSize() {
		return SIZE;
	}

	public long get(final int idx) {
		return arr[idx];
	}
}
