package de.ped.deinbac.logic;

/**
 * The simulation logic, and access point for all other logic items.
 * 
 * @author Copyright (c) 2008 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class GameModel {

	private GameProperties props;
	/** FIXME: Make this private later */
	public DeinbacGame deinbac;
	/** FIXME: Make this private later */
	public LifeGame life;

	public GameModel(final GameProperties props) {
		init(props);
	}

	public void init(final GameProperties props) {
		this.props = props;
		switch(props.getSimulation()) {
		case DEINBAC:
			deinbac = new DeinbacGame(props.getDeinbacProperties());
			life = null;
			break;
		case GAMEOFLIFE:
			deinbac = null;
			LifeProperties p = props.getLifeProperties();
			LifeGame.init();
			life = new LifeGame(p);
			break;
		}
	}

	public Simulatable getSimulatable() {
		Simulatable ret = null;
		switch(props.getSimulation()) {
		case DEINBAC:
			ret = deinbac;
			break;
		case GAMEOFLIFE:
			ret = life;
			break;
		}
		return ret;
	}

	public GameProperties getProps() {
		return props;
	}

	public long getTime() {
		return getSimulatable().getTime();
	}
}
