package de.ped.deinbac.logic;

/** 
 * Contains all properties that remain constant for a run. 
 * 
 * @author Copyright (c) 2023 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class GameProperties implements Cloneable {
	private SimulationType simulation = SimulationType.GAMEOFLIFE;
	private DeinbacProperties deinbacProperties = new DeinbacProperties();
	private LifeProperties lifeProperties = new LifeProperties();

	public SimulationType getSimulation() {
		return simulation;
	}

	public void setSimulation(SimulationType simulation) {
		this.simulation = simulation;
	}

	public DeinbacProperties getDeinbacProperties() {
		return deinbacProperties;
	}

	public void setDeinbacProperties(DeinbacProperties deinbacProperties) {
		this.deinbacProperties = deinbacProperties;
	}

	public LifeProperties getLifeProperties() {
		return lifeProperties;
	}

	public void setLifeProperties(LifeProperties lifeProperties) {
		this.lifeProperties = lifeProperties;
	}

	@Override
	public GameProperties clone() {
		GameProperties ret = new GameProperties();
		ret.simulation = simulation;
		ret.deinbacProperties = deinbacProperties.clone();
		ret.lifeProperties = lifeProperties.clone();
		return ret;
	}
}
