package de.ped.deinbac.test;

//import static org.junit.Assert.*;

import org.junit.Test;

import de.ped.deinbac.logic.DeinbacGame;
import de.ped.deinbac.logic.DeinbacProperties;
import de.ped.tools.log.Level;
import de.ped.tools.log.Logger;

/**
 * Automated unit tests for the {@link DeinbacGame} class.
 * 
 * @author Copyright (c) 2004 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class DeinbacTest {

	private int TICKS_DEFAULT = 10000;

	private void run(final DeinbacProperties props, final int ticks) {
		Logger.getRootLogger().setLogLevel(Level.WARN);
		final DeinbacGame game = new DeinbacGame(props);
		boolean isLiving = true;
		for (int i = 0; (i < ticks) && isLiving; i++) {
			isLiving = game.step();
		}
	}

	@Test
	public void testStandard() {
		final DeinbacProperties props = new DeinbacProperties();
		run(props, TICKS_DEFAULT);
	}

	@Test
	public void testWorldSizeBoundaries() {
		final DeinbacProperties props = new DeinbacProperties();
		props.setXsize(4);
		props.setYsize(4);
		props.setWorldTorus(false);
		run(props, TICKS_DEFAULT);

		props.setXsize(4);
		props.setYsize(4);
		props.setWorldTorus(true);
		run(props, TICKS_DEFAULT);

		props.setXsize(4);
		props.setYsize(2000);
		props.setWorldTorus(false);
		run(props, TICKS_DEFAULT);

		props.setXsize(4);
		props.setYsize(2000);
		props.setWorldTorus(true);
		run(props, TICKS_DEFAULT);

		props.setXsize(2000);
		props.setYsize(4);
		props.setWorldTorus(false);
		run(props, TICKS_DEFAULT);

		props.setXsize(2000);
		props.setYsize(4);
		props.setWorldTorus(true);
		run(props, TICKS_DEFAULT);
	}

}
