package de.ped.dsatool.dev;

import java.io.FileWriter;
import java.io.IOException;

import de.ped.dsatool.gui.DSAToolUIHelpTextBuilder;
import de.ped.dsatool.logic.DSAEnv;
import de.ped.tools.TextDocumentBuilder;
import de.ped.tools.TextDocumentType;

/**
 * Creates a static help file from the information in the source code.
 * Currently unused, as help functionality is now implemented as JSP.
 * 
 * @author Copyright (c) 2006 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class DSAToolHelpTextHtmlGenerator {
	public static void buildHelpDocument() {
		final TextDocumentBuilder doc = new TextDocumentBuilder(DSAEnv.instance().messages());
		doc.setEmbedded(false);
		doc.setTextDocumentType(TextDocumentType.XHTML10_STRICT);
		final DSAToolUIHelpTextBuilder builder = new DSAToolUIHelpTextBuilder(null);
		builder.buildHelpText(doc);
		try {
			final FileWriter f = new FileWriter("help.html");
			f.write(doc.result());
			f.close();
		} catch (final IOException e) {
			e.printStackTrace();
		}
	}

	public static void main(final String[] args) {
		buildHelpDocument();
	}
}
