package de.ped.dsatool.gui;

import java.util.Iterator;
import java.util.List;

import javax.swing.JComboBox;

import de.ped.dsatool.dsa.generated.LanguageType;
import de.ped.dsatool.logic.DSA;
import de.ped.dsatool.logic.Language;

/**
 * A choice box that offers all languages of Aventuria
 *
 * @author Copyright (c) 1999 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class ChoiceLanguage extends JComboBox<String> {
	private static final long serialVersionUID = 1L;

	/**
	 * Standard Constructor.
	 */
	public ChoiceLanguage() {
		final List<LanguageType> list = Language.findAll();
		final Iterator<LanguageType> it = list.iterator();
		while (it.hasNext()) {
			final LanguageType lang = (LanguageType)it.next();
			addItem(DSA.instance().getContentText(lang, null));
		}
	}

	/**
	 * Sets which entry in the combo box is selected.
	 * 
	 * @param language
	 *            the language to set as selected
	 */
	public void setSelectedLanguage(final LanguageType language) {
		if (null != language) {
			setSelectedIndex(language.getIDnum());
		}
	}

	public LanguageType getSelectedLanguage() {
		return Language.findByIDnum(getSelectedIndex());
	}
}
