package de.ped.dsatool.gui;

import java.util.Iterator;
import java.util.List;

import javax.swing.JComboBox;

import de.ped.dsatool.dsa.generated.RegionType;
import de.ped.dsatool.logic.Region;

/**
 * A choice box that offers all regions of Aventuria
 *
 * @author Copyright (c) 1999 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class ChoiceRegion extends JComboBox<String> {
	private static final long serialVersionUID = 1L;

	/**
	 * Standard Constructor
	 */
	public ChoiceRegion() {
		final List<RegionType> list = Region.findAll();
		final Iterator<RegionType> it = list.iterator();
		while (it.hasNext()) {
			final RegionType region = (RegionType)it.next();
			final String name = region.getName();
			addItem(name);
		}
	}

	/**
	 * Sets which entry in the combo box is selected.
	 * 
	 * @param region
	 *            the region to set as selected
	 */
	public void setSelectedRegion(final RegionType region) {
		if (null != region) {
			setSelectedIndex(region.getIDnum());
		}
	}

	public RegionType getSelectedRegion() {
		return Region.findByIDnum(getSelectedIndex());
	}
}
