package de.ped.dsatool.gui;

import java.awt.Frame;

import de.ped.dsatool.logic.DSAEnv;
import de.ped.tools.Messages;
import de.ped.tools.gui.ApplicationOrApplet;
import de.ped.tools.log.Logger;

/**
 * If run as applet,
 * this class reads PARAM tags from its HTML host page and sets
 * the color and label properties of the applet. Program execution
 * begins with the init() method.
 * <p>
 * If run as application,
 * this class can take a variable number of parameters on the command
 * line. Program execution begins with the main() method. The class
 * constructor is not invoked unless an object this class is
 * created in the main() method.
 *
 * @author Copyright (c) 1998, 1999 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class DSATool extends ApplicationOrApplet {
	private static final long serialVersionUID = 1L;

	private static Logger logger = Logger.getRootLogger();
	public static Logger getLogger() {
		return logger;
	}

	/**
	 * The main entry point for the application.
	 *
	 * @param args
	 *            array of parameters passed to the application via the command
	 *            line.
	 */
	public static void main(final String[] args) {
		applicationPreCreate();
		applicationPostCreate(new DSATool(), args);
	}

	@Override
	protected Messages createMessages() {
		return DSAEnv.instance().messages();
	}

	@Override
	protected Frame createFrame() {
		return new DSAToolMainWindow(this);
		//return AventuriaMap.instance();
	}
}
