package de.ped.dsatool.gui;

import de.ped.dsatool.logic.DSAToolHelpTextBuilder;
import de.ped.tools.TextDocumentBuilder;
import de.ped.tools.gui.ApplicationMainWindow;

/**
 * Creates the HTML help text for the DSA tool.
 * 
 * @author Copyright (c) 2023 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class DSAToolUIHelpTextBuilder extends DSAToolHelpTextBuilder {
	public DSAToolUIHelpTextBuilder(final ApplicationMainWindow parent) {
		this.parent = parent;
	}

	@Override
	protected void buildHelpTextContent(final TextDocumentBuilder doc) {
		if (null != parent) {
			parent.buildMenuDescriptions(doc, parent.getJMenuBar());
		} else {
			super.buildHelpTextContent(doc);
		}
	}

	final ApplicationMainWindow parent;
}
