package de.ped.dsatool.logic;

import java.util.List;

import de.ped.dsatool.dsa.generated.LanguageType;

/**
 * A class representing a spoken language in Aventurien.
 *
 * <p><b>See:</b> "???", Section "???" (p. ??..??)</p>
 *
 * @author Copyright (c) 2004 Peter Diefenbach (peter@pdiefenbach.de)
 */
public abstract class Language {
	public static List<LanguageType> findAll() {
		return DSA.instance().getLanguage();
	}

	public static LanguageType findByIDnum(final int id) {
		return (LanguageType)(DSA.findBOByIDnum(findAll(), id));
	}

	public static LanguageType findByName(final String name) {
		return (LanguageType)(DSA.findBOByName(findAll(), name));
	}

	public static LanguageType findByID(final String id) {
		return (LanguageType)(DSA.findBOByID(findAll(), id));
	}

	/** 
	 * @return the default language.
	 */
	public static LanguageType findDefault() {
		final List<LanguageType> languages = DSA.instance().getLanguage();
		LanguageType language = (LanguageType)DSA.findBOByID(languages, DEFAULT_LANGUAGE_ID);
		if ((null == language) && (!languages.isEmpty())) {
			language = (LanguageType)languages.get(0);
		}
		return language;
	}

	/** The ID of the default language. */
	private static final String DEFAULT_LANGUAGE_ID = "LANGUAGE_GARETHI";
}
