package de.ped.dsatool.test;

import static org.junit.Assert.assertEquals;

import java.io.File;
import java.io.IOException;

import org.junit.Test;

import de.ped.dsatool.gui.DSATool;
import de.ped.dsatool.gui.DSAToolUIHelpTextBuilder;
import de.ped.dsatool.logic.DSAEnv;
import de.ped.tools.Messages;
import de.ped.tools.TextDocumentBuilder;
import de.ped.tools.TextDocumentType;
import de.ped.tools.gui.ApplicationMainWindow;
import de.ped.tools.test.ApplicationMainWindowTest;

/**
 * Tests the creation of the help text.
 * 
 * @author Copyright (c) 2015 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class HelpTest {

	@Test
	public void testApplication() throws IOException {
		DSATool.main(new String[] { "silent=yes", });
		final ApplicationMainWindow window = (ApplicationMainWindow) DSATool.getInstance().getFrame();
		ApplicationMainWindowTest.testAllDocTypes(window, null, TextDocumentType.values());
	}

	@Test
	public void testWeb() throws IOException {
		final Messages messages = DSAEnv.instance().messages();
		final TextDocumentBuilder doc = new TextDocumentBuilder(messages);
		final TextDocumentType type = TextDocumentType.HTML401_TRANSITIONAL;
		final String folder = ApplicationMainWindowTest.DEST_PATH;
		doc.setTextDocumentType(type);
		doc.setEmbedded(false);
		DSAToolUIHelpTextBuilder builder = new DSAToolUIHelpTextBuilder(null);
		builder.buildHelpText(doc);
		final String filename = "Html_Web"
				+ "." + type.getTypicalFileExtensions()[0];
		final String outfileName = (folder == null ? "" : folder + File.separator ) + filename;
		assertEquals("UTF-8", doc.getCharset().name());
		ApplicationMainWindow.writeToFile(outfileName, doc.getCharset(), doc.result(null));
	}
}
