package de.ped.dsatool.test;

import static org.junit.Assert.*;

import org.junit.Test;

import de.ped.dsatool.logic.DSA;
import de.ped.dsatool.logic.Model;
import de.ped.dsatool.logic.Model.ModelMode;
import de.ped.tools.TextDocumentType;
import de.ped.tools.gui.ApplicationOrApplet;
import de.ped.tools.log.Level;
import de.ped.tools.log.Logger;

/**
 * Tests {@link Model}.
 * 
 * @author Copyright (c) 2006 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class ModelTest {

	private final TextDocumentType[] FORMAT_STYLES = { TextDocumentType.FIXEDFONT, TextDocumentType.XHTML10_STRICT };

	private final ModelMode[] MODEL_MODES = Model.ModelMode.values();

	@Test
	public void testModel() {
		Logger.getRootLogger().setLogLevel(Level.WARN);
		// See to it that the system runs in application mode.
		// This is necessary to find the data.xml file at the right location.
		ApplicationOrApplet.applicationPreCreate();
		DSA.instance();
		final Model model = new Model(true);
		for (int mmi = 0; mmi < MODEL_MODES.length; mmi++) {
			model.setMode(MODEL_MODES[mmi]);
			for (int fsi = 0; fsi < FORMAT_STYLES.length; fsi++) {
				model.setFormatStyle(FORMAT_STYLES[fsi]);
				assertEquals(FORMAT_STYLES[fsi], model.getFormatStyle());
				assertEquals(MODEL_MODES[mmi], model.getMode());
				model.write(null);
				model.writeAsHtmlSnippet(2);
			}
		}
	}
}
