package de.ped.dsatool.test;

import static org.junit.Assert.*;

import org.junit.Test;

import de.ped.dsatool.logic.DSAEnv;
import de.ped.dsatool.logic.Quest;
import de.ped.tools.Messages;
import de.ped.tools.TextDocumentBuilder;
import de.ped.tools.TextDocumentType;
import de.ped.tools.test.GenericTest;

/**
 * Tests {@link Quest}.
 * 
 * @author Copyright (c) 2004 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class QuestTest {
	@Test
	public void testQuest() {
		final Quest quest = new Quest();
		final Messages messages = DSAEnv.instance().messages();
		final TextDocumentBuilder doc = new TextDocumentBuilder(messages);
		doc.setTextDocumentType(TextDocumentType.XHTML10_STRICT);
		final String heading = quest.getHeadingText(doc);
		assertNotNull(heading);
		doc.setTextDocumentType(TextDocumentType.FIXEDFONT);
		final String content = quest.getContentText(doc);
		assertNotNull(content);
	}

	/**
	 * @see Quest#equals(Object)
	 * @see Quest#clone()
	 */
	@Test
	public void testObjectBasics() {
		GenericTest.checkObjectBasics(false, new Quest(), new Quest());
	}
}
