<!DOCTYPE html>
<html lang="de-DE">
<%@ page language="java" 
	pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"
	import="java.util.*" 
	import="de.ped.tools.CollectionUtil"
	import="de.ped.tools.Messages"
	import="de.ped.tools.TextDocumentType"
	import="de.ped.tools.Textable"
	import="de.ped.tools.TextFormatter"
	import="de.ped.tools.HtmlHelper"
	import="de.ped.tools.web.PageRef"
	import="de.ped.tools.web.RootBean"
	import="de.ped.dsatool.dsa.generated.RegionType"
	import="de.ped.dsatool.logic.DSA"
	import="de.ped.dsatool.logic.DSAEnv"
	import="de.ped.dsatool.logic.DSADateComplete"
	import="de.ped.dsatool.logic.DSADateCalendarTwelve"
	import="de.ped.dsatool.logic.Model"
	import="de.ped.dsatool.logic.NamesModel"
	import="de.ped.dsatool.web.Parameters"
%><%
	RootBean bean = new RootBean();
	bean.setThisPageRef(PageRef.DSA_TOOL_WEB);
%>
<%! Model model = null; %>
<%! String paramOutput = ""; %>
<%! boolean isDebug = false; %>
<%! Messages messages = DSAEnv.instance().messages(); %>
<%! String title = messages.getApplicationName(Messages.I18NedOrNot.I18N) + "&nbsp;&ndash; " + messages.getApplicationShortDescription(); %>
<%
	int cnt = 0;
	if (isDebug) {
		if (session.isNew()) {
			//out.println("Willkommen Neuling!\n");
		} else {
			//out.println("Hallo alter Freund!\n");
			String o = (String) session.getAttribute("cnt");
			if (null != o) {
				cnt = Integer.parseInt(o);
			}
			cnt++;
		}
		session.setAttribute("cnt", "" + cnt);
	}

	model = (Model)session.getAttribute(Model.KEY_MODEL);
	if (null == model) {
		DSAEnv.instance().resources().setPathToJavaRootPackage(getServletContext().getRealPath("."));
		model = new Model(false);
		session.setAttribute(Model.KEY_MODEL, model);
	}
	paramOutput = Parameters.readParameters(request, model);
%>
<%= bean.head(title, "Das Schwarze Auge, DSA, RPG, Rollenspiel, Role Playing Games, Java", "DSA Tools by Peter Diefenbach") %>
<body <%= bean.bodyAttribs() %> >
	<%= bean.bodyStart() %>
	<h1><%= title %></h1>
	<% if (isDebug) { %>
		<%= HtmlHelper.listParameters(request.getParameterMap()) %>
	<% } %>
	<% if (!CollectionUtil.isNullOrEmpty(paramOutput)) { %>
		<p class="response">
			<b>Rückmeldung auf Ihre Eingabe: </b>
			<br/>
			<%= paramOutput %>
		</p>
	<% } %>
	<p class="mainMenu">
		<%= Parameters.buildMainMenu(model) %>
		<span class="mainMenuEntry button ext"><a href="./help.jsp"  onclick="window.open(this.href, '<%= messages.getApplicationTitle() + " " + messages.getText("Action.Help") %>').focus();return false"><%= messages.getText("Action.Help") %></a></span>
	</p>
	<% if (Model.ModelMode.MASTER_DATA == model.getMode()) { %>
		<p class="mainMenu">
			<span class="subMenuTitle"><%= messages.getText("Menu.MasterData") %>:</span> 
			<%= Parameters.buildMasterDataMenu(model) %>
			<span class="subMenuEntry button ext"><a href="de/ped/dsatool/resources/data.xml" title="Für Programmierer" onclick="window.open(this.href, 'data.xml').focus();return false">XML Data</a></span>
			<span class="subMenuEntry button ext"><a href="de/ped/dsatool/resources/data.xsd" title="Für Programmierer" onclick="window.open(this.href, 'data.xsd').focus();return false">XML Schema</a></span>
		</p>
	<% } %>
	<hr id="hrPreModel" />
	<% if (model.isMap()) { %>
		<h2><%= messages.getText("Action.ViewMap") %></h2>
		<div class="scrollable">
			<form id="form_map" action="index.jsp">
				<fieldset>
					<legend><%= messages.getText("Action.ViewMap") %></legend>
					<label for="<%= Model.MAP_ZOOM %>">Zoom:</label>
					<%= DSA.toHtmlSelect(Model.MAP_ZOOM, Model.getAventuriaMapZoomStepIndexStrings(), model.getAventuriaMapZoomStepIndex() ) %>
					<a href="index.jsp?map_move=up"><img src="de/ped/dsatool/resources/icons/v-t.gif" alt="up"/></a>
					<a href="index.jsp?map_move=down"><img src="de/ped/dsatool/resources/icons/v-b.gif" alt="down"/></a>
					<a href="index.jsp?map_move=left"><img src="de/ped/dsatool/resources/icons/v-l.gif" alt="left"/></a>
					<a href="index.jsp?map_move=right"><img src="de/ped/dsatool/resources/icons/v-r.gif" alt="right"/></a>
				</fieldset>
			</form>
		</div>
		<div class="scrollable">
			<a href="index.jsp">
				<img src="de/ped/dsatool/resources/map/AventuriaMap.jpg" width="1000" height="1500" alt="Map of Aventuria" ismap="ismap" />
				<!-- <input type="image" src="de/ped/dsatool/resources/map/AventuriaMap.jpg" value="Up" alt="Map of Aventuria"/ -->
			</a>
		</div>
		<p>
			Position: <%= Model.formatPosition(model.getCurrentPositionOnAventuriaMap()) %>
			<br/>
			<%= model.allMapLayerAreasAtCurrentPositionOnAventuriaMap() %>
		</p>
	<% } else { %>
		<%= model.writeAsHtmlSnippet(2) %> 
	<% } %>
	<hr id="hrPreActions" />
	<% if (model.isMap()) { %>
		<p>
			Map of Aventuria has very limited functionality in web view. Please be patient&mdash;I'm still programming.<br/>
			Karte Aventuriens hat in der Web-Ansicht noch sehr wenig Funktionalität. Bitte Geduld, ich bastel noch.
		</p>
		<p class="create">
			<%= messages.getText("Menu.Create") %>: 
			(keine Aktion vorgesehen)
		</p>
	<% } else { %>
		<% if (Model.ModelMode.DATE  == model.getMode()) { %>
			<p class="create">
				<%= messages.getText("Menu.Create") %>: 
				<span class="button"><a href="index.jsp?<%= Model.ACTION %>=<%= Model.ACTION_DATE_UNDO %>"><%= messages.getText("Action.CreateDateUndo") %></a></span>
				<span class="button"><a href="index.jsp?<%= Model.ACTION %>=<%= Model.ACTION_DATE_NEXT %>"><%= messages.getText("Action.CreateDateNext") %></a></span>
			</p>
			<div class="scrollable">
				<form id="form_calendar" action="index.jsp" >
					<fieldset>
						<legend><%= messages.getText("CalendarDialog.Date") %></legend>
						<input type="hidden" id="<%= Model.ACTION %>" name="<%= Model.ACTION %>" 
							value="<%= Model.ACTION_DATE_NEW %>" />
						<table class="form">
							<tbody>
								<tr class="form">
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.CALENDAR_DAY, messages, "CalendarDialog.Date.Day") %>
									</td>
									<td class="form_entry">
										<input type="number" id="<%= Model.CALENDAR_DAY %>" name="<%= Model.CALENDAR_DAY %>" 
											maxlength="2" size="4"
											inputmode="decimal"
											min="1" max="30"
											value="<%= model.getDateModel().getDialogCalendar().getDay() %>" />
									</td>
								</tr>
								<tr class="form">
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.CALENDAR_MONTH, messages, "CalendarDialog.Date.Month") %>
									</td>
									<td class="form_entry">
										<%= DSA.toHtmlSelect(Model.CALENDAR_MONTH, Model.getAllMonthStrings(), model.getDateModel().getDialogCalendar().getMonth()) %>
										<%-- TODO: Action change weather --%>
									</td>
								</tr>
								<tr class="form">
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.CALENDAR_YEAR, messages, "CalendarDialog.Date.Year") %>
									</td>
									<td class="form_entry">
										<input type="number" id="<%= Model.CALENDAR_YEAR %>" name="<%= Model.CALENDAR_YEAR %>" 
											inputmode="decimal"
											value="<%= model.getDateModel().getDialogCalendar().getYear() %>" />
									</td>
								</tr>
								<tr class="form">
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.CALENDAR_CALENDAR, messages, "CalendarDialog.Date.Calendar") %>
									</td>
									<td class="form_entry">
										<%= DSA.toHtmlSelect(Model.CALENDAR_CALENDAR, DSA.instance().getCalendar(), model.getDateModel().getDialogCalendar().getCalendar()) %>
										<%-- TODO: Action change year? --%>
									</td>
								</tr>
							</tbody>
						</table>
						<% if (null != DSA.instance().getWeather()) { %>
							<fieldset>
								<legend><%= messages.getText("CalendarDialog.Weather") %></legend>
								<table class="form">
									<tbody>
										<tr class="form">
											<td class="form_radio">
												<input type="radio" id="<%= Model.CALENDAR_IS_WEATHER_RANDOM_RANDOM %>" name="<%= Model.CALENDAR_IS_WEATHER_RANDOM %>" 
													<%= HtmlHelper.checkedIf(false) %> 
													value="<%= Model.CALENDAR_IS_WEATHER_RANDOM_RANDOM %>" />
											</td>
											<td class="form_radio_label" colspan="2">
												<%= HtmlHelper.createLabel(Model.CALENDAR_IS_WEATHER_RANDOM_RANDOM, messages, "CalendarDialog.Weather.Random") %>
											</td>
										</tr>
										<tr class="form">
											<td class="form_radio">
												<input type="radio" id="<%= Model.CALENDAR_IS_WEATHER_RANDOM_BY_HAND %>" name="<%= Model.CALENDAR_IS_WEATHER_RANDOM %>" 
													<%= HtmlHelper.checkedIf(true) %> 
													value="<%= Model.CALENDAR_IS_WEATHER_RANDOM_BY_HAND %>" />
											</td>
											<td class="form_radio_label" colspan="2">
												<%= HtmlHelper.createLabel(Model.CALENDAR_IS_WEATHER_RANDOM_BY_HAND, messages, "CalendarDialog.Weather.Own") %>
											</td>
										</tr>
										<tr class="form">
											<td class="form_radio">
												<!-- empty -->
											</td>
											<td class="form_label">
												<%= HtmlHelper.createLabel(Model.CALENDAR_WEATHER, messages, "CalendarDialog.Weather.Weather") %>
											</td>
											<td class="form_entry">
												<%= DSA.toHtmlSelect(Model.CALENDAR_WEATHER, model.getWeatherTable(), model.getDateModel().getFirstDay().getWeather().getWeather() - 1) %>
											</td>
										</tr>
										<tr class="form">
											<td class="form_radio">
												<!-- empty -->
											</td>
											<td class="form_label">
												<%= HtmlHelper.createLabel(Model.CALENDAR_WIND, messages, "CalendarDialog.Weather.Wind") %>
											</td>
											<td class="form_entry">
												<%= DSA.toHtmlSelect(Model.CALENDAR_WIND, 
														DSA.toStringArrayWithCounter(DSA.instance().getWeather().getWindStrengthDescription()), 
														model.getDateModel().getFirstDay().getWeather().getWind()) %>
											</td>
										</tr>
										<tr class="form">
											<td class="form_radio">
												<!-- empty -->
											</td>
											<td class="form_label">
												<%= HtmlHelper.createLabel(Model.CALENDAR_TEMPERATURE, messages, "CalendarDialog.Weather.Temperature") %>
											</td>
											<td class="form_entry">
												<%= DSA.toHtmlSelect(Model.CALENDAR_TEMPERATURE, 
														DSA.toStringArrayWithCounter(DSA.instance().getWeather().getTemperatureDescription()), 
														model.getDateModel().getFirstDay().getWeather().getTemperature()) %>
											</td>
										</tr>
									</tbody>
								</table>
							</fieldset>
						<% } %>
						<div><button type="submit" id="OK" name="OK"><%= messages.getText("Dialog.OK") %></button></div>
					</fieldset>
				</form>
			</div>
		<% } else if (Model.ModelMode.TOWN  == model.getMode()) { %>
			<p class="create">
				<%= messages.getText("Menu.Create") %>: 
				<span class="button"><a href="index.jsp?<%= Model.ACTION %>=<%= Model.ACTION_TOWN_NEWMAP   %>"><%= messages.getText("Action.CreateMap") %></a></span>
			</p>
			<div class="scrollable">
				<form id="form_town" action="index.jsp">
					<fieldset>
						<legend><%= messages.getText("Action.CreateTown") %>:</legend>
						<input type="hidden" id="<%= Model.ACTION %>" name="<%= Model.ACTION %>" 
							value="<%= Model.ACTION_TOWN_NEW %>" />
						<table class="form">
							<tbody>
								<tr class="form">
									<td class="form_radio">
										<input type="radio" id="<%= Model.TOWN_IS_PREDEF_PREDEF %>" name="<%= Model.TOWN_IS_PREDEF %>" 
											<%= HtmlHelper.checkedIf(model.getTownModel().getSelectedIndexForPredefined() >= 0)%> 
											value="<%= Model.TOWN_IS_PREDEF_PREDEF %>" />
									</td>
									<td class="form_radio_label" colspan="2">
										<%= HtmlHelper.createLabel(Model.TOWN_IS_PREDEF_PREDEF, messages, "TownDialog.SelectTown.Predefined") %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.TOWN_TOWN, messages, "TownDialog.SelectTown.Predefined.Selection") %>
									</td>
									<td class="form_entry">
										<%= DSA.toHtmlSelect(Model.TOWN_TOWN, DSA.instance().getTown(), model.getTownModel().getSelectedIndexForPredefined()) %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<input type="radio" id="<%= Model.TOWN_IS_PREDEF_OWN %>" name="<%= Model.TOWN_IS_PREDEF %>" 
											<%= HtmlHelper.checkedIf(model.getTownModel().getSelectedIndexForPredefined() < 0)%>
											value="<%= Model.TOWN_IS_PREDEF_OWN %>" />
									</td>
									<td class="form_radio_label" colspan="2">
										<%= HtmlHelper.createLabel(Model.TOWN_IS_PREDEF_OWN, messages, "TownDialog.SelectTown.Own") %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.TOWN_NAME, messages, "TownDialog.SelectTown.Own.Name") %>
									</td>
									<td class="form_entry">
										<input type="text" id="<%= Model.TOWN_NAME %>" name="<%= Model.TOWN_NAME %>" 
											value="<%= model.getTown().getName() %>" />
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.TOWN_INHABITANTS, messages, "TownDialog.NumberOfInhabitants") %>
									</td>
									<td class="form_entry">
										<input type="number" id="<%= Model.TOWN_INHABITANTS %>" name="<%= Model.TOWN_INHABITANTS %>" 
											inputmode="decimal"
											min="1"
											size="6"
											value="<%= model.getTown().getNumberOfInhabitants() %>" />
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.TOWN_REGION , messages, "TownDialog.Region") %>
									</td>
									<td class="form_entry">
										<%= DSA.toHtmlSelect(Model.TOWN_REGION, DSA.instance().getRegion(), (RegionType)model.getTown().getRegion()) %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_label" colspan="2">
										<button type="submit" id="OK" name="OK"><%= messages.getText("Dialog.OK") %></button>
									</td>
								</tr>
							<tbody>
						</table>
					</fieldset>
				</form>
			</div>
		<% } else if (Model.ModelMode.NAMES  == model.getMode()) { %>
			<p class="create">
				<%= messages.getText("Menu.Create") %>: 
			</p>
			<div class="scrollable">
				<form id="form_names" action="index.jsp">
					<fieldset>
						<legend><%= messages.getText("Action.CreateNames") %>:</legend>
						<input type="hidden" id="<%= Model.ACTION %>" name="<%= Model.ACTION %>" 
							value="<%= Model.ACTION_NAMES_NEW %>" />
						<table class="form">
							<tbody>
								<tr class="form">
									<td class="form_radio">
										<input type="radio" id="<%= Model.NAMES_FOR_LANGUAGE %>" name="<%= Model.NAMES_FOR %>" 
											<%= HtmlHelper.checkedIf(model.getNamesModel().getMode() == NamesModel.Mode.LANGUAGE)%> 
											value="<%= Model.NAMES_FOR_LANGUAGE %>" /> 
									</td>
									<td class="form_radio_label" colspan="2">
										<%= HtmlHelper.createLabel(Model.NAMES_FOR_LANGUAGE , messages, "NamesDialog.For.Language") %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.NAMES_LANGUAGE , messages, "NamesDialog.Language") %>
									</td>
									<td class="form_entry">
										<%= DSA.toHtmlSelect(Model.NAMES_LANGUAGE, DSA.instance().getLanguage(), model.getNamesModel().getLanguage()) %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<input type="radio" id="<%= Model.NAMES_FOR_REGION %>" name="<%= Model.NAMES_FOR %>" 
											<%= HtmlHelper.checkedIf(model.getNamesModel().getMode() == NamesModel.Mode.REGION)%> 
											value="<%= Model.NAMES_FOR_REGION %>" />
									</td>
									<td class="form_radio_label" colspan="2">
										<%= HtmlHelper.createLabel(Model.NAMES_FOR_REGION , messages, "NamesDialog.For.Region") %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.NAMES_REGION , messages, "NamesDialog.Region") %>
									</td>
									<td class="form_entry">
										<%= DSA.toHtmlSelect(Model.NAMES_REGION, DSA.instance().getRegion(), model.getNamesModel().getRegion()) %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<input type="radio" id="<%= Model.NAMES_FOR_TOWN %>" name="<%= Model.NAMES_FOR %>" 
											<%= HtmlHelper.checkedIf(model.getNamesModel().getMode() == NamesModel.Mode.TOWN)%> 
											value="<%= Model.NAMES_FOR_TOWN %>" />
									</td>
									<td class="form_radio_label" colspan="2">
										<%= HtmlHelper.createLabel(Model.NAMES_FOR_TOWN , messages, "NamesDialog.For.Town") %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.NAMES_TOWN , messages, "NamesDialog.Town") %>
									</td>
									<td class="form_entry">
										<%= DSA.toHtmlSelect(Model.NAMES_TOWN, DSA.instance().getTown(), model.getNamesModel().getPredefinedTownIdx()) %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<input type="radio" id="<%= Model.NAMES_FOR_POSITION %>" name="<%= Model.NAMES_FOR %>" 
											<%= HtmlHelper.checkedIf(model.getNamesModel().getMode() == NamesModel.Mode.MAP_POSITION)%> 
											value="<%= Model.NAMES_FOR_POSITION %>" />
									</td>
									<td class="form_radio_label" colspan="2">
										<%= HtmlHelper.createLabel(Model.NAMES_FOR_POSITION , messages, "NamesDialog.For.MapPosition") %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label" colspan="2">
										<label for="<%= Model.NAMES_POSITION %>"><%= model.getNamesModel().getAventuriaMapPositionString(true) %></label>
									</td>
								</tr>
								<tr class="form">
									<td class="form_label" colspan="3">
										<button type="submit" id="OK" name="OK"><%= messages.getText("Dialog.OK") %></button>
									</td>
								</tr>
							</tbody>
						</table>
					</fieldset>
				</form>
			</div>
		<% } else if (Model.ModelMode.PLANT  == model.getMode()) { %>
			<p class="create">
				<%= messages.getText("Menu.Create") %>: 
			</p>
			<div class="scrollable">
				<form id="form_plant" action="index.jsp">
					<fieldset>
						<legend><%= messages.getText("Action.CreatePlants") %></legend>
						<input type="hidden" id="<%= Model.ACTION %>" name="<%= Model.ACTION %>" 
							value="<%= Model.ACTION_PLANT_NEW %>" />
						<%= HtmlHelper.createLabel(Model.PLANT_REGION , messages, "NamesDialog.Region") %>
						<%= DSA.toHtmlSelect(Model.PLANT_REGION, DSA.instance().getRegion(), model.getPlantsModel().getRegion()) %>
						<br/>
						<fieldset>
							<legend><%= messages.getText("PlantsDialog.Terrains") %></legend>
							<%= DSA.toHtmlCheckList(Model.PLANT_TERRAIN, DSA.instance().getTerrain(), model.getPlantsModel().getTerrainIDs()) %>
						</fieldset>
						<table class="form">
							<tbody>
								<tr class="form">
									<td class="form_radio">
										<input type="checkbox" 
											id="<%= Model.PLANT_CHECK_IS_TO_TEST_FOR_TERRAIN_PROB %>" 
											name="<%= Model.PLANT_CHECK_IS_TO_TEST_FOR_TERRAIN_PROB %>" 
											<%= HtmlHelper.checkedIf(model.getPlantsModel().isToTestForTerrainProbability()) %> 
											value="<%= Model.PLANT_CHECK_IS_TO_TEST_FOR_TERRAIN_PROB %>" /> 
									</td>
									<td class="form_radio_label">
										<%= HtmlHelper.createLabel(Model.PLANT_CHECK_IS_TO_TEST_FOR_TERRAIN_PROB , messages, "PlantsDialog.IsToFilterFor.TerrainProb") %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<input type="checkbox" 
											id="<%= Model.PLANT_CHECK_IS_TO_FILTER_FOR_DATE %>"
											name="<%= Model.PLANT_CHECK_IS_TO_FILTER_FOR_DATE %>" 
											<%= HtmlHelper.checkedIf(model.getPlantsModel().isToFilterForDate()) %> 
											value="<%= Model.PLANT_CHECK_IS_TO_FILTER_FOR_DATE %>" /> 
									</td>
									<td class="form_radio_label">
										<%= HtmlHelper.createLabel(Model.PLANT_CHECK_IS_TO_FILTER_FOR_DATE , messages, "PlantsDialog.IsToFilterFor.Date") %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.PLANT_MONTH , messages, "PlantsDialog.Month") %>
										<%= DSA.toHtmlSelect(Model.PLANT_MONTH, Model.getAllMonthStrings(), model.getPlantsModel().getMonth()) %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<input type="checkbox"
											id="<%= Model.PLANT_CHECK_IS_TO_TEST_FOR_BOTANY %>"
											name="<%= Model.PLANT_CHECK_IS_TO_TEST_FOR_BOTANY %>" 
											<%= HtmlHelper.checkedIf(model.getPlantsModel().isToTestForBotany()) %> 
											value="<%= Model.PLANT_CHECK_IS_TO_TEST_FOR_BOTANY %>" /> 
									</td>
									<td class="form_radio_label">
										<%= HtmlHelper.createLabel(Model.PLANT_CHECK_IS_TO_TEST_FOR_BOTANY , messages, "PlantsDialog.IsToFilterFor.Botany") %>
									</td>
								</tr>
								<tr class="form">
									<td class="form_radio">
										<!-- empty -->
									</td>
									<td class="form_label">
										<%= HtmlHelper.createLabel(Model.PLANT_TEST_FOR_BOTANY , messages, "PlantsDialog.Botany") %>
										<input type="number" 
											id="<%= Model.PLANT_TEST_FOR_BOTANY %>"
											name="<%= Model.PLANT_TEST_FOR_BOTANY %>" 
											maxlength="3" size="4"
											inputmode="decimal"
											value="<%= model.getPlantsModel().getTestForBotanySuccess() %>" />
									</td>
								</tr>
							</tbody>
						</table>
						<div><button type="submit" id="OK" name="OK"><%= messages.getText("Dialog.OK") %></button></div>
					</fieldset>
				</form>
			</div>
		<% } else if (Model.ModelMode.QUEST  == model.getMode()) { %>
			<p class="create">
				<%= messages.getText("Menu.Create") %>: 
				<span class="button"><a href="index.jsp?<%= Model.ACTION %>=<%= Model.ACTION_QUEST_NEW     %>"><%= messages.getText("Action.CreateQuest") %></a></span>
			</p>
		<% } else if (Model.ModelMode.DICE  == model.getMode()) { %>
			<p class="create">
				<%= messages.getText("Menu.Create") %>: 
			</p>
			<div class="scrollable">
				<form id="form_dice" action="index.jsp">
					<fieldset>
						<legend><%= messages.getText("Action.CreateDice") %></legend>
						<input type="hidden" id="<%= Model.ACTION %>" name="<%= Model.ACTION %>" 
							value="<%= Model.ACTION_DICE_NEW %>" />
						<input type="number" id="<%= Model.DICE_FACTOR %>" name="<%= Model.DICE_FACTOR %>" 
							maxlength="3" size="4"
							inputmode="decimal"
							value="<%= model.getDice().getDiceRollType().getFactor() %>" />
						x (
						<input type="number" id="<%= Model.DICE_NUMBER %>" name="<%= Model.DICE_NUMBER %>" 
							maxlength="3" size="4"
							inputmode="decimal"
							min="1"
							value="<%= model.getDice().getDiceRollType().getNumber() %>" />
						W
						<input type="number" id="<%= Model.DICE_EYES %>" name="<%= Model.DICE_EYES %>" 
							maxlength="3" size="4"
							inputmode="decimal"
							min="1"
							value="<%= model.getDice().getDiceRollType().getEyes() %>" />
						+
						<input type="number" id="<%= Model.DICE_OFFSET %>" name="<%= Model.DICE_OFFSET %>" 
							maxlength="3" size="4"
							inputmode="decimal"
							value="<%= model.getDice().getDiceRollType().getOffset() %>" />
						)
						<div><button type="submit" id="OK" name="OK"><%= messages.getText("Dialog.OK") %></button></div>
					</fieldset>
				</form>
			</div>
		<% } else { %>
			<p class="create">
				<%= messages.getText("Menu.Create") %>: 
				(keine Aktion vorgesehen)
			</p>
		<% } %>
	<% } %>
	<%= bean.bodyEnd(messages.getLongDescription("Copyright")) %>
	<% if (isDebug) { %>
		<p class="debugInfo">
			Session-ID: <%= session.getId() %>
			<br/>
			Erzeugt am: <%= new Date(session.getCreationTime()) %>
			<br/>
			Letzter Zugriff: <%= new Date(session.getLastAccessedTime()) %>
			<br/>
			Ungültig in Minuten: <%= session.getMaxInactiveInterval()/60 %>
			<br/>
			Anzahl Zugriffe: <%= cnt %>
		</p>
	<% } %>
</body>
</html>
