package de.ped.empire.gui;

import java.awt.Frame;
import java.io.IOException;

import de.ped.empire.logic.Resources;
import de.ped.tools.Messages;
import de.ped.tools.ResourceFinder;
import de.ped.tools.gui.ApplicationOrApplet;

/*
 * User Stories (done):
 * -- Beginner
 - 02 Map erzeugen fester Gre 10x15 (Wall, Sea, Land, Cities; 2 players)
 - 01 Map speichern
 - 01 Map laden
 - 03 Map anzeigen Zoom 5
 - 02 Coastal lines
 - 02 load/save Game 
 - 02 City Owner
 - 02 Turns, Win, Loss
 - 02 City Production Army (constant production rate, alert message)
 - 01 Show Army on map
 - 01 Show Army of player 2 on map
 - 01 Show Army icon in city production dialog
 - 01 Move Army via keyboard
 - 02 Commandables in context menu
 - 03 Army vs Army (incl. animation)
 - 02 Army vs City (incl. city strength modification by production value)
 - 02 Army GoTo mode (dumb greedy)
 - 03 Army sentry mode / unsentry / wakeup on enemy sight
 - 01 City names, unit names from resources
 - 01 Unit naming concept including default values
 - 01 Unit renaming dialog
 - 02 Army GoTo mode wakeup on enemy sight
 - 04 Army GoTo mode (path finding)
 - 01 Menu items for orders (with correct enabling and disabling)
 - 01 City production Transporter (production dialog + production)
 - 02 City production Transporter (naming message when ready)
 - 01 Show transporter on map
 - 01 Move Transporter via keyboard
 - 02 Transporter GoTo mode
 - 01 Transporter vs Transporter, Transporter vs City
 - 01 Rename city
 - 03 Log report
 - 01 Logbucheintrge Kmpfe Stadt gegen Panzer korrigieren ("eingenommen...")
 - 02 Transporter docking and healing. (Healing only if the unit did not move and was all turn in city.)
 - 01 Transporter vs Army, Army vs Transporter
 - 02 Army moves into Transporter
 - 02 Army moves from Transporter
 - 01 Transporter losses after fight
 - 02 Transporter Load mode
 - 02 Transporter Unload mode
 - 01 Transporter sentry mode / unsentry / wakeup on enemy sight
 - 02 Transporter home mode
 - 02 Statistics report: #cities total, #cities owned, % land seen 
 - 02 Statistics report: per army type: in prod, next ready, exist, lost, killed
 - 02 Cruiser
 - 02 Frigate
 - 02 Battleship
 - 01 Distinguish between order templates (for menu) and concrete orders for unit
 - 01 Map Zoom 4
 - 01 Map Zoom 3-1
 - 02 Statistics report dialog size should be constant, but large enough
 - 01 City production dialog does not show "In production"
 - 01 Fight messages Game.City.WonAgainst makes no sense: <Army> protected itself against Neutral's <city name> (see logbook for examples)
 - 02 Create Map of variable size (Wall, Sea, Land, Cities)
 - 05 Create Map: Size of continents, city density, walls
 - 01 Keep game properties between games
 - 01 Battleship / Cruiser can attack coastal fields. Maintainable.
 - 01 Find good start cities
 - 01 Center Screen action
 - 02 Load and save game action (for application only)
 - 02 Home mode does not pick nearest city
 - 01 Survey view. Rename normal view to orders request view.
 - 01 Production view
 - 01 Full keyboard politics: Keystroke for opening context menu on positionInFocus
 - 03 Production handicap
 - 03 Battle handicap
 - 02 Battleship / Cruiser / Destroyer attacks city: "Einheit kann dieses Gelnde nicht betreten". Even with transport in it, or with army in it. 
 - 01 "Load units" does not load sentried ones
 - 01 Let screen follow commandable
 - 03 Up to 6 players: Missing: Cancel does not reset the state of the table model.
 - 02 Bug: GoTo prefers NSWE to diagonal. Resolution: Backtrack and rate way back from targets by options counting
 - 02 Command: Escort (Eskortieren)
 - 01 Bug: Giving a Goto command to a unit with 0 move points left fails
 - 01 Bug: Load units only makes sense near to land / city
 - 02 Sound: Prompt for commandables in focus
 - 01 Unload armies when non-own city in sight
 - 02 Sound: Movement for commandables in focus
 - 01 Sound: Fight
 - 03 Sound: Intro music
 - 01 Next commandable is picked by distance to current commandable
 - 01 Armies can GoTo Transporter instead of position
 - 01 Forbid starting in a city without sea contact
 - 01 Speed up planning of GoTo order options; repair Escort
 - 01 Escort loop might lead to a circular reference. Forbid this.
 - 01 Armies moving message and move duration differs when loading into transporter
 - 01 Ships staying docked in city need to start animation for docking message
 - 02 Status message queue, status message pause 
 - 01 Sound: Adjust sound length to slower speed (e.g., 200ms for move)
 - 01 Sound: Alert on status message (e.g., unable to load, unable to move, ...)
 - 01 Bug: Am Ende der Runde keine Einheiten mehr markierbar
 - 01 Bug: Am Anfang des 2. Spielers eine Stadt von Spieler 1 noch mal Focus
 - 01 Bug: Save/Load klappt nicht fr ein ausreichend komplexes Spiel (mit Notebook, Units mit Kommandos, ...)
 - 01 Bug: only in normal mode the turn button may blink?
 - 02 Replay animation sequences
 - 01 Persist animation sequence
 - 01 Add menu entry to show game properties read-only
 - 01 Bug: Logbook displays always player 1
 - 01 Add Escort to context menu when clicked on possible target, and also allow a simple "GoTo".
 - 01 Is Attack on context menu when clicked on possible target?
 - 08 Computer strategy simple
 - 01 Design: Unify code for GameObservers
 - 01 Switch turn button color to acting commandable player color when showing enemy animations, and turn back when finished.
 - 01 Computer strategy simple: Forbid sentry as option.
 - 01 Computer strategy simple: Change production when unit finished.
 - 01 Bug: Fight clouds are always drawn on target (at least if attack was successfull)
 - 01 EmpireMainWindow gets too much information when it's computer player's turn 
 - 01 "Skip turn" should not clear other commands - treat it as "next". Idea: New superclass "OrderOrCommand", subclasses "Order" and "Command" (incl. "next" and "skip turn").
 - 01 Bug: Don't count an army that conquered a city as a lost unit
 - 00 Bug: Status dialog title contains "von" also in English text
 - 01 Computer strategy simple: Whenever hit, return home. Unload as much cargo as possible before that.
 - 01 Computer strategy simple: If army and city to conquer is in range, go to nearest one.
 - 01 Bug: In production view, changing a city production should not do next.
 - 01 Bug: Sometimes loaded units are not blinking in normal map view mode.
 - 00 Bug: Two player game calcOrderOptions leads to exception
 - 01 A sentried army should check if it can load into a nearby transporter.
 - 01 Bug: Some unknown glitch in finding the next commandable.
 - 00 Computer strategy simple: When sighted enemy on current commandable, just "next" it.
 - 01 Computer strategy simple: If fight is winnable, pick that option. not, skip that option.
 - 02 Logbook display etc switch with language switch
 - 01 Fights lead to entries in both logbooks
 - 01 Zoom size as property of (human) player
 - 01 Language as property of (human) player
 - 01 Sound: Alert on enemy in sight
 - 01 Title: Revisit title screen to be better scalebale
 - 01 Human player resigns
 - 00 Bug: Creating a route is impossible for tanks if first step is slowing down tank.
 - 00 Bug: Airplanes should move into a city / airport / carrier only if this finishes their command.
 - 00 Rollover for non-bordered games: (a) don't use sliders at all, but some relative fields, or (b) (preferred) use sliders, but the scrollable range contains sufficient overlapping
 - 00 Refactoring: Data shown in Canvas
 -    Bug: Docking zeigt bei Animation die Armee nicht im Transporter.
 - 00 Bug: Computer strategy only moves airplanes.
 - 00 Bug: Cities with unit produced have higher priority in nextCommandableQueue than cities with enemySighting flag.
 - 00 Bug: ProductionView und PathView bieten nicht die dazugehrigen Commands bei ausgewhlter Stadt an. UND: ProductionView zeigt nur die Stadt, nicht die unit in production.
 - 00 Bug: Angriff von Fighter auf Stadtproduktion wird so lange wiederholt, wie Fighter noch Schritte in der Runde hat.
 - 00 Bug: Tutorial: Angriff (egal ob erfolgreich oder nicht) von P1 auf eine neutrale Stadt im Sichtbarkeitsfenster einer Stadt von P2 erscheint nicht in den Animationen von P2.
 - 00 Test: Fighter lands on carrier, should automatically load and is out of nexting. For next round, should be refueled.
 - 00 Bug: Narrow path of land, full of fields slowing down tanks. Bug: Forward calculation does stop past the first slowing down field.
 - 00 Bug: (Advanced) Beim Erobern einer feindlichen Stadt wird immer noch mal ein fehlerhafter "Stadt hat gerade produziert" Dialog angezeigt.
 - 00 Bug: (Advanced) Ab und zu bleiben gegnerische Geister-Fighter im eigenen view einfach "nicht-veraltet" stehen und mssen erobert werden.
 - 00 Bug: (Advanced) Beim Abspielen der aktuellen Zge wird die neu erkundete Umgebung zu frh angezeigt.
 - 00 Optimization: Unit.setOrder calls calculateForwardRating - that's not always necessary.
 - 00 Bug: When a city was conquered, the change production dialog is shown before the move animation was played.
 - 00 Bug: A map must have at least 6 coastal cities, otherwise not all players find a home.
 - 01 Game finishes when there is only one player left.
 	  Bug: Advanced, 3 players: Human, Comp, Human. 1st human resigns. 3rd human gets "start new turn" message two times.
 	  Bug: City production dialog sometimes has no city to show. May be related to 00 bug 3 rows above.
 - 00 CR:  round start report not shown if only one human player.
 - 00 Bug: When a computer player city was conquered, the "unit produced" dialog is shown with the computer player, before the "change production" dialog is shown for the new player. Why?
 - 00 Bug: After a city fight, the losing city is not updated in loser's game view.
 - 01 When game has finished, the winner has all world views enabled.
 - 01 AlertSighting also for cities, also show status text when city is nexted because alerted
 - 01 GUI: Error/Warn/Info/Question icons available in PedJDialogs.
 - 01 GUI: Normal multi-line labels available in PedJDialogs as default
 - 00 Bug: A sea unit should not be able to attack another sea unit (or any unit at all) that is within a city. 
 - 00 Refactor: Unify exception dialogs
 - 01 Bug: Sentried units are not shown as sentried, even in own view.
 - 00 Bug: In "unit produced" dialog, click to production dialog does nothing.
 - 01 Bug: Own cities don't update isEmpty in image key in own view
 - 00 Bug: Resizing the window should re-focus on current position in focus.
 - 01 Bug: When finish turn is allowed, the sound for ship prompt is played for no reason.
 - 01 Bug: Units in animations are shown in final state (e.g., Tutorial 3 loaded, sentried) instead of current state at animation time.
 - 01 Computer strategy simple: If transporter, and transporter has cargo, follow ruleForConquerCity.
 - 01 Graphics: Slight movement of unit when attacking
 - 00 Bug: Selecting a unit that's sighting an enemy and has an order, the unit should not execute the order but flag for sightings first.
 - 01: In new game dialog, also show player attributes in online help
 - 01: Represent player view attributes as properties list on online help. May need to enhance properties list to allow for a 1-level hierarchy.
 - 02: Refactoring: General tree-based structure for online help elements, and usage of that structure for properties lists and menu.
 - 00 Bug: Changing the zoom factor should re-focus on current position in focus.
 - 01: Enable vertical scrollbar on properties list panels
 - 01: Present player view properties dialog as property table
 - 01 Bug: In Beginner mode, while computer players move, the human player's view is always showing the current state and therefore jumping too fast. Use game views to slow things down.
 - 01 Bug: In-game sounds are scrambled if playing as applet or application from jar
 * -- Standard:
 - 01 City Production repetition bonus (1/6)
 - 00 Move Fighter: Landen auf Carrier 
 - 00 Move Fighter: Land und See-Felder akzeptieren jeweils nur 1x 
 - 00 Move Fighter: "Move over": Wenn in flight over, disable "Skip turn" und "next"
 - 00 Move Fighter: "Treibstoff ging zur Neige. ABSTURZ!" Meldung.
 - 00 Move Fighter: "Treibstoff knapp!" Meldung wenn nchster Landeplatz genau in Treibstoffdistanz. 
 - 00 Move Fighter: "Move over", ber alle Einheiten, auch Lufteinheiten. Aber nur, wenn noch Zge diese Runde brig, und wenn zu betretendes Feld ein leeres Nachbarfeld enthlt.
 - 00 Move Fighter: "Home" bezieht Carrier und Airbase mit ein.
 - 01 Move Fighter via keyboard (incl. concept of move-over)
 - 02 Fighter GoTo mode
 - 03 Carrier
 - 02 Fighter fights (incl cities, incl. message)
 - 02 City Production Fighter (constant production rate, alert message)
 - 01 get rid of (x, y) parameters wherever possible. e.g., use GameMapField position objects instead of creating new ones.
 - 05 Path mode
 - 02 Multi player: "Player Y, sind Sie bereit? - Der Geheimdienst meldet: Keine Berichte verfgbar" (Ok) - mir farblicher Markierung des Spielers selbst. Im Hintergrund darf die Map nicht mehr sichtbar sein.
 - 01 "Der Geheimdienst meldet: Sichtmeldungen verfgbar" (deutlich hervorgehoben)
 - 00 "Der Geheimdienst meldet: Gefechtsbericht verfgbar" (deutlich hervorgehoben)
 - 00 Unload implicitly should do a "Skip".
 - 04 Fog of uncertainty for fields
 - 04 Fog of uncertainty for units
 - 01 Fog of uncertainty border for cities in startRound is not set
 - 01 Submarine vision: Don't see land and air units, if not involved in combat.
 - 01 Submarine visibility: Only visible for city, destroyer, submarine, cruiser, or if involved in combat.
 - 01 ToolTip Regeln fr gegnerische Stdte (egal ob veraltet oder nicht, egal ob Submarine oder nicht): Besitzer, Produktion, Effektivitt, Spezialisierung mit anzeigen zum Zeitpuntk der letzten Sichtung.
 - 01 ToolTip Regeln fr gegnerische Einheiten (egal ob veraltet oder nicht): Unterliegendes Terrain anzeigen. Der Gegner darf nicht die Einheit identifizieren knnen.
 - 01 Visibility: Units, die ein zweites Mal an anderer Position gesichtet werden, drfen nicht an der alten Position verschwinden.
 - 00 Submarines cannot be attacked by land units
 - 00 Submarines can attack air units, like any other ship
 - 03 Command: Explore (Erkunden)
 - 01 EmpireMainCanvas gets too much information when it's other player's turn 
 - 00 Bug: Full game, beenden, erneut full game starten --> Unit-IDs werden nicht auf 0 gesetzt.
 - 01 Army that just discovered an enemy city or unit gets enemy sighting flag set, so it may revise its current command.
 - 02 Computer Strategy: Rule for explore
 - 01: Offer to jump to online help for dialog items
 - 01 Bug: After load/save an enemy unit once seen is shown at its current real position.
 * -- Advanced:
 - 01 City productivity starts random
 - 01 City production specialization
 - 01 City productivity loses on production loss via fight
 - 02 Rough
 - 02 Rivers
 - 01 Forest
 - 02 Mountains
 - 01 Terrain rules p135 rule h, i, j
 - 00 Tanks (Defect: tank can attack unit on mountain, but should not move onto it when won)
 - 00 Tanks (To test: tank attacks city and wins. Does this create an army or not?)
 - 00 Tanks (Defect: Tank cannot move onto river, forest, rough if only one move point is left.)
 - 02 Tanks (Tanks know fields slowing down and route accordingly)
 - 01 Bug: Tanks can't route goto behind obstacles like rough, river, forest.
 - 01 Bug: A damaged tank is not repaired within cities
 - 01 Transporter status message: "mit 3 Einheiten" --> "mit 2 AR, 1 PA"
 - 02 Bombers
 - 01 Airbases
 - 01 Visibility rules p135 rule g (Infantry, Tank, Transporter, Destroyer, Cruiser, Battleship, Carrier, Airbase all have a sighting range of 2 for air units in advanced game only, otherwise 1.
 - 00 Visibility bug (declared as feature): In show latest enemy moves, the start point of an animation is displayed, even if out of sight (but end point is).
 - 01 City production limitation by troop support
 * -- Extras:
 - 02 Options for production alerts
 - 01 Animation Speeds
 - 01 Graphics: Animation move should show unit moving between positions. Addon: Slowed down should move slower.
 - 01 Graphics: Animation move with docking / loading should show unit in target destination in later animation steps.
 - 00 Glitch: In world with border, border should get no "unknown" overlay at the edge of the world. Currently this border shows with overlay if border at other side of the world was explored.
 - 00 Bug: (Advanced) Beim Abspielen der gegnerischen Zge zeigt die Statuszeile anfangs nur die Feldinfo an. (Spter kommen Docking-Meldungen korrekt, aber keine Kampf-Meldungen.)
 - 00 Glitch: When animation starts, pop with empty message; When animation ends, push game view message.
 - 01 Graphics: "Sinking" graphics animation when unit is dying. 
 - 01 New graphics option: Turn distance info for selected unit on/off
 - 01 Fix title sound thread flood
 - 01 Auto-save after each full round, named <date><time>-<round>
 - 01 land/air unit move to ship should really use ship as target instead of position
 - 01 In other perspectives giving units commands or selecting views makes no sense.
 */

/*
 * User Stories (not done):
 * -- Bugs / urgent:
 * 01 Bug: Auto-Save is loadable, but hangs, when first player is non-human
 * 01 Bug: Winning over the only last computer player by really killing all their units will keep grey background after last round and show spinner, and not return to main screen.
 * 02 Computer strategy is too slow - why 1/20 sec per step?
 * 01 Computer strategy simple: If transporter, and in "load" mode, and no unit loaded since last round, then leave "load" mode.
 * 02 More complex computer strategies
 * 01 optimize GameState.findUnitsAtPosition, as this is taking the most cycle time right now with computer players
 * 00 CR:  Tutorial: Sentried submarine is not woken up when enemy fighter in range; however, fighter's move is listed in enemy moves.
 * 			--> When enemy identified, set seenEnemyLately for ALL units near that unit, no matter if they see the enemy themselves.
 * 03 Play by turn (multiplayer)
 * -- Extras:
 * 01 Somehow show land type below units. E.g. in context menu? Or as a special view? --> Solved, e.g. production view or path view do that.
 * 02 FPS (frames per second) setting (but where?)
 * 00 Refactor: Neutral cities are simple fields. Cities owned by players are units on top of those neutral cities.
 * 01 Path mode: Immediate feedback on circular references
 * 03 Group mode
 * 03 Players, ranks, high scores
 * 02 Multiple turns per seat
 * 03 Command: Patrol (Patroullieren)
 * 01 Computer strategy resigns
 */

/**
 * Starts the whole game - if as applet or as application.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Empire extends ApplicationOrApplet {

	private static final long serialVersionUID = 1L;

	private static Messages smessages = null;

	public static Messages getSMessages(final String localeDescription) {
		if (null == smessages) {
			smessages = new Messages(
					"de.ped.empire.logic.messages", 
					"Empire", 
					"v1.1", 
					"Copyright 2017-2024 Peter Diefenbach (peter@pdiefenbach.de)", 
					"A round-based strategic war game",
					"A round-based strategic war game",
					Messages.DEFAULT_LOCALES, 
					localeDescription,
					Messages.DEFAULT_LOCALE_INDEX);
		}
		return smessages;
	}

	public Empire() {
		addParameter(getParamDebug());
	}

	@Override
	public ResourceFinder resources() {
		return Resources.loader();
	}

	@Override
	protected String getPathToResources() {
		return Resources.PATH;
	}

	@Override
	protected Messages createMessages() {
		return getSMessages(findParameter(PARAM_KEY_LANGUAGE).getValue());
	}	

	@Override
	protected Frame createFrame() {
		Frame ret = null;
		try {
			ret = new EmpireMainWindow(this);
		} catch (final IOException e) {
			// Nothing to do
		}
		return ret;
	}

	/**
	 * The main entry point for the application.
	 *
	 * @param args
	 *            array of parameters passed to the application via the command
	 *            line
	 */
	public static void main(final String[] args) {
		applicationPreCreate();
		applicationPostCreate(new Empire(), args);
	}
}
