package de.ped.empire.gui;

import javax.swing.JOptionPane;

import de.ped.empire.logic.Player;
import de.ped.empire.logic.GameFacade.PlayerGetReadyMessage;
import de.ped.tools.Messages;
import de.ped.tools.gui.JInfoDialog;

/**
 * A dialog to show that the player has won the game or has left the game.
 * 
 * @author Copyright (c) 2015 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class GameEndedForPlayerDialog extends JInfoDialog {

	private static final long serialVersionUID = 1L;

	public static JInfoDialog create(final EmpireMainWindow empireMainWindow, final int playerId, final boolean isWon) {
		return new GameEndedForPlayerDialog(empireMainWindow, playerId, isWon);
	}

	public GameEndedForPlayerDialog(final EmpireMainWindow empireMainWindow, final int playerId, final boolean isWon) {
		super(empireMainWindow);
		final Messages messages = getMessages();
		final PlayerGetReadyMessage pgrm = (isWon ? PlayerGetReadyMessage.GameWon : PlayerGetReadyMessage.GameLost);
		final String key = (isWon ? "Game.EndedForPlayerDialog.GameWon" : "Game.EndedForPlayerDialog.GameLost");
		final Player player = empireMainWindow.getGameFacade().getGameProperties().getPlayers()[playerId];
		final String[] params = new String[] { player.getName(), };
		setTitle(messages.getString("Game.EndedForPlayerDialog.Title", null, params));
		setOptionPaneParams(messages.getString(key + Messages.TEXT_POSTFIX, null, params), JOptionPane.INFORMATION_MESSAGE, pgrm.key, pgrm.imageFolder);
		finishLayout();
		setResizable(false);
		getButtonPanel().setBackground(player.getForeground());
	}
}
