package de.ped.empire.gui;

import de.ped.empire.logic.GameProperties;
import de.ped.tools.Messages;
import de.ped.tools.gui.Wizard;
import de.ped.tools.gui.WizardPanelDescriptor;

/**
 * The panel to show all the game options for starting a new game.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class NewGameSelectionPanelGameProps extends WizardPanelDescriptor {
	public static final String ID = "GameProps";

	final NewGameSelectionPaneller paneller;

	public NewGameSelectionPanelGameProps(final Wizard wizard) {
		super(wizard);
		final Messages messages = wizard.getMessages();
		paneller = new NewGameSelectionPaneller(wizard, true);

		wizard.setTitlePanel(messages.getString("GamePropertiesWindow.Heading"));

		updateUIFieldsBasedOnProperties();

		final NewGameSelectionWizard w = (NewGameSelectionWizard) wizard;
		paneller.updateEditable(w.isEditable);

		setPanelComponent(paneller.mainPanel);
		setPanelId(ID);
		setBackPanelId(NewGameSelectionPanelGameType.ID);
		setNextPanelId(FINISH_ID);
	}

	@Override
	public void updateUIFieldsBasedOnProperties() {
		paneller.updateUIFieldsBasedOnProperties();
	}

	@Override
	public void readUIFieldsIntoProperties() {
		paneller.readUIFieldsIntoProperties();
	}

	public GameProperties getModel() {
		return paneller.getModel();
	}
}