package de.ped.empire.gui;

import de.ped.empire.logic.GameProperties;
import de.ped.tools.gui.ApplicationMainWindow;
import de.ped.tools.gui.JInfoDialog;
import de.ped.tools.gui.Wizard;
import de.ped.tools.gui.WizardPanelDescriptor;

/**
 * The wizard to start a new game.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class NewGameSelectionWizard extends Wizard {
	private static final long serialVersionUID = 1L;

	public NewGameSelectionWizard(final ApplicationMainWindow owner,
			final String title, 
			final boolean isEditable) {
		super(owner, owner, title, "Help.Properties");
		this.isEditable = isEditable;
		pd1 = new NewGameSelectionPanelGameType(this);
		pd2 = new NewGameSelectionPanelGameProps(this);
		registerWizardPanel(pd1);
		registerWizardPanel(pd2);
		setCurrentPanelId(pd1.getPanelId());
	}

	public GameProperties getModel() {
		return pd2.getModel();
	}

	public boolean isTutorial() {
		return pd1.isTutorial();
	}

	@Override
	protected void onNext() {
		boolean ok = true;
		final WizardPanelDescriptor currentId = (WizardPanelDescriptor) getCurrentPanelId();
		if (NewGameSelectionPanelGameProps.ID.equals(currentId.getPanelId())) {
			if (!pd2.getModel().isWithHumanPlayer()) {
				ok = false;
			}
		}
		if (ok) {
			super.onNext();
		} else {
			JInfoDialog dialog = pd2.paneller.getExceptionDialog();
			dialog.enterDialog();
		}
	}

	public final boolean isEditable;
	private NewGameSelectionPanelGameType pd1;
	private NewGameSelectionPanelGameProps pd2;
}
