package de.ped.empire.gui;

import javax.swing.JOptionPane;

import de.ped.empire.logic.GameFacade.PlayerGetReadyMessage;
import de.ped.empire.logic.Player;
import de.ped.tools.I18NStringWithFillIns;
import de.ped.tools.Messages;
import de.ped.tools.gui.ApplicationMainWindow;
import de.ped.tools.gui.JInfoDialog;

/**
 * A simple dialog to inform player X that it's now his/her turn.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PlayerGetReadyDialog extends JInfoDialog {
	private static final long serialVersionUID = 1L;

	public PlayerGetReadyDialog(final ApplicationMainWindow parent) {
		super(parent);
		final EmpireMainWindow empWindow = (EmpireMainWindow) parent;
		final Messages messages = getMessages();
		final int playerId = empWindow.getCurrentPlayerId();
		final Player player = empWindow.getGameFacade().getGameProperties().getPlayers()[playerId];
		final I18NStringWithFillIns title = new I18NStringWithFillIns("Game.PlayerReadyDialog.Text", null, 
				new String[] { player.getName(), });
		final PlayerGetReadyMessage pgrm = empWindow.getGameFacade().getPlayerReadyMessage(playerId);
		final I18NStringWithFillIns report = new I18NStringWithFillIns(pgrm.key + Messages.TEXT_POSTFIX, null, null);
		final I18NStringWithFillIns message = new I18NStringWithFillIns(null, "%0\n\n%1", new Object[] { title, report } );
		setTitle(messages.getString("Game.PlayerReadyDialog.Title"));
		setOptionPaneParams(messages.getString(message), pgrm.messageType, pgrm.key, pgrm.imageFolder);
		setOptionType(JOptionPane.DEFAULT_OPTION);
		finishLayout();
		setResizable(false);
		getButtonPanel().setBackground(player.getForeground());
	}
}
