package de.ped.empire.gui;

import de.ped.empire.logic.PlayerHandicap;
import de.ped.tools.Messages;
import de.ped.tools.gui.TableCellComboBoxRenderer;

/**
 * Knows how to show a player handicap to the user inside a list or a table.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PlayerHandicapRenderer extends TableCellComboBoxRenderer {
	private static final long serialVersionUID = 1L;

	public PlayerHandicapRenderer(final Messages messages) {
		for (int i = 0; i < PlayerHandicap.values().length; i++) {
			addItem(new TableCellComboBoxRenderer.TableCellComboBoxItem(
					getHandicapText(i, messages), PlayerHandicap.values()[i]));
		}
	}

	private String getHandicapText(final int handicapId, final Messages messages) {
		final PlayerHandicap handicap = PlayerHandicap.values()[handicapId];
		return messages.getText(handicap.key)  + " (" + (int)(100.0 * handicap.factor) + "%)";
	}
}
