package de.ped.empire.gui;

import java.awt.Component;

import javax.swing.JTable;

import de.ped.empire.logic.PlayerType;
import de.ped.tools.Messages;
import de.ped.tools.gui.TableCellComboBoxEditor;

/**
 * Knows how to edit a player type to the user inside a table.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PlayerTypeEditor extends TableCellComboBoxEditor {
	private static final long serialVersionUID = 1L;

	public PlayerTypeEditor(final Messages messages) {
		super(messages);
	}

	@Override
	public Component getTableCellEditorComponent(
			final JTable table, 
			final Object value,
			final boolean isSelected, 
			final int row, 
			final int column) {
		final PlayerType col = (PlayerType) value;
		comboBox = new PlayerTypeRenderer(messages);
		if (row < 2) { // For the first two players, no player is no option
			comboBox.removeItemAt(comboBox.getItemCount() - 1);
		}
		comboBox.setSelectedIndex(col.id);
		comboBox.addItemListener(this);
		return comboBox;
	}
}
