package de.ped.empire.gui;

import de.ped.empire.logic.PlayerType;
import de.ped.tools.Messages;
import de.ped.tools.gui.TableCellComboBoxRenderer;
import de.ped.tools.LocalizedString;

/**
 * Knows how to show a player type to the user inside a table.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PlayerTypeRenderer extends TableCellComboBoxRenderer {
	private static final long serialVersionUID = 1L;

	public PlayerTypeRenderer(final Messages messages) {
		for (int i = 0; i < PlayerType.values().length; i++) {
			addItem(new TableCellComboBoxRenderer.TableCellComboBoxItem(
					new LocalizedString(messages, PlayerType.values()[i].key), PlayerType.values()[i]));
		}
	}
}
