package de.ped.empire.gui;

import javax.swing.JOptionPane;

import de.ped.tools.Messages;
import de.ped.tools.gui.ApplicationMainWindow;
import de.ped.tools.gui.JInfoDialog;
import de.ped.tools.gui.PedAction;

/**
 * Presents a yes/no dialog to the user, asking her/him if an action really should be executed.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class SafetyQuestionDialog extends JInfoDialog {
	private static final long serialVersionUID = 1L;
	public static final String SAFETY_QUESTION_POSTFIX = ".SafetyQuestion";

	public SafetyQuestionDialog(final ApplicationMainWindow parent, final PedAction action) {
		super(parent);
		setTitle(getMessages().getText(action.getMessageKeyPrefix() + Messages.TEXT_POSTFIX));
		setOptionPaneParams(getMessages().getString(action.getMessageKeyPrefix() + SAFETY_QUESTION_POSTFIX), JOptionPane.QUESTION_MESSAGE);
		setOptionType(JOptionPane.OK_CANCEL_OPTION);
		finishLayout();
		setResizable(false);
		getButtonCancel().requestFocusInWindow();
	}
}
