package de.ped.empire.logic;

import de.ped.tools.Bitfield32;
import de.ped.tools.I18NStringWithFillIns;

/**
 * The overlays to draw if a fight occurs. The overlay instances are presented by sequence to represent a hit.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class FightOverlay extends TileTemplate {

	@SuppressWarnings("unused")
	private static final long serialVersionUID = 1L;

	public static final int NUM_OF_INSTANCES = 4;

	private static FightOverlay[] instances = new FightOverlay[NUM_OF_INSTANCES];

	public static FightOverlay instance(final int key) {
		if (null == instances[key]) {
			instances[key] = new FightOverlay(key);
		}
		return instances[key];
	}

	private static I18NStringWithFillIns name = null;

	protected FightOverlay(final int fightOverlayKey) {
		initImageKey(ImageKey.TType.Overlay, ImageKey.OVERLAY_ID_FIGHT);
		Bitfield32 bits = new Bitfield32(getImageKey());
		bits.setBits(ImageKey.BA_NEIGHBOR_MOD, fightOverlayKey);
		setImageKey(bits.getAll());
	}

	@Override
	public I18NStringWithFillIns getName() {
		if (null == name) {
			name = new I18NStringWithFillIns(null, getClass().getSimpleName(), null);
		}
		return name;
	}

	@Override
	public char getLogRepresentation() {
		return '$';
	}
}
