package de.ped.empire.logic;

/**
 * Defines a kind of load some unit may be able to carry.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class LoadDefinition {
	public static final LoadDefinition[] NO_LOAD = new LoadDefinition[]{};

	LoadDefinition(final int commandableId, final int holdsTaken) {
		this.commandableId = commandableId;
		this.holdsTaken = holdsTaken;
	}

	@Override
	public String toString() {
		return ("" + commandableId + "(" + holdsTaken + ")");
	}

	CommandableTemplate getUnitType() {
		return CommandableTemplate.findTemplateById(commandableId);
	}

	final int commandableId;
	final int holdsTaken;
}