package de.ped.empire.logic;

import java.awt.Color;

/**
 * Defines if this is a land, sea or air unit (or no unit at all)
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
public enum MilitaryBranch {
	LAND_UNIT("Game.Unit.Type.Land", 0x01, Color.red.brighter().brighter()),
	AIR_UNIT ("Game.Unit.Type.Air",  0x02, Color.lightGray),
	SEA_UNIT ("Game.Unit.Type.Sea",  0x04, Color.cyan),
	NO_UNIT  (null,                  0x00, null);

	public final static MilitaryBranch[] REAL_BRANCHES = { LAND_UNIT, AIR_UNIT, SEA_UNIT, };

	private MilitaryBranch(final String key, final int mask, final Color color) {
		this.messageKey = key;
		this.mask = mask;
		this.color = color;
	}

	public final String messageKey;

	/**
	 * Mask defines a single bit to represent this branch. 
	 * Needed to define bitsets of branches, e.g., to define move paths.
	 */
	public final int mask;

	/** The color representation of this branch, e.g., in drawing move paths. */
	public final Color color;
}