package de.ped.empire.logic;

import de.ped.tools.Marshaller;

/**
 * The order that can be given to a military {@link Unit} to show and edit the move paths starting from there.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class OrderDefineMovePaths extends Order {

	@SuppressWarnings("unused")
	private static final long serialVersionUID = 1L;

	private static final OrderTemplate TEMPLATE = OrderTemplate.CHANGE_MOVE_PATHS;

	public OrderDefineMovePaths(final GameState gameState, final Commandable commandable) {
		super(gameState, commandable, TEMPLATE);
	}

	OrderDefineMovePaths(final GameState gameState, final Commandable commandable, final Marshaller marshaller) {
		super(gameState, commandable, TEMPLATE, marshaller);
		throw new IllegalStateException(ERRORMSG_TRANSIENT);
	}

	@Override
	public void marshal(final Marshaller marshaller) {
		throw new IllegalStateException(ERRORMSG_TRANSIENT);
	}

	@Override
	public boolean makesSense(final Commandable commandable) {
		if (null == this.getCommandable()) {
			return template.makesSense(getGameView(), commandable);
		} else if (this.getCommandable().getPlayerId() != Player.ID_NONE) {
			return template.makesSense(getGameView(), commandable);
		} else {
			return false;
		}
	}

	@Override
	public MoveResult evaluate(boolean isNow) {
		logger.debug("evaluate");
		final GameView gameView = getGameView();
		gameView.setGameNotificationEvent(GameNotification.MASK_EDIT_MOVE_PATH_REQ, getCommandable().getKey());
		return null;
	}
}
