package de.ped.empire.logic;

import de.ped.tools.Marshaller;

/**
 * The order that can be given to a military {@link Unit} to 
 * wait until fully loaded.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class OrderLoad extends Order {

	@SuppressWarnings("unused")
	private static final long serialVersionUID = 1L;

	private static final OrderTemplate TEMPLATE = OrderTemplate.LOAD;

	public OrderLoad(final GameState gameState, final Commandable commandable) {
		super(gameState, commandable, TEMPLATE);
	}

	OrderLoad(final GameState gameState, final Commandable commandable, final Marshaller marshaller) {
		super(gameState, commandable, TEMPLATE, marshaller);
	}

	@Override
	public void marshal(final Marshaller marshaller) {
		super.marshal(marshaller);
	}

	@Override
	public MoveResult evaluate(final boolean isNow) {
		if (isFulfilled()) {
			getCommandable().setOrder(null);
		}
		return null;
	}

	@Override
	public boolean isFulfilled() {
		boolean ret = true;
		final Commandable commandable = getCommandable();
		if (commandable instanceof Unit) {
			Unit unit = (Unit) commandable;
			ret = (0 >= unit.calcRemainingCapacity());
		}
		return ret;
	}
}
