package de.ped.empire.logic;

import de.ped.tools.Marshaller;

/**
 * The order that can be given to a military {@link Unit} to change their name.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class OrderRename extends Order {

	@SuppressWarnings("unused")
	private static final long serialVersionUID = 1L;

	private static final OrderTemplate TEMPLATE = OrderTemplate.RENAME;

	public OrderRename(final GameState gameState, final Commandable commandable) {
		super(gameState, commandable, TEMPLATE);
	}

	OrderRename(final GameState gameState, final Commandable commandable, final Marshaller marshaller) {
		super(gameState, commandable, TEMPLATE, marshaller);
		throw new IllegalStateException(ERRORMSG_TRANSIENT);
	}

	@Override
	public void marshal(final Marshaller marshaller) {
		throw new IllegalStateException(ERRORMSG_TRANSIENT);
	}

	@Override
	public MoveResult evaluate(final boolean isNow) {
		final GameView gameView = getGameView();
		final Commandable commandable = gameView.getVisibleCommandableInFocus();
		if (commandable instanceof Unit) {
			getCommandable().setOrder(null);
		}
		gameView.setGameNotificationEvent(GameNotification.MASK_RENAME_REQ, commandable.getKey());
		return null;
	}
}
