package de.ped.empire.logic;

import de.ped.tools.Marshaller;

/**
 * The order that can be given to a military {@link Unit} to 
 * stand still and wait till order cleared or enemy in sight.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class OrderSentry extends Order {

	@SuppressWarnings("unused")
	private static final long serialVersionUID = 1L;

	private static final OrderTemplate TEMPLATE = OrderTemplate.SENTRY;

	public OrderSentry(final GameState gameState, final Commandable commandable) {
		super(gameState, commandable, TEMPLATE);
	}

	OrderSentry(final GameState gameState, final Commandable commandable, final Marshaller marshaller) {
		super(gameState, commandable, TEMPLATE, marshaller);
	}

	@Override
	public void marshal(final Marshaller marshaller) {
		super.marshal(marshaller);
	}

	@Override
	public MoveResult evaluate(final boolean isNow) {
		return null;
	}

	@Override
	public boolean isFulfilled() {
		return false;
	}
}
