package de.ped.empire.logic;

import de.ped.tools.Marshaller;

/**
 * The order that can be given to a military {@link Unit} to go attack a neighboring enemy unit.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class OrderSkipMove extends Order {

	@SuppressWarnings("unused")
	private static final long serialVersionUID = 1L;

	private static final OrderTemplate TEMPLATE = OrderTemplate.SKIP_MOVE;

	public OrderSkipMove(final GameState gameState, final Commandable commandable) {
		super(gameState, commandable, TEMPLATE);
	}

	OrderSkipMove(final GameState gameState, final Commandable commandable, final Marshaller marshaller) {
		super(gameState, commandable, TEMPLATE, marshaller);
		throw new IllegalStateException(ERRORMSG_TRANSIENT);
	}

	@Override
	public void marshal(final Marshaller marshaller) {
		throw new IllegalStateException(ERRORMSG_TRANSIENT);
	}

	@Override
	public MoveResult evaluate(final boolean isNow) {
		final Unit unit = (Unit) getCommandable();
		return unit.skipMove();
	}
}
