package de.ped.empire.logic;

import de.ped.tools.Idable;

/**
 * Represents one of the possible player handicaps.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public enum PlayerHandicap implements Idable {
	PIECEOFCAKE (0, "GameProperties.Players.Handicap.0", 0.25), // 0:  2/ 8/ 6/  9/ 15 -->  25% / 400%
	EASY        (1, "GameProperties.Players.Handicap.1", 0.50), // 1:  3/15/12/ 18/ 30 -->  50% / 200% 
	BEGINNER    (2, "GameProperties.Players.Handicap.2", 0.75), // 2:  5/23/18/ 27/ 45 -->  75% / 150%
	NORMAL      (3, "GameProperties.Players.Handicap.3", 1.00), //*3:  6/30/24/ 36/ 60 --> 100% / 100%
	SLIGHTLY    (4, "GameProperties.Players.Handicap.4", 1.10), // 4:  7/33/26/ 40/ 66 --> 110% /  90%
	ADVANCED    (5, "GameProperties.Players.Handicap.5", 1.25), // 5:  8/38/30/ 45/ 75 --> 125% /  80%
	TOUGH       (6, "GameProperties.Players.Handicap.6", 1.50), // 6:  9/45/36/ 54/ 90 --> 150% /  67%
	VERYTOUGH   (7, "GameProperties.Players.Handicap.7", 1.75), // 7: 11/53/42/ 63/105 --> 175% /  --
	UNBELIEVABLE(8, "GameProperties.Players.Handicap.8", 2.25), // 8: 14/68/54/ 81/135 --> 225% /  44%
	MADASHELL   (9, "GameProperties.Players.Handicap.9", 3.00); 

	public final int id;
	public final String key;
	public final double factor;

	private PlayerHandicap(final int id, final String key, final double factor) {
		this.id = id;
		this.key = key;
		this.factor = factor;
	}

	@Override
	public int getId() {
		return id;
	}
}
