package de.ped.empire.logic;

import de.ped.tools.Marshallable;
import de.ped.tools.Marshaller;

/**
 * Keeps some statistics on the player performance that is shown in the Status report and at other places.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PlayerUnitStatistics implements Marshallable {
	public int getUnitsProduced() {
		return unitsProduced;
	}

	public int incUnitsProduced() {
		return ++unitsProduced;
	}

	public int getUnitsKilled() {
		return unitsKilled;
	}

	public int incUnitsKilled() {
		return ++unitsKilled;
	}

	public int getUnitsLost() {
		return unitsLost;
	}

	public int incUnitsLost() {
		return ++unitsLost;
	}

	@Override
	public void marshal(final Marshaller marshaller) {
		marshaller.writeInt(unitsProduced);
		marshaller.writeInt(unitsKilled);
		marshaller.writeInt(unitsLost);
	}

	@Override
	public Marshallable demarshal(final Marshaller marshaller) {
		unitsProduced = marshaller.readInt();
		unitsKilled = marshaller.readInt();
		unitsLost = marshaller.readInt();
		return this;
	}

	private int unitsProduced = 0;
	private int unitsKilled = 0;
	private int unitsLost = 0;

	public void reset() {
		unitsProduced = 0;
		unitsKilled = 0;
		unitsLost = 0;
	}
}