package de.ped.empire.logic;

/**
 * The purpose to rate the map for.
 * 
 * @author Copyright (c) 2016 Peter Diefenbach (peter@pdiefenbach.de)
 */
public enum StepRatingPurpose {
	/** A normal unit plans its move ahead. */
	NORMAL  (true,  true),
	/** A normal unit plans its move ahead. */
	AHEAD   (false, true),
	/** A pivot unit for move paths plans its move ahead. */
	PATH    (false, true),
	/** A pivot unit for finding cities on the same known island plans its move ahead. */
	CONQUER (false, false),
	;

	/** <code>true</code> if for the next move the destination field needs to be free */
	public final boolean isDestinationFieldToBeFreeNow;

	public final boolean isTraversingUnexploredFields;

	private StepRatingPurpose(final boolean isDestinationFieldToBeFreeNow, final boolean isTraversingUnexploredFields) {
		this.isDestinationFieldToBeFreeNow = isDestinationFieldToBeFreeNow;
		this.isTraversingUnexploredFields = isTraversingUnexploredFields;
	}
}