package de.ped.empire.logic;

/**
 * A unit or the after-image of a sighting of a unit on the map.
 * 
 * @author Copyright (c) 2015 Peter Diefenbach (peter@pdiefenbach.de)
 */
public interface UnitAlike extends MappedTileable, Commandable, Comparable<UnitAlike> {

	/**
	 * @return the key of the containing commandable, or <code>null</code> if
	 *         this unit is directly on the map and not loaded
	 */
	public abstract CommandableKey getParentKey();

	/** 
	 * @return the game state unit behind that unit alike object
	 */
	public abstract Unit getUnit();

	/** 
	 * @return the commandable template behind that unit alike object
	 */
	public abstract CommandableTemplate getUnitTemplate();
	
	public static final int CURRENT = 0;

	/**
	 * @return for a sighting, the turn when the sighting was; otherwise {@link #CURRENT}.
	 */
	public abstract int getTurnOfSighting();

	@Override
	public int hashCode();

	@Override
	public boolean equals(final Object obj);
}
