package de.ped.empire.test;

import static org.junit.Assert.*;

import java.util.Arrays;
import java.util.Collection;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;
import org.junit.runners.Parameterized.Parameters;

import de.ped.empire.gui.BlinkingState;
import de.ped.empire.logic.ProcessorSpeedType;

/**
 * Tests for the {@link BlinkingState} class.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
@RunWith(value=Parameterized.class)
public class BlinkingStateTest {

	@Parameters
	public static Collection<ProcessorSpeedType> data() {
		return Arrays.asList(ProcessorSpeedType.values());
	}

	public BlinkingStateTest(final ProcessorSpeedType pst) {
		this.pst = pst;
	}

	@Test
	public void test() {
		final BlinkingState state = new BlinkingState();
		assertEquals(true, state.isVisible());
		final int n = BlinkingState.DURATION_IN_STEPS[pst.ordinal()];
		for (int i = 0; i < n - 1; i++) {
			assertEquals(pst.name() + "(" + i + ")", false, state.step(pst));
			assertEquals(pst.name() + "(" + i + ")", true, state.isVisible());
		}
		assertEquals(pst.name(), true, state.step(pst));
		assertEquals(pst.name(), false, state.isVisible());
	}

	protected ProcessorSpeedType pst;
}
