package de.ped.empire.test;

import static org.junit.Assert.*;

import org.junit.Test;

import de.ped.dsatool.logic.DSADateComplete;
import de.ped.empire.logic.CommandableKey;
import de.ped.empire.logic.ImageKey;
import de.ped.tools.test.GenericTest;

/**
 * Tests for the {@link CommandableKey} class.
 * 
 * @author Copyright (c) 2018 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class CommandableKeyTest {
	@Test
	public void testNullKeyIsComparable() {
		assertTrue(CommandableKey.NULL_KEY.equals(CommandableKey.NULL_KEY));
		assertEquals(0, CommandableKey.NULL_KEY.compareTo(CommandableKey.NULL_KEY));
	}

	/**
	 * @see DSADateComplete#equals(Object)
	 * @see DSADateComplete#clone()
	 */
	@Test
	public void testObjectBasics() {
		GenericTest.checkObjectBasics(true, 
				new CommandableKey(ImageKey.CMDL_ID_ARMY, 0, 1),
				CommandableKey.NULL_KEY); 
	}
}
