package de.ped.empire.test;

import de.ped.empire.gui.Empire;
import de.ped.empire.logic.FieldCity;
import de.ped.empire.logic.GameNotification;
import de.ped.empire.logic.GameObserver;
import de.ped.empire.logic.Unit;
import de.ped.tools.Messages;

/**
 * A stub for {@link GameObserver}.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class GameObserverStub implements GameObserver {

	private int playerId;
	private GameNotification notif;
	private FieldCity city;
	private Unit unit;

	public int getPlayerId() {
		return playerId;
	}

	public GameNotification getNotif() {
		return notif;
	}

	public FieldCity getCity() {
		return city;
	}

	public Unit getUnit() {
		return unit;
	}

	@Override
	public Messages getMessages() {
		return Empire.getSMessages(null);
	}

	@Override
	public void notifyGameNotification(final int playerId, final GameNotification notif) {
		this.playerId = playerId;
		this.notif = notif;
	}

	@Override
	public void notifyUnitProduced(final int playerId, final FieldCity city, final Unit unit) {
		this.playerId = playerId;
		this.city = city;
		this.unit = unit;
	}

	@Override
	public void step(final int playerId) {
		this.playerId = playerId;
	}
}
