package de.ped.empire.test;

import org.junit.Test;

import de.ped.empire.logic.GameInitializationException;
import de.ped.empire.logic.GameMap;
import de.ped.empire.logic.GameProperties;
import de.ped.empire.logic.GameState;
import de.ped.empire.logic.Order;
import de.ped.empire.logic.OrderDisband;
import de.ped.empire.logic.OrderLoad;
import de.ped.tools.test.GenericTest;

/**
 * Unit tests for the {@link Order} class and its subclasses.
 * 
 * @author Copyright (c) 2019 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class OrderTest {

	/**
	 * @see Order#equals(Object)
	 * @see Order#clone()
	 * @throws GameInitializationException if game initialization failed
	 */
	@Test
	public void testObjectBasics() throws GameInitializationException {
		final GameObserverStub observer = new GameObserverStub();
		final GameProperties props = new GameProperties();
		final GameMap map = new GameMap(props);
		map.addAtRandom(props);
		map.finish();
		final GameState gameState = new GameState(observer, map);
		final Order order1 = new OrderDisband(gameState, null);
		GenericTest.checkObjectBasics(false, order1, new OrderLoad(gameState, null));
	}
}
