package de.ped.gedicht.gui;

import java.awt.Frame;

import de.ped.gedicht.logic.PoemFacade;
import de.ped.tools.Messages;
import de.ped.tools.gui.ApplicationOrApplet;

/**
 * Starts the whole game - if as applet or as application.
 * 
 * @author Copyright (c) 2008 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Gedicht extends ApplicationOrApplet {
	private static final long serialVersionUID = 1L;

	/**
	 * The main entry point for the application.
	 * 
	 * @param args
	 *            array of parameters passed to the application via the command
	 *            line
	 */
	public static void main(final String[] args) {
		applicationPreCreate();
		applicationPostCreate(new Gedicht(), args);
	}

	@Override
	protected Messages createMessages() {
		return facade().messages();
	}

	public PoemFacade facade() {
		if (null == env) {
			env = new PoemFacade();
		}
		return env;
	}
	
	private PoemFacade env;

	@Override
	protected Frame createFrame() {
		return new GedichtMainWindow(this);
	}
}
