package de.ped.kitten.gui;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

/**
 * Creates and contains the image for a {@link CharRepresentation}.
 * Can be used for performance optimization.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class CharImage {
	public final BufferedImage image;
	public final Dimension symbolSize;

	public CharImage(final CharRepresentation rep) {
		symbolSize = new Dimension(rep.stretch[0] * 8, rep.stretch[1] * 8);
		image = new BufferedImage(symbolSize.width, symbolSize.height, BufferedImage.TYPE_INT_ARGB);
		final Graphics g = image.getGraphics();
		final Atari8bitScreen screen = new Atari8bitScreen(Atari8bitScreen.NULL_BORDER, false);
		screen.setFont(rep.font);
		screen.setStretch(0, rep.stretch[0]);
		screen.setStretch(1, rep.stretch[1]);
		screen.drawCharAt(g, rep.ch, 0, 0, rep.colorMap);
	}

	public int get(final char c) {
		return 0;
	}
}