package de.ped.kitten.gui;

import java.awt.Color;
import java.util.HashMap;

/**
 * Defines with which colors to draw a character of a font.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class ColorMap extends HashMap<Character, Color> {
	private static final long serialVersionUID = 1L;

	public static ColorMap create(final Color one, final String name) {
		return create(null, null, one, name);
	}

	public static ColorMap create(final Color background, final Color zero, final Color one, final String name) {
		final ColorMap ret = new ColorMap(name);
		ret.put(null, background);
		ret.put(Character.valueOf('.'), zero);
		ret.put(Character.valueOf('*'), one);
		ret.put(Character.valueOf('+'), one.darker());
		ret.put(Character.valueOf('-'), one.darker().darker());
		ret.put(Character.valueOf('#'), Color.white);
		ret.put(Character.valueOf('&'), Color.decode("0x4040ff")); // light blue
		return ret;
	}

	public final String name;

	public ColorMap(final String name) {
		this.name = name;
	}
}