package de.ped.kitten.gui;

import de.ped.kitten.logic.Characters;

/**
 * Initializes the fonts with Kitten-specific characters.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class KittenFontsInitializer {

	public static TrueTypeMonospaceFont initFonts(final TrueTypeMonospaceFont classicFont) {
		final int[] springDef = new int[]{255,1,255,128,255,1,255,255};
		classicFont.setChardef(Characters.CURSOR, new int[]{60,66,153,165,165,153,66,60});
		classicFont.setChardef(Characters.CAT_MEAOW, new int[]{24,60,102,102,60,28,252,54});
		classicFont.setChardef(Characters.CAT_LOOKS_LEFT, new int[]{20,114,209,125,63,63,47,110});
		classicFont.setChardef(Characters.CAT_IDLE, new int[]{36,126,219,126,24,188,124,54});
		classicFont.setChardef(Characters.CAT_LOOKS_RIGHT, new int[]{64,136,142,235,254,252,138,81});
		classicFont.setChardef(Characters.CAT_UP_LEFT, new int[]{17,114,210,122,62,239,6,2});
		classicFont.setChardef(Characters.CAT_DOWN_LEFT, new int[]{12,2,19,118,223,124,16,32});
		classicFont.setChardef(Characters.CAT_UP_RIGHT, new int[]{8,14,139,94,124,247,96,64});
		classicFont.setChardef(Characters.CAT_DOWN_RIGHT, new int[]{128,64,200,110,251,62,8,4});
		classicFont.setChardef(Characters.WALL, new int[]{251,251,251,0,223,223,223,0});
		classicFont.setChardef(Characters.BLOCK, new int[]{63,67,253,133,133,133,134,252});
		classicFont.setChardef(Characters.HURDLE, new int[]{2,78,114,66,78,114,66,255});
		classicFont.setChardef(Characters.SPRING, springDef);
		classicFont.setChardef(Characters.FLOWER, new int[]{12,30,26,44,32,44,24,16});
		classicFont.setChardef(Characters.HEART, new int[]{0,20,42,73,65,34,20,8});
		classicFont.setChardef(Characters.MICROFLICRO1, new int[]{32,80,127,234,224,96,53,30});
		classicFont.setChardef(Characters.MICROFLICRO2, new int[]{0,32,80,127,234,245,126,0});
		classicFont.setChardef(Characters.SPRING_LOADED, springDef);

		TrueTypeMonospaceFont modernFont = new TrueTypeMonospaceFont(classicFont);
//		try {
//			FileInputStream fis = new FileInputStream(Resources.getURLToResource("ACHTBIT.ZEI").getFile());
//			font2.setChardefs(fis, 8);
//			initKittenSymbols8x8(font2);
//		} catch (final FileNotFoundException ex) {
//			logger.error("Unable to load font", ex);
//		}
		modernFont.setChardef(Characters.CAT_IDLE, new String[]{ // Size 1
				"....**....**....", 
				"..************..", 
				"****..****..***+", 
				"..*****++*****..", 
				"+.....****......", 
				"**..********....", 
				".************...", 
				"....****...****.",
				});
		modernFont.setChardef(Characters.CAT_IDLE1, new String[]{
				"....**....**....", 
				"..************..", 
				"****..****..***+", 
				"..*****++*****..", 
				"+.....****......", 
				"+*+.********....", 
				".+***********...", 
				"....****...****.",
				});
		modernFont.setChardef(Characters.CAT_IDLE2, new String[]{
				"....**....**....", 
				"..************..", 
				"****..****..***+", 
				"..*****++*****..", 
				".+....****......", 
				".**.********....", 
				".+***********...", 
				"....****...****.",
				});
		modernFont.setChardef(Characters.CAT_IDLE3, new String[]{
				"....**....**....", 
				"..************..", 
				"****..****..***+", 
				"..*****++*****..", 
				".+....****......", 
				"+*..********....", 
				".************...", 
				"....****...****.",
				});
		modernFont.setChardef(Characters.CAT_IDLE, new String[]{ // Size 2
				".........*+*........*+*.........", 
				"........*++*........*++*........", 
				".......******************.......", 
				"....************************....", 
				"...*****....********....*****...", 
				"...*****....********....*****...", 
				"....**********++++**********....", 
				"......*********++*********......", 
				"++..........&******&............", 
				"++........***&&&&&&****.........", 
				"***.....*****************.......", 
				"****...*******************......", 
				".********************+*****.....", 
				"..*********++********+*****.....", 
				"......*******+++......******++..",
				"........********.......*******..",
				});
		modernFont.setChardef(Characters.CAT_IDLE1, new String[]{
				".........*+*........*+*.........", 
				"........*++*........*++*........", 
				".......******************.......", 
				"....************************....", 
				"...*****....********....*****...", 
				"...*****....********....*****...", 
				"....**********++++**********....", 
				"......*********++*********......", 
				"++..........&******&............", 
				"++*.......***&&&&&&****.........", 
				".***....*****************.......", 
				"..****.*******************......", 
				"...******************+*****.....", 
				"....*******++********+*****.....", 
				"......*******+++......******++..",
				"........********.......*******..",
				});
		modernFont.setChardef(Characters.CAT_IDLE2, new String[]{
				".........*+*........*+*.........", 
				"........*++*........*++*........", 
				".......******************.......", 
				"....************************....", 
				"...*****....********....*****...", 
				"...*****....********....*****...", 
				"....**********++++**********....", 
				"......*********++*********......", 
				"...++.......&******&............", 
				"...++.....***&&&&&&****.........", 
				"..***...*****************.......", 
				"..***..*******************......", 
				"..*******************+*****.....", 
				"...********++********+*****.....", 
				"......*******+++......******++..",
				"........********.......*******..",
				});
		modernFont.setChardef(Characters.CAT_IDLE3, new String[]{
				".........*+*........*+*.........", 
				"........*++*........*++*........", 
				".......******************.......", 
				"....************************....", 
				"...*****....********....*****...", 
				"...*****....********....*****...", 
				"....**********++++**********....", 
				"......*********++*********......", 
				"..++........&******&............", 
				".*++......***&&&&&&****.........", 
				"***.....*****************.......", 
				"****...*******************......", 
				".********************+*****.....", 
				"..*********++********+*****.....", 
				"......*******+++......******++..",
				"........********.......*******..",
				});
		modernFont.setChardef(Characters.CAT_IDLE, new String[]{ // Size 3
				".............*++*..............*++*.............", 
				"............*+++*..............*+++*............", 
				"............*+++*.....+++......*+++*............", 
				"..........****************************..........", 
				".......**********************************.......", 
				".....**************************************.....", 
				"....********.....**************.....********....", 
				"....*******.......************.......*******....", 
				"....********.....**************.....********....", 
				"......***************++--++***************......", 
				"........**************++++**************........", 
				"...........************++************...........", 
				"+++..............&&**********&&.................", 
				"+++..........******&&&&&&&&&&****...............", 
				"***+........************************+...........", 
				"****.......+**************************..........", 
				"******....*****************************.........", 
				".***************************************........", 
				".+*****************************+*********.......", 
				"...**************++*************+********.......", 
				".....************++*************+********+......", 
				".........***********++++.........*********+++...",
				"............************+..........**********+..",
				"..............***********&...........*********&.",
				});
		modernFont.setChardef(Characters.CAT_IDLE1, new String[]{
				".............*++*..............*++*.............", 
				"............*+++*..............*+++*............", 
				"............*+++*.....+++......*+++*............", 
				"..........****************************..........", 
				".......**********************************.......", 
				".....**************************************.....", 
				"....********.....**************.....********....", 
				"....*******.......************.......*******....", 
				"....********.....**************.....********....", 
				"......***************++--++***************......", 
				"........**************++++**************........", 
				"...........************++************...........", 
				"+++..............&&**********&&.................", 
				"+++*.........******&&&&&&&&&&****...............", 
				".****.......************************+...........", 
				"..****.....+**************************..........", 
				"...****...*****************************.........", 
				"...*************************************........", 
				"....***************************+*********.......", 
				".....************++*************+********.......", 
				"......***********++*************+********+......", 
				".........***********++++.........*********+++...",
				"............************+..........**********+..",
				"..............***********&...........*********&.",
				});
		modernFont.setChardef(Characters.CAT_IDLE2, new String[]{
				".............*++*..............*++*.............", 
				"............*+++*..............*+++*............", 
				"............*+++*.....+++......*+++*............", 
				"..........****************************..........", 
				".......**********************************.......", 
				".....**************************************.....", 
				"....********.....**************.....********....", 
				"....*******.......************.......*******....", 
				"....********.....**************.....********....", 
				"......***************++--++***************......", 
				"........**************++++**************........", 
				"...........************++************...........", 
				"....+++..........&&**********&&.................", 
				"....+++......******&&&&&&&&&&****...............", 
				"...****.....************************+...........", 
				"...****....+**************************..........", 
				"..****-...*****************************.........", 
				"..**************************************........", 
				"...****************************+*********.......", 
				"....*************++*************+********.......", 
				"......***********++*************+********+......", 
				".........***********++++.........*********+++...",
				"............************+..........**********+..",
				"..............***********&...........*********&.",
				});
		modernFont.setChardef(Characters.CAT_IDLE3, new String[]{
				".............*++*..............*++*.............", 
				"............*+++*..............*+++*............", 
				"............*+++*.....+++......*+++*............", 
				"..........****************************..........", 
				".......**********************************.......", 
				".....**************************************.....", 
				"....********.....**************.....********....", 
				"....*******.......************.......*******....", 
				"....********.....**************.....********....", 
				"......***************++--++***************......", 
				"........**************++++**************........", 
				"...........************++************...........", 
				"...+++...........&&**********&&.................", 
				"..*+++.......******&&&&&&&&&&****...............", 
				".****.......************************+...........", 
				"****.......+**************************..........", 
				"****+.....*****************************.........", 
				"+***************************************........", 
				".+*****************************+*********.......", 
				"...**************++*************+********.......", 
				".....************++*************+********+......", 
				".........***********++++.........*********+++...",
				"............************+..........**********+..",
				"..............***********&...........*********&.",
				});
		modernFont.setChardef(Characters.CAT_IDLE, new String[]{ // Size 4
				"..................****....................****..................", 
				".................*+++*....................*+++*.................", 
				"................**++++*..................*++++**................", 
				"................**++++*.....--++++--.....*++++**................", 
				"..............+**********************************+..............", 
				"..........+******************************************+..........", 
				"........************************************************........", 
				".......**************************************************.......", 
				"......+**********......******************......**********+......", 
				"......*********..........**************..........*********......", 
				"......*********..........**************..........*********......", 
				"......+**********......******************......**********+......", 
				".......**********************++++++**********************.......", 
				".........********************+-++-+*********************........", 
				"............*******************++*******************............", 
				"................********************************................", 
				".-*....................&&&************&&&.......................", 
				"-**-....................&&&&&&&&&&&&&&&&........................", 
				"-**-.............+**********&&&&&&&&**********..................", 
				"-**-............********************************+...............", 
				"-***-..........***********************************..............", 
				"-****-........*************************************.............", 
				".-*****-....****************************************............", 
				"..***************************************************...........", 
				"..-********************+*****************+***********+..........", 
				"...-*******************+*****************+************..........", 
				".....+******************+*****************+************.........", 
				".......+*****************+*****************+************........", 
				"..........****************+++...............*************+......",
				".............+***************+++..............************+.....",
				"..................+***************...............************+..",
				".....................+************&...............+**********&..",
				});
		modernFont.setChardef(Characters.CAT_IDLE1, new String[]{ 
				"..................****....................****..................", 
				".................*+++*....................*+++*.................", 
				"................**++++*..................*++++**................", 
				"................**++++*.....--++++--.....*++++**................", 
				"..............+**********************************+..............", 
				"..........+******************************************+..........", 
				"........************************************************........", 
				".......**************************************************.......", 
				"......+**********......******************......**********+......", 
				"......*********..........**************..........*********......", 
				"......*********..........**************..........*********......", 
				"......+**********......******************......**********+......", 
				".......**********************++++++**********************.......", 
				".........********************+-++-+*********************........", 
				"............*******************++*******************............", 
				"................********************************................", 
				".-*....................&&&************&&&.......................", 
				".-**-...................&&&&&&&&&&&&&&&&........................", 
				"..-**-............+**********&&&&&&&&**********..................", 
				"...+**-.........********************************+...............", 
				"...-***-.......***********************************..............", 
				"...-****-.....*************************************.............", 
				"....+****-..****************************************............", 
				"....-************************************************...........", 
				"....-******************+*****************+***********+..........", 
				".....-*****************+*****************+************..........", 
				"......+*****************+*****************+************.........", 
				".......+*****************+*****************+************........", 
				"..........****************+++...............*************+......",
				".............+***************+++..............************+.....",
				"..................+***************...............************+..",
				".....................+************&...............+**********&..",
				});
		modernFont.setChardef(Characters.CAT_IDLE2, new String[]{ 
				"..................****....................****..................", 
				".................*+++*....................*+++*.................", 
				"................**++++*..................*++++**................", 
				"................**++++*.....--++++--.....*++++**................", 
				"..............+**********************************+..............", 
				"..........+******************************************+..........", 
				"........************************************************........", 
				".......**************************************************.......", 
				"......+**********......******************......**********+......", 
				"......*********..........**************..........*********......", 
				"......*********..........**************..........*********......", 
				"......+**********......******************......**********+......", 
				".......**********************++++++**********************.......", 
				".........********************+-++-+*********************........", 
				"............*******************++*******************............", 
				"................********************************................", 
				"....-*.................&&&************&&&.......................", 
				"...-**-.................&&&&&&&&&&&&&&&&........................", 
				"...-**-..........+**********&&&&&&&&**********..................", 
				"...-**+.........********************************+...............", 
				"...-***-.......***********************************..............", 
				"...-****-.....*************************************.............", 
				"...-*****-..****************************************............", 
				"....*************************************************...........", 
				"....-******************+*****************+***********+..........", 
				"....-******************+*****************+************..........", 
				".....+******************+*****************+************.........", 
				".......+*****************+*****************+************........", 
				"..........****************+++...............*************+......",
				".............+***************+++..............************+.....",
				"..................+***************...............************+..",
				".....................+************&...............+**********&..",
				});
		modernFont.setChardef(Characters.CAT_IDLE3, new String[]{ 
				"..................****....................****..................", 
				".................*+++*....................*+++*.................", 
				"................**++++*..................*++++**................", 
				"................**++++*.....--++++--.....*++++**................", 
				"..............+**********************************+..............", 
				"..........+******************************************+..........", 
				"........************************************************........", 
				".......**************************************************.......", 
				"......+**********......******************......**********+......", 
				"......*********..........**************..........*********......", 
				"......*********..........**************..........*********......", 
				"......+**********......******************......**********+......", 
				".......**********************++++++**********************.......", 
				".........********************+-++-+*********************........", 
				"............*******************++*******************............", 
				"................********************************................", 
				"....-*.................&&&************&&&.......................", 
				"...-**-.................&&&&&&&&&&&&&&&&........................", 
				"..-**-...........+**********&&&&&&&&**********..................", 
				"..+**-..........********************************+...............", 
				".+***-.........***********************************..............", 
				".****-........*************************************.............", 
				".-*****-....****************************************............", 
				"..***************************************************...........", 
				"..-********************+*****************+***********+..........", 
				"...-*******************+*****************+************..........", 
				".....+******************+*****************+************.........", 
				".......+*****************+*****************+************........", 
				"..........****************+++...............*************+......",
				".............+***************+++..............************+.....",
				"..................+***************...............************+..",
				".....................+************&...............+**********&..",
				});
		modernFont.setChardef(Characters.CAT_IDLE, new String[]{ // Size 5
				"......................*****..........................*****......................", 
				".....................**+++**........................**+++**.....................", 
				"....................**+++++**......................**+++++**....................", 
				"....................**+++++**......................**+++++**....................", 
				"....................**+++++**.........++++.........**+++++**....................", 
				".................+********************************************+.................", 
				".............+****************************************************+.............", 
				"..........************************************************************..........", 
				"........****************************************************************........", 
				".......******************************************************************.......", 
				"......**************.........**********************.........**************......", 
				"......************.............******************.............************......", 
				"......************.............******************.............************......", 
				"......************.............******************.............************......", 
				"......**************.........**********************.........**************......", 
				".......*****************************++++++++*****************************.......", 
				".........***************************+--++--+***************************.........", 
				"............*************************++++++*************************............", 
				"..............+************************++************************+..............", 
				"...................+****************************************+...................", 
				".-**.........................&&&****************&&&.............................", 
				"-***-........................&&&&&&&&&&&&&&&&&&&&&&.............................", 
				"-***-....................+*****&&&&&&&&&&&&&&&&&&****+..........................", 
				"-***-................+***********************************+......................", 
				"-***-...............****************************************+...................", 
				"-****-.............*******************************************..................", 
				"-*****-...........*********************************************.................", 
				"-******-.........***********************************************................", 
				".-*******-.....**************************************************...............", 
				"..****************************************************************..............", 
				"..-**************************+**********************+**************.............", 
				"...-*************************+**********************+***************............", 
				".....************************+***********************+**************+...........", 
				".......***********************+**********************+***************...........", 
				".........+*********************++*********************+***************..........", 
				"............+********************+++...................****************+........",
				"................+*******************++++.................****************+......",
				"...................+*********************+.................****************+....",
				".......................+******************+..................***************+...",
				"..........................+***************&&...................+************&&..",
				});
		modernFont.setChardef(Characters.CAT_IDLE1, new String[]{
				"......................*****..........................*****......................", 
				".....................**+++**........................**+++**.....................", 
				"....................**+++++**......................**+++++**....................", 
				"....................**+++++**......................**+++++**....................", 
				"....................**+++++**.........++++.........**+++++**....................", 
				".................+********************************************+.................", 
				".............+****************************************************+.............", 
				"..........************************************************************..........", 
				"........****************************************************************........", 
				".......******************************************************************.......", 
				"......**************.........**********************.........**************......", 
				"......************.............******************.............************......", 
				"......************.............******************.............************......", 
				"......************.............******************.............************......", 
				"......**************.........**********************.........**************......", 
				".......*****************************++++++++*****************************.......", 
				".........***************************+--++--+***************************.........", 
				"............*************************++++++*************************............", 
				"..............+************************++************************+..............", 
				"...................+****************************************+...................", 
				".***.........................&&&****************&&&.............................", 
				"*****+.......................&&&&&&&&&&&&&&&&&&&&&&.............................", 
				"*******..................+*****&&&&&&&&&&&&&&&&&&****+..........................", 
				"********.............+***********************************+......................", 
				".********...........****************************************+...................", 
				"..********.........*******************************************..................", 
				"..+*******+.......*********************************************.................", 
				"...********......***********************************************................", 
				"....********+..**************************************************...............", 
				".....*************************************************************..............", 
				"......***********************+**********************+**************.............", 
				".......**********************+**********************+***************............", 
				"........*********************+***********************+**************+...........", 
				"..........********************+**********************+***************...........", 
				"............*******************++*********************+***************..........", 
				"..............*******************+++...................****************+........",
				"................+*******************++++.................****************+......",
				"...................+*********************+.................****************+....",
				".......................+******************+..................***************+...",
				"..........................+***************&&...................+************&&..",
				});
		modernFont.setChardef(Characters.CAT_IDLE2, new String[]{
				"......................*****..........................*****......................", 
				".....................**+++**........................**+++**.....................", 
				"....................**+++++**......................**+++++**....................", 
				"....................**+++++**......................**+++++**....................", 
				"....................**+++++**.........++++.........**+++++**....................", 
				".................+********************************************+.................", 
				".............+****************************************************+.............", 
				"..........************************************************************..........", 
				"........****************************************************************........", 
				".......******************************************************************.......", 
				"......**************.........**********************.........**************......", 
				"......************.............******************.............************......", 
				"......************.............******************.............************......", 
				"......************.............******************.............************......", 
				"......**************.........**********************.........**************......", 
				".......*****************************++++++++*****************************.......", 
				".........***************************+--++--+***************************.........", 
				"............*************************++++++*************************............", 
				"..............+************************++************************+..............", 
				"...................+****************************************+...................", 
				".......**+...................&&&****************&&&.............................", 
				".....+****+..................&&&&&&&&&&&&&&&&&&&&&&.............................", 
				"....+******..............+*****&&&&&&&&&&&&&&&&&&****+..........................", 
				"....*******..........+***********************************+......................", 
				"....*******.........****************************************+...................", 
				"....*******........*******************************************..................", 
				"....*******+......*********************************************.................", 
				"....********.....***********************************************................", 
				"....+********..**************************************************...............", 
				".....*************************************************************..............", 
				"......***********************+**********************+**************.............", 
				".......**********************+**********************+***************............", 
				"........*********************+***********************+**************+...........", 
				"..........********************+**********************+***************...........", 
				"............*******************++*********************+***************..........", 
				"..............*******************+++...................****************+........",
				"................+*******************++++.................****************+......",
				"...................+*********************+.................****************+....",
				".......................+******************+..................***************+...",
				"..........................+***************&&...................+************&&..",
				});
		modernFont.setChardef(Characters.CAT_IDLE3, new String[]{
				"......................*****..........................*****......................", 
				".....................**+++**........................**+++**.....................", 
				"....................**+++++**......................**+++++**....................", 
				"....................**+++++**......................**+++++**....................", 
				"....................**+++++**.........++++.........**+++++**....................", 
				".................+********************************************+.................", 
				".............+****************************************************+.............", 
				"..........************************************************************..........", 
				"........****************************************************************........", 
				".......******************************************************************.......", 
				"......**************.........**********************.........**************......", 
				"......************.............******************.............************......", 
				"......************.............******************.............************......", 
				"......************.............******************.............************......", 
				"......**************.........**********************.........**************......", 
				".......*****************************++++++++*****************************.......", 
				".........***************************+--++--+***************************.........", 
				"............*************************++++++*************************............", 
				"..............+************************++************************+..............", 
				"...................+****************************************+...................", 
				"......***....................&&&****************&&&.............................", 
				"...*****.....................&&&&&&&&&&&&&&&&&&&&&&.............................", 
				"..*****..................+*****&&&&&&&&&&&&&&&&&&****+..........................", 
				".******..............+***********************************+......................", 
				"******..............****************************************+...................", 
				"******.............*******************************************..................", 
				"*******...........*********************************************.................", 
				"********.........***********************************************................", 
				"**********.....**************************************************...............", 
				".*****************************************************************..............", 
				"..***************************+**********************+**************.............", 
				"...**************************+**********************+***************............", 
				".....************************+***********************+**************+...........", 
				".......***********************+**********************+***************...........", 
				".........+*********************++*********************+***************..........", 
				"............+********************+++...................****************+........",
				"................+*******************++++.................****************+......",
				"...................+*********************+.................****************+....",
				".......................+******************+..................***************+...",
				"..........................+***************&&...................+************&&..",
				});
		modernFont.setChardef(Characters.CAT_MEAOW, new String[]{ // Size 1
				"......****......", 
				"....********....", 
				"..****....****..", 
				"..****....****..", 
				"....********....", 
				"......******....", 
				"************....", 
				"....****..****..", 
				});
		modernFont.setChardef(Characters.CAT_MEAOW, new String[]{ // Size 2
				"............********............", 
				".........**************.........", 
				"......********************......", 
				"....********........********....", 
				"....********........********....", 
				"....********........********....", 
				"....********........********....", 
				"......********************......", 
				"++.......**************.........", 
				"++........&&*********&*.........", 
				"***.....****&&&&&&&&&****.......", 
				"****...*******************......", 
				".********************+*****.....", 
				"..*********++********+*****.....", 
				"......*******+++......******++..",
				"........********.......*******..",
				});
		modernFont.setChardef(Characters.CAT_MEAOW, new String[]{ // Size 3
				"...................**+-++-+**...................", 
				".............*********++++*********.............", 
				"..........****************************..........", 
				"........********************************........", 
				".......************..........************.......", 
				"......***********..............***********......", 
				"......***********..............***********......", 
				"......***********..............***********......", 
				".......************..........************.......", 
				"........********************************........", 
				"..........*****************************.........", 
				".............**********************.............", 
				"+++..............&&**********&&.................", 
				"+++..........******&&&&&&&&&&****...............", 
				"***+........************************+...........", 
				"****.......+**************************..........", 
				"******....*****************************.........", 
				".***************************************........", 
				".+*****************************+*********.......", 
				"...**************++*************+********.......", 
				".....************++*************+********+......", 
				".........***********++++.........*********+++...",
				"............************+..........**********+..",
				"..............***********&...........*********&.",
				});
		modernFont.setChardef(Characters.CAT_MEAOW, new String[]{ // Size 4
				"..................+**********+-++-+**********+..................", 
				".............*****************++++*****************.............", 
				".........**********************************************.........", 
				"......-**************************************************-......", 
				"......**********************++....++**********************......", 
				".....********************+............+********************.....", 
				"....-******************+................+******************-....", 
				"....******************+..................+******************....", 
				"....******************+..................+******************....", 
				"....-******************+................+******************-....", 
				".....********************+............+********************.....", 
				"......**********************++....++**********************......", 
				".......**************************************************.......", 
				".........**********************************************.........", 
				"...........******************************************...........", 
				"...............+********************************+...............", 
				".-*....................&&&************&&&.......................", 
				"-**-....................&&&&&&&&&&&&&&&&........................", 
				"-**-.............+**********&&&&&&&&**********..................", 
				"-**-............********************************+...............", 
				"-***-..........***********************************..............", 
				"-****-........*************************************.............", 
				".-*****-....****************************************............", 
				"..***************************************************...........", 
				"..-********************+*****************+***********+..........", 
				"...-*******************+*****************+************..........", 
				".....+******************+*****************+************.........", 
				".......+*****************+*****************+************........", 
				"..........****************+++...............*************+......",
				".............+***************+++..............************+.....",
				"..................+***************...............************+..",
				".....................+************&...............+**********&..",
				});
		modernFont.setChardef(Characters.CAT_MEAOW, new String[]{ // Size 5
				"......................-+*************+-+++-+***********+-.......................", 
				".................+********************+++++*******************+.................", 
				"..............****************************************************..............", 
				"...........**********************************************************...........", 
				".........**************************************************************.........", 
				"........***************************++......++***************************........", 
				".......************************+................+************************.......", 
				"......-**********************+....................+**********************-......", 
				"......+*********************+......................+*********************+......", 
				"......**********************........................**********************......", 
				"......**********************........................**********************......", 
				"......+*********************+......................+*********************+......", 
				"......-**********************+....................+**********************-......", 
				".......************************+................+************************.......", 
				"........***************************++......++***************************........", 
				".........**************************************************************.........", 
				"...........**********************************************************...........", 
				"..............****************************************************..............", 
				".................+********************************************+.................", 
				"......................-+********************************+-......................", 
				".***.........................&&&****************&&&.............................", 
				"+***+........................&&&&&&&&&&&&&&&&&&&&&&.............................", 
				"*****....................+*****&&&&&&&&&&&&&&&&&&****+..........................", 
				"*****................+***********************************+......................", 
				"*****...............****************************************+...................", 
				"******.............*******************************************..................", 
				"*******...........*********************************************.................", 
				"+*******.........***********************************************................", 
				".*********.....**************************************************...............", 
				"..****************************************************************..............", 
				"..+**************************+**********************+**************.............", 
				"...**************************+**********************+***************............", 
				".....************************+***********************+**************+...........", 
				".......***********************+**********************+***************...........", 
				".........+*********************++*********************+***************..........", 
				"............+********************+++...................****************+........",
				"................+*******************++++.................****************+......",
				"...................+*********************+.................****************+....",
				".......................+******************+..................***************+...",
				"..........................+***************&&...................+************&&..",
				});
		final String[] catIdleLeft0Def16x8 = new String[]{ // Size 1
				"......+*..+*+...", 
				"..******....**+.", 
				"****..**......*+", 
				"..**********..**", 
				"....+***********", 
				"....*******+++**", 
				"....**...+****+*", 
				"..***+..******..",
				};
		final String[] catIdleLeft1Def16x8 = new String[]{
				"......+*...+*...", 
				"..******....+**.", 
				"****..**......**", 
				"..**********..**", 
				"....+***********", 
				"....*******+++**", 
				"....**...+****+*", 
				"..***+..******..",
				};
		final String[] catIdleLeft2Def16x8 = new String[]{
				"......+*....**..", 
				"..******.....**.", 
				"****..**......**", 
				"..**********..**", 
				"....+***********", 
				"....*******+++**", 
				"....**...+****+*", 
				"..***+..******..",
				};
		final String[] catIdleLeft3Def16x8 = new String[]{
				"......+*...+*...", 
				"..******....**..", 
				"****..**.....**.", 
				"..**********.**+", 
				"....+***********", 
				"....*******+++**", 
				"....**...+****+*", 
				"..***+..******..",
				};
		final String[] catIdleLeft4Def16x8 = new String[]{
				"......+*...*+...", 
				"..******....**+.", 
				"****..**.....+*.", 
				"..**********.**+", 
				"....+***********", 
				"....*******+++**", 
				"....**...+****+*", 
				"..***+..******..",
				};
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT, catIdleLeft0Def16x8);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft0Def16x8, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT1, catIdleLeft1Def16x8);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT1, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft1Def16x8, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT2, catIdleLeft2Def16x8);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT2, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft2Def16x8, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT3, catIdleLeft3Def16x8);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT3, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft3Def16x8, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT4, catIdleLeft4Def16x8);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT4, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft4Def16x8, true, false));
		final String[] catIdleLeft0Def32x16 = new String[]{ // Size 2
				"............++**....++*+........", 
				"............++**......+***......", 
				".....***********........****....", 
				"..******....****..........****..", 
				"++******....****...........+***.", 
				"+***************............***.", 
				"..************&&******......****", 
				".....*******&&**********....****", 
				"........++&&********************", 
				"........++**********************", 
				"........**************++++******", 
				"........******************++****", 
				"........****........+*******+***", 
				"........****........+*******+**.", 
				".....*****++.....***********....",
				"....******+.....***********.....",
				};
		final String[] catIdleLeft1Def32x16 = new String[]{
				"............++**......+**+......", 
				"............++**........+***....", 
				".....***********.........****...", 
				"..******....****..........****..", 
				"++******....****...........+***.", 
				"+***************............***.", 
				"..************&&******......****", 
				".....*******&&**********....****", 
				"........++&&********************", 
				"........++**********************", 
				"........**************++++******", 
				"........******************++****", 
				"........****........+*******+***", 
				"........****........+*******+**.", 
				".....*****++.....***********....",
				"....******+.....***********.....",
				};
		final String[] catIdleLeft2Def32x16 = new String[]{
				"............++**........+**+....", 
				"............++**.........+***...", 
				".....***********..........****..", 
				"..******....****...........***..", 
				"++******....****...........+***.", 
				"+***************............***.", 
				"..************&&******......****", 
				".....*******&&**********....****", 
				"........++&&********************", 
				"........++**********************", 
				"........**************++++******", 
				"........******************++****", 
				"........****........+*******+***", 
				"........****........+*******+**.", 
				".....*****++.....***********....",
				"....******+.....***********.....",
				};
		final String[] catIdleLeft3Def32x16 = new String[]{
				"............++**.......++*+.....", 
				"............++**........+***....", 
				".....***********........+***....", 
				"..******....****.........****...", 
				"++******....****..........***+..", 
				"+***************..........+***..", 
				"..************&&******.....****.", 
				".....*******&&**********...****.", 
				"........++&&*******************.", 
				"........++*********************.", 
				"........**************++++******", 
				"........******************++****", 
				"........****........+*******+***", 
				"........****........+*******+**.", 
				".....*****++.....***********....",
				"....******+.....***********.....",
				};
		final String[] catIdleLeft4Def32x16 = new String[]{
				"............++**......++*+......", 
				"............++**......+***......", 
				".....***********........****....", 
				"..******....****.........****...", 
				"++******....****..........+***..", 
				"+***************...........***..", 
				"..************&&******.....****.", 
				".....*******&&**********....****", 
				"........++&&********************", 
				"........++**********************", 
				"........**************++++******", 
				"........******************++****", 
				"........****........+*******+***", 
				"........****........+*******+**.", 
				".....*****++.....***********....",
				"....******+.....***********.....",
				};
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT, catIdleLeft0Def32x16);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft0Def32x16, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT1, catIdleLeft1Def32x16);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT1, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft1Def32x16, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT2, catIdleLeft2Def32x16);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT2, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft2Def32x16, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT3, catIdleLeft3Def32x16);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT3, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft3Def32x16, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT4, catIdleLeft4Def32x16);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT4, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft4Def32x16, true, false));
		final String[] catIdleLeft0Def48x24 = new String[]{ // Size 3
				"...................*****........++++............", 
				"..................*++***.........++***..........", 
				".................*+++***...........*****........", 
				".......+****************.............*****......", 
				"....********************...............*****....", 
				"..***********....*******................*****...", 
				"-++*********......******.................+****..", 
				"+************....*******..................****+.", 
				"+***********************..................+****.", 
				"...*******************&&********...........****+", 
				"......*************&&&**************.......*****", 
				".........-******&&&*******************....******", 
				"............++++********************************", 
				"...........+++**********************************", 
				"...........*************************************", 
				"...........**********************++++++*********", 
				"...........****************************++*******", 
				"...........******************************+******", 
				"............******************************+*****", 
				".............******............+***********+***.", 
				".............*****+............+***********+*...", 
				"...........******+........****************......",
				".......*********+.......****************........",
				"......*********++.......****************........",
				};
		final String[] catIdleLeft1Def48x24 = new String[]{
				"...................*****..........++**+.........", 
				"..................*++***...........++***........", 
				".................*+++***............+*****......", 
				".......+****************..............*****.....", 
				"....********************................*****...", 
				"..***********....*******.................*****..", 
				"-++*********......******..................****+.", 
				"+************....*******..................+****.", 
				"+***********************...................****+", 
				"...*******************&&********...........*****", 
				"......*************&&&**************.......*****", 
				".........-******&&&*******************....******", 
				"............++++********************************", 
				"...........+++**********************************", 
				"...........*************************************", 
				"...........**********************++++++*********", 
				"...........****************************++*******", 
				"...........******************************+******", 
				"............******************************+*****", 
				".............******............+***********+***.", 
				".............*****+............+***********+*...", 
				"...........******+........****************......",
				".......*********+.......****************........",
				"......*********++.......****************........",
				};
		final String[] catIdleLeft2Def48x24 = new String[]{
				"...................*****..............++**......", 
				"..................*++***..............++***.....", 
				".................*+++***...............*****....", 
				".......+****************................*****...", 
				"....********************.................*****..", 
				"..***********....*******..................****+.", 
				"-++*********......******..................+****.", 
				"+************....*******...................****+", 
				"+***********************...................+****", 
				"...*******************&&********...........****+", 
				"......*************&&&**************.......*****", 
				".........-******&&&*******************....******", 
				"............++++********************************", 
				"...........+++**********************************", 
				"...........*************************************", 
				"...........**********************++++++*********", 
				"...........****************************++*******", 
				"...........******************************+******", 
				"............******************************+*****", 
				".............******............+***********+***.", 
				".............*****+............+***********+*...", 
				"...........******+........****************......",
				".......*********+.......****************........",
				"......*********++.......****************........",
				};
		final String[] catIdleLeft3Def48x24 = new String[]{
				"...................*****............+++*........", 
				"..................*++***............++**+.......", 
				".................*+++***.............****+......", 
				".......+****************.............+****......", 
				"....********************..............+****.....", 
				"..***********....*******...............+****....", 
				"-++*********......******................*****...", 
				"+************....*******................+****+..", 
				"+***********************.................*****..", 
				"...*******************&&********.........+****+.", 
				"......*************&&&**************......*****.", 
				".........-******&&&*******************...******.", 
				"............++++********************************", 
				"...........+++**********************************", 
				"...........*************************************", 
				"...........**********************++++++*********", 
				"...........****************************++*******", 
				"...........******************************+******", 
				"............******************************+*****", 
				".............******............+***********+***.", 
				".............*****+............+***********+*...", 
				"...........******+........****************......",
				".......*********+.......****************........",
				"......*********++.......****************........",
				};
		final String[] catIdleLeft4Def48x24 = new String[]{
				"...................*****..........++**+.........", 
				"..................*++***...........++***........", 
				".................*+++***............+****+......", 
				".......+****************.............+****+.....", 
				"....********************..............+****+....", 
				"..***********....*******...............+****+...", 
				"-++*********......******................*****...", 
				"+************....*******.................*****..", 
				"+***********************.................+****+.", 
				"...*******************&&********..........*****+", 
				"......*************&&&**************......*****+", 
				".........-******&&&*******************...+******", 
				"............++++********************************", 
				"...........+++**********************************", 
				"...........*************************************", 
				"...........**********************++++++*********", 
				"...........****************************++*******", 
				"...........******************************+******", 
				"............******************************+*****", 
				".............******............+***********+***.", 
				".............*****+............+***********+*...", 
				"...........******+........****************......",
				".......*********+.......****************........",
				"......*********++.......****************........",
				};
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT, catIdleLeft0Def48x24);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft0Def48x24, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT1, catIdleLeft1Def48x24);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT1, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft1Def48x24, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT2, catIdleLeft2Def48x24);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT2, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft2Def48x24, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT3, catIdleLeft3Def48x24);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT3, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft3Def48x24, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT4, catIdleLeft4Def48x24);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT4, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft4Def48x24, true, false));
		final String[] catIdleLeft0Def64x32 = new String[]{ // Size 4
				"..........................****..............*-..................", 
				"........................**+***..............+**+................", 
				".......................**+++***...............+***+-............", 
				"......................**++++***................-****-...........", 
				".............+*****************.................-+***+-.........", 
				".........+*********************+..................-+***+........", 
				".....***************************....................-+***+-.....", 
				"..***************......*********.....................-+***+-....", 
				".-**************........********.......................-***+....", 
				".-+**************......*********........................+***-...", 
				".+*******************************.......................-+***+..", 
				"..******************************&.......................-+***+-.", 
				"...***************************&&&*******.................+****+.", 
				"......***********************&&&************.............-+***+-", 
				"..........****************&&&&******************.........+****+-", 
				"..............********&&&&&************************.....******+.", 
				"................***&&&&****************************************.", 
				"................&&&&*******************************************.", 
				"...............-************************************************", 
				"...............+************************************************", 
				"...............*****************************++++++**************", 
				"...............***********************************++++**********", 
				"...............+*************************************.+********+", 
				"...............-****************************************+******-", 
				"................*****************************************+*****.", 
				".................**********+...---++*********************+****..", 
				".................*********+...............+**************++**...", 
				"................*********+................***************+**....", 
				"...............*********+............*******************+.......",
				".............+*********+..........*********************+........",
				".........+***********++.........********************+...........",
				".........***********++..........********************............",
				};
		final String[] catIdleLeft1Def64x32 = new String[]{ 
				"..........................****..................*-..............", 
				"........................**+***..................+**+............", 
				".......................**+++***...................+***+-........", 
				"......................**++++***....................+***+-.......", 
				".............+*****************....................-+***+-......", 
				".........+*********************+.....................-+***+-....", 
				".....***************************.......................-+***+-..", 
				"..***************......*********........................-+***+..", 
				".-**************........********.........................-***+-.", 
				".-+**************......*********..........................+***+.", 
				".+*******************************.........................-+***+", 
				"..******************************&........................-+***+-", 
				"...***************************&&&*******..................+****+", 
				"......***********************&&&************.............-+***+-", 
				"..........****************&&&&******************.........+****+-", 
				"..............********&&&&&************************.....******+.", 
				"................***&&&&****************************************.", 
				"................&&&&*******************************************.", 
				"...............-************************************************", 
				"...............+************************************************", 
				"...............*****************************++++++**************", 
				"...............***********************************++++**********", 
				"...............+*************************************.+********+", 
				"...............-****************************************+******-", 
				"................*****************************************+*****.", 
				".................**********+...---++*********************+****..", 
				".................*********+...............+**************++**...", 
				"................*********+................***************+**....", 
				"...............*********+............*******************+.......",
				".............+*********+..........*********************+........",
				".........+***********++.........********************+...........",
				".........***********++..........********************............",
		};
		final String[] catIdleLeft2Def64x32 = new String[]{ 
				"..........................****......................*-..........", 
				"........................**+***.....................+**+.........", 
				".......................**+++***.....................+***+-......", 
				"......................**++++***.....................-****-......", 
				".............+*****************......................-+***+-....", 
				".........+*********************+......................-+***+....", 
				".....***************************.......................-+***+-..", 
				"..***************......*********.......................-+***+-..", 
				".-**************........********........................-****-..", 
				".-+**************......*********.........................-***+..", 
				".+*******************************........................-+***+.", 
				"..******************************&........................-+***+-", 
				"...***************************&&&*******..................+****+", 
				"......***********************&&&************.............-+***+-", 
				"..........****************&&&&******************.........+****+-", 
				"..............********&&&&&************************.....******+.", 
				"................***&&&&****************************************.", 
				"................&&&&*******************************************.", 
				"...............-************************************************", 
				"...............+************************************************", 
				"...............*****************************++++++**************", 
				"...............***********************************++++**********", 
				"...............+*************************************.+********+", 
				"...............-****************************************+******-", 
				"................*****************************************+*****.", 
				".................**********+...---++*********************+****..", 
				".................*********+...............+**************++**...", 
				"................*********+................***************+**....", 
				"...............*********+............*******************+.......",
				".............+*********+..........*********************+........",
				".........+***********++.........********************+...........",
				".........***********++..........********************............",
		};
		final String[] catIdleLeft3Def64x32 = new String[]{ 
				"..........................****......................*-..........", 
				"........................**+***.....................+**+.........", 
				".......................**+++***...................-***+-........", 
				"......................**++++***...................-****-........", 
				".............+*****************...................-+***+........", 
				".........+*********************+..................-+***+-.......", 
				".....***************************...................-+***+.......", 
				"..***************......*********...................-+***+-......", 
				".-**************........********....................-+***+......", 
				".-+**************......*********.....................-+***+.....", 
				".+*******************************.....................-+***+....", 
				"..******************************&.....................-+***+....", 
				"...***************************&&&*******...............+****+...", 
				"......***********************&&&************...........-+***+-..", 
				"..........****************&&&&******************........+****+-.", 
				"..............********&&&&&************************.....******+.", 
				"................***&&&&****************************************.", 
				"................&&&&*******************************************.", 
				"...............-************************************************", 
				"...............+************************************************", 
				"...............*****************************++++++**************", 
				"...............***********************************++++**********", 
				"...............+*************************************.+********+", 
				"...............-****************************************+******-", 
				"................*****************************************+*****.", 
				".................**********+...---++*********************+****..", 
				".................*********+...............+**************++**...", 
				"................*********+................***************+**....", 
				"...............*********+............*******************+.......",
				".............+*********+..........*********************+........",
				".........+***********++.........********************+...........",
				".........***********++..........********************............",
		};
		final String[] catIdleLeft4Def64x32 = new String[]{ 
				"..........................****..................*-..............", 
				"........................**+***................-**+..............", 
				".......................**+++***..............-***+-.............", 
				"......................**++++***..............-****-.............", 
				".............+*****************...............-****-............", 
				".........+*********************+..............-+***+-...........", 
				".....***************************...............-+***+...........", 
				"..***************......*********................-+***+-.........", 
				".-**************........********.................-+***+.........", 
				".-+**************......*********..................-+***+........", 
				".+*******************************..................-+***+.......", 
				"..******************************&...................-+***+......", 
				"...***************************&&&*******.............-+***+.....", 
				"......***********************&&&************..........-+***+-...", 
				"..........****************&&&&******************........+****-..", 
				"..............********&&&&&************************.....-****+..", 
				"................***&&&&***************************************..", 
				"................&&&&*******************************************.", 
				"...............-***********************************************.", 
				"...............+************************************************", 
				"...............*****************************++++++**************", 
				"...............***********************************++++**********", 
				"...............+*************************************.+********+", 
				"...............-****************************************+******-", 
				"................*****************************************+*****.", 
				".................**********+...---++*********************+****..", 
				".................*********+...............+**************++**...", 
				"................*********+................***************+**....", 
				"...............*********+............*******************+.......",
				".............+*********+..........*********************+........",
				".........+***********++.........********************+...........",
				".........***********++..........********************............",
		};
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT, catIdleLeft0Def64x32);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft0Def64x32, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT1, catIdleLeft1Def64x32);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT1, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft1Def64x32, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT2, catIdleLeft2Def64x32);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT2, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft2Def64x32, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT3, catIdleLeft3Def64x32);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT3, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft3Def64x32, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT4, catIdleLeft4Def64x32);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT4, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft4Def64x32, true, false));
		final String[] catIdleLeft0Def80x40 = new String[]{ // Size 5
				".................................*****.................**-......................", 
				"...............................**+****................-+***+-...................", 
				"..............................**+++****................-+***+-..................", 
				".............................**++++****..................-+****+-...............", 
				"............................**+++++****....................-+****+-.............", 
				"................+**********************......................-+****+-...........", 
				"...........+***************************+.......................-+****+-.........", 
				".........*******************************.........................-+****+-.......", 
				"......**********************************...........................-+***+-......", 
				"...*******************.......***********............................-+***+-.....", 
				".-+*****************..........**********.............................-+***+-....", 
				".-++****************..........**********..............................-+***+-...", 
				".++*******************.......***********...............................-+***+-..", 
				".+***************************************..............................-+****+..", 
				"...*************************************&..............................-+****+-.", 
				".....*********************************&&&*********......................+*****+.", 
				".......******************************&&&***************.................-+****+-", 
				"..........*************************&&&********************..............-+****+-", 
				".............*******************&&&&*************************...........+*****+-", 
				"...............--***********&&&&&*******************************......-*******+.", 
				"....................****&&&&&**************************************************.", 
				"....................&&&&&******************************************************.", 
				"...................************************************************************+", 
				"...................*************************************************************", 
				"...................*************************************************************", 
				"...................************************************++++++++*****************", 
				"...................********************************************+++**************", 
				"...................***********************************************++++**********", 
				"...................+**************************************************+********+", 
				"...................-***************************************************+*******-", 
				"....................****************************************************+******.", 
				".....................***************************************************+******.", 
				"......................***********+......--++****************************++****..", 
				".....................***********+....................+******************++***...", 
				"....................***********+....................+*******************+**.....", 
				"...................***********................*************************+........",
				"................+************+.............**************************+..........",
				".............+*************++............**************************+............",
				"...........+**************+++...........**************************+.............",
				"...........**************+++............**************************..............",
				};
		final String[] catIdleLeft1Def80x40 = new String[]{
				".................................*****......................-*-.................", 
				"...............................**+****.....................-+**+-...............", 
				"..............................**+++****.....................-+***+-.............", 
				".............................**++++****.....................-+*****+-...........", 
				"............................**+++++****.......................-+*****+-.........", 
				"................+**********************.........................-+*****+-.......", 
				"...........+***************************+.........................-+*****+-......", 
				".........*******************************...........................+*****+-.....", 
				"......**********************************............................-+****+.....", 
				"...*******************.......***********.............................+****+-....", 
				".-+*****************..........**********..............................+****+-...", 
				".-++****************..........**********..............................-+****+-..", 
				".++*******************.......***********...............................+*****+..", 
				".+***************************************..............................-+****+-.", 
				"...*************************************&..............................-+*****+.", 
				".....*********************************&&&*********.....................-+*****+.", 
				".......******************************&&&***************.................+******.", 
				"..........*************************&&&********************..............-******+", 
				".............*******************&&&&*************************...........+******+", 
				"...............--***********&&&&&*******************************......-********-", 
				"....................****&&&&&**************************************************.", 
				"....................&&&&&******************************************************-", 
				"...................************************************************************+", 
				"...................*************************************************************", 
				"...................*************************************************************", 
				"...................************************************++++++++*****************", 
				"...................********************************************+++**************", 
				"...................***********************************************++++**********", 
				"...................+**************************************************+********+", 
				"...................-***************************************************+*******-", 
				"....................****************************************************+******.", 
				".....................***************************************************+******.", 
				"......................***********+......--++****************************++****..", 
				".....................***********+....................+******************++***...", 
				"....................***********+....................+*******************+**.....", 
				"...................***********................*************************+........",
				"................+************+.............**************************+..........",
				".............+*************++............**************************+............",
				"...........+**************+++...........**************************+.............",
				"...........**************+++............**************************..............",
				};
		final String[] catIdleLeft2Def80x40 = new String[]{
				".................................*****...........................-+-............", 
				"...............................**+****...........................-+*+-..........", 
				"..............................**+++****...........................-+**+-........", 
				".............................**++++****...........................-+***+-.......", 
				"............................**+++++****...........................-+****+-......", 
				"................+**********************............................-+****+-.....", 
				"...........+***************************+............................-+****+-....", 
				".........*******************************............................-+*****+....", 
				"......**********************************.............................-+****+-...", 
				"...*******************.......***********.............................-+*****+...", 
				".-+*****************..........**********..............................-+****+-..", 
				".-++****************..........**********..............................-+*****+..", 
				".++*******************.......***********...............................-+****+-.", 
				".+***************************************..............................-+*****+.", 
				"...*************************************&...............................+*****+-", 
				".....*********************************&&&*********......................-+*****+", 
				".......******************************&&&***************.................-+******", 
				"..........*************************&&&********************..............+*******", 
				".............*******************&&&&*************************..........+********", 
				"...............--***********&&&&&*******************************......+********+", 
				"....................****&&&&&**************************************************+", 
				"....................&&&&&******************************************************+", 
				"...................************************************************************+", 
				"...................*************************************************************", 
				"...................*************************************************************", 
				"...................************************************++++++++*****************", 
				"...................********************************************+++**************", 
				"...................***********************************************++++**********", 
				"...................+**************************************************+********+", 
				"...................-***************************************************+*******-", 
				"....................****************************************************+******.", 
				".....................***************************************************+******.", 
				"......................***********+......--++****************************++****..", 
				".....................***********+....................+******************++***...", 
				"....................***********+....................+*******************+**.....", 
				"...................***********................*************************+........",
				"................+************+.............**************************+..........",
				".............+*************++............**************************+............",
				"...........+**************+++...........**************************+.............",
				"...........**************+++............**************************..............",
				};
		final String[] catIdleLeft3Def80x40 = new String[]{
				".................................*****.............................-+-..........", 
				"...............................**+****............................-+*+-.........", 
				"..............................**+++****..........................-+**+..........", 
				".............................**++++****..........................-+***+-........", 
				"............................**+++++****...........................+****+-.......", 
				"................+**********************..........................-+****+........", 
				"...........+***************************+..........................+****+-.......", 
				".........*******************************..........................-+****+.......", 
				"......**********************************...........................+****+-......", 
				"...*******************.......***********...........................-+****+......", 
				".-+*****************..........**********............................-+****+.....", 
				".-++****************..........**********.............................-+****+....", 
				".++*******************.......***********..............................+*****+...", 
				".+***************************************.............................-+*****+..", 
				"...*************************************&..............................+*****+-.", 
				".....*********************************&&&*********.....................-+*****+-", 
				".......******************************&&&***************.................+******+", 
				"..........*************************&&&********************..............+******+", 
				".............*******************&&&&*************************..........+*******+", 
				"...............--***********&&&&&*******************************......+********+", 
				"....................****&&&&&**************************************************+", 
				"....................&&&&&******************************************************+", 
				"...................************************************************************+", 
				"...................*************************************************************", 
				"...................*************************************************************", 
				"...................************************************++++++++*****************", 
				"...................********************************************+++**************", 
				"...................***********************************************++++**********", 
				"...................+**************************************************+********+", 
				"...................-***************************************************+*******-", 
				"....................****************************************************+******.", 
				".....................***************************************************+******.", 
				"......................***********+......--++****************************++****..", 
				".....................***********+....................+******************++***...", 
				"....................***********+....................+*******************+**.....", 
				"...................***********................*************************+........",
				"................+************+.............**************************+..........",
				".............+*************++............**************************+............",
				"...........+**************+++...........**************************+.............",
				"...........**************+++............**************************..............",
				};
		final String[] catIdleLeft4Def80x40 = new String[]{
				".................................*****........................*+................", 
				"...............................**+****......................-+*+-...............", 
				"..............................**+++****....................-+**+-...............", 
				".............................**++++****....................-+***+-..............", 
				"............................**+++++****.....................+****+-.............", 
				"................+**********************.....................-+****+-............", 
				"...........+***************************+.....................+****+-............", 
				".........*******************************.....................-+****+-...........", 
				"......**********************************......................-+****+-..........", 
				"...*******************.......***********.......................-+****+-.........", 
				".-+*****************..........**********........................-+****+-........", 
				".-++****************..........**********.........................-+****+-.......", 
				".++*******************.......***********..........................-+****+-......", 
				".+***************************************...........................-+****+-....", 
				"...*************************************&............................-+****+-...", 
				".....*********************************&&&*********....................-+****+-..", 
				".......******************************&&&***************................-+****+-.", 
				"..........*************************&&&*******************..............-+*****+.", 
				".............*******************&&&&*************************...........*******-", 
				"...............--***********&&&&&*******************************......*********+", 
				"....................****&&&&&**************************************************+", 
				"....................&&&&&******************************************************+", 
				"...................************************************************************+", 
				"...................*************************************************************", 
				"...................*************************************************************", 
				"...................************************************++++++++*****************", 
				"...................********************************************+++**************", 
				"...................***********************************************++++**********", 
				"...................+**************************************************+********+", 
				"...................-***************************************************+*******-", 
				"....................****************************************************+******.", 
				".....................***************************************************+******.", 
				"......................***********+......--++****************************++****..", 
				".....................***********+....................+******************++***...", 
				"....................***********+....................+*******************+**.....", 
				"...................***********................*************************+........",
				"................+************+.............**************************+..........",
				".............+*************++............**************************+............",
				"...........+**************+++...........**************************+.............",
				"...........**************+++............**************************..............",
				};
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT, catIdleLeft0Def80x40);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft0Def80x40, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT1, catIdleLeft1Def80x40);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT1, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft1Def80x40, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT2, catIdleLeft2Def80x40);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT2, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft2Def80x40, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT3, catIdleLeft3Def80x40);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT3, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft3Def80x40, true, false));
		modernFont.setChardef(Characters.CAT_LOOKS_LEFT4, catIdleLeft4Def80x40);
		modernFont.setChardef(Characters.CAT_LOOKS_RIGHT4, TrueTypeMonospaceSingleSizeChar.mirror(catIdleLeft4Def80x40, true, false));
//       			new String[]{
//       			"..**............", 
//       			"+*+.....*+......", 
//       			"**......******..", 
//       			"******+.**..****", 
//       			"**************..", 
//       			"************+...", 
//       			"**+.....**..**+.", 
//       			"..**+..**+....**",
//       			});
		final String[] catUpRightDef16x8 = new String[]{ // Size 1
				"..*.....*+......", 
				".*+.....******..", 
				"+*......**..****", 
				".**..+********..", 
				".***********+...", 
				".+*******+.+****", 
				"..**+...........", 
				"..***+..........", 
				};
		final String[] catUpRightDef32x16 = new String[]{ // Size 2
				".....**.........*++.............", 
				"....**..........**++............", 
				"...**...........************....", 
				"..**............****....******..", 
				".+**............****....********", 
				".+**...........+****************", 
				".+***.......++*&**************..", 
				"..****..++******&&&*********....", 
				"..*****************&&&&&+.......", 
				"..***+++++***************+......", 
				"..+*+**************+..+*******++", 
				"...+************+......+********", 
				"....****++......................", 
				"....****++......................", 
				"....*****++.....................", 
				".....*****++....................", 
				};
		final String[] catUpRightDef48x24 = new String[]{ // Size 3
				".......**+..............*++*....................", 
				".....***.................**++*..................", 
				"....***..................**+++*.................", 
				"...***..................*****************+......", 
				"..***...................*******....**********...", 
				".+***...................******......***********-", 
				".+***...................*******....*************", 
				".+***..................+************************", 
				".+***..................+***********************-", 
				".+****............-++**&*********************+..", 
				"..******...-++**********&&*****************.....", 
				"..************************&&&***********........", 
				"..***************************&&&&&&&++..........", 
				"..*******++++*************************+.........", 
				"..+***+++****+**************************........", 
				"...*++***********************+...+***********+++", 
				"...+*********************+.........+************", 
				"....+**************+-...................+*******", 
				".....******+++..................................", 
				".....******+++..................................", 
				".....******+++..................................", 
				".....********+++................................", 
				"......********+++...............................", 
				".......*******+++...............................", 
				};
		final String[] catUpRightDef80x40 = new String[]{ // Size 5
				".............-**+.......................******..................................", 
				"...........-****-.......................***+++**................................", 
				"..........-***-..........................***++++**..............................", 
				"........-****-...........................****++++**.............................", 
				".......-****-............................****+++++**............................", 
				"......-***-.............................****************************+...........", 
				".....-***-..............................******************************+.........", 
				"....-****-..............................**************...***************+.......", 
				"...-****-...............................***********........****************+....", 
				"..-*****-...............................**********.........*******************-.", 
				"..-*****-...............................***********.......*********************.", 
				"..-*****-...............................***************************************+", 
				"..-*****-..............................+***************************************+", 
				"..-*****-..............................+***************************************.", 
				"..-*****-..............................+**************************************-.", 
				"..-******-......................--+++*&&************************************+...", 
				"..-*******-.................--+++*****&&***********************************+....", 
				"....********........--+++**************&&&&******************************.......", 
				"....**********..--+++*******************&&&&***************************.........", 
				"....***************************************&&&&&&******************.............", 
				"....*****************************************&&&&&&&&&&&&&&&++++................", 
				"....*********************************************&&&&&&&&&&&+++.................", 
				"....***********+++++++*****************************************.................", 
				"....********+++*******++****************************************+...............", 
				"....+*****++******************************************************+.............", 
				".....**+++****************************************....+********************+++..", 
				".....*+****************************************+........+*******************++++", 
				".....+**************************************+..............+********************", 
				"......+*********************************++...................+******************", 
				".......+************************++-................................++***********", 
				"........**********+++++.........................................................", 
				".........*********+++++.........................................................", 
				".........**********+++++........................................................", 
				".........**********+++++........................................................", 
				".........**********+++++........................................................", 
				".........+***********+++++......................................................", 
				"..........************+++++.....................................................", 
				"..........*************+++++....................................................", 
				"...........*************+++++...................................................", 
				"............************+++++...................................................", 
				};
		modernFont.setChardef(Characters.CAT_UP_RIGHT, catUpRightDef16x8);
		modernFont.setChardef(Characters.CAT_UP_RIGHT, catUpRightDef32x16);
		modernFont.setChardef(Characters.CAT_UP_RIGHT, catUpRightDef48x24);
		modernFont.setChardef(Characters.CAT_UP_RIGHT, catUpRightDef80x40);
		modernFont.setChardef(Characters.CAT_UP_LEFT, TrueTypeMonospaceSingleSizeChar.mirror(catUpRightDef16x8, true, false));
		modernFont.setChardef(Characters.CAT_UP_LEFT, TrueTypeMonospaceSingleSizeChar.mirror(catUpRightDef32x16, true, false));
		modernFont.setChardef(Characters.CAT_UP_LEFT, TrueTypeMonospaceSingleSizeChar.mirror(catUpRightDef48x24, true, false));
		modernFont.setChardef(Characters.CAT_UP_LEFT, TrueTypeMonospaceSingleSizeChar.mirror(catUpRightDef80x40, true, false));
		modernFont.setChardef(Characters.CAT_DOWN_RIGHT, new String[]{ // Size 1
				".**.............", 
				"..**............", 
				"****....+*......", 
				"..***...******..", 
				"******++**..****", 
				"....*********+..", 
				"........**+.....", 
				"..........***...",
				});
		final String[] catDownLeftDef16x8 = new String[]{
				"........****+...", 
				"............**..", 
				"......*+....****", 
				"..******..****..", 
				"****..**********", 
				"..**********...+", 
				"......**........", 
				"....**+.........",
				};
		final String[] catDownLeftDef32x16 = new String[]{ // Size 2
				"...............+********........", 
				"...............+**********......", 
				"........................***.....", 
				".........................***....", 
				"...........+*............***....", 
				"..........+***.........****.....", 
				"....+*********.....+*******.....", 
				".+****...+*****..******+++++....", 
				"+*****+...*****&******+*********", 
				"***************&***************+", 
				".************&&**********.......", 
				".....+*****&&*********..........", 
				"...........*****................", 
				"..........*****.................", 
				".......++****...................",
				".......*****....................",
				};
		final String[] catDownLeftDef48x24 = new String[]{ // Size 3
				"........................+***********+...........", 
				".......................+***************.........", 
				"........................+**************+........", 
				"....................................*****.......", 
				".....................................*****......", 
				"...............**....................*****......", 
				"...............*+*....................****......", 
				"...............*+**................******+......", 
				"............****++**.............********.......", 
				"......+**************........+***********.......", 
				"..+******************+....+**********+++++......", 
				".*********....********&&***********++*****......", 
				"+********.....********&&*********++*************", 
				"**********************&&***********************+", 
				"+********************&&************************+", 
				".+******************&&****************..........", 
				".....+*************&&**************.............", 
				"..........+******&&***********..................", 
				".................*******........................", 
				"................*******.........................", 
				"...............*******..........................", 
				"..........+++*******............................",
				"..........*********.............................",
				"..........*******...............................",
				};
		final String[] catDownLeftDef80x40 = new String[]{ // Size 5
				"................................................................................", 
				"..........................................---+++++++++++++++-...................", 
				".......................................+***********************-................", 
				".......................................+************************+...............", 
				"..........................................++--.............-+****+-.............", 
				"............................................................-+****+-............", 
				".............................................................-+****+-...........", 
				"..............................................................-+****+...........", 
				"...............................................................-+***+-..........", 
				".........................****...................................+****+..........", 
				".........................*++**..................................+****+-.........", 
				".........................*+++**................................-+****+-.........", 
				".........................*+++***.............................*********..........", 
				".........................*+++****........................************+..........", 
				"..................++******++++****....................***************...........", 
				"...........+***********************................******************...........", 
				".........**************************+...........**********************...........", 
				".....*******************************.........*****************++++++++..........", 
				"...*********************************+......****************+++********..........", 
				"..***************......**************&&*******************+***********..........", 
				"++*************.........*************&&******************+********************..", 
				"++**************.......**************&&*****************+**********************.", 
				"*************************************&&****************************************+", 
				"*************************************&&****************************************+", 
				"+***********************************&&*****************************************+", 
				"..+********************************&&***************************................", 
				"....+*****************************&&&*************************..................", 
				"........+************************&&*************************+...................", 
				"...........+********************&&**********************+.......................", 
				".................++**********&&&*****************+-.............................", 
				".............................***********........................................", 
				".............................**********+........................................", 
				"............................***********.........................................", 
				"...........................***********..........................................", 
				".........................************...........................................", 
				"...................+++**************............................................",
				".................+++++************+.............................................",
				".................****************...............................................",
				"................****************................................................",
				"................*************...................................................",
				};
		modernFont.setChardef(Characters.CAT_DOWN_LEFT, catDownLeftDef16x8);
		modernFont.setChardef(Characters.CAT_DOWN_LEFT, catDownLeftDef32x16);
		modernFont.setChardef(Characters.CAT_DOWN_LEFT, catDownLeftDef48x24);
		modernFont.setChardef(Characters.CAT_DOWN_LEFT, catDownLeftDef80x40);
		modernFont.setChardef(Characters.CAT_DOWN_RIGHT, TrueTypeMonospaceSingleSizeChar.mirror(catDownLeftDef32x16, true, false));
		modernFont.setChardef(Characters.CAT_DOWN_RIGHT, TrueTypeMonospaceSingleSizeChar.mirror(catDownLeftDef48x24, true, false));
		modernFont.setChardef(Characters.CAT_DOWN_RIGHT, TrueTypeMonospaceSingleSizeChar.mirror(catDownLeftDef80x40, true, false));
		modernFont.setChardef(Characters.FLOWER, new String[]{ // Size 1
				".......&&&&.....",
				"......&&##&&....", 
				".......&&&&.....", 
				".......*........", 
				"......*.........", 
				"......*.-++*....", 
				"......*++*......", 
				".......*........",
				});
		modernFont.setChardef(Characters.FLOWER, new String[]{ // Size 2
				"...............&&&&&&...........",
				".............&&-&&&&-&&.........",
				"............&&&&####&&&&........", 
				"............&&&&####&&&&........", 
				".............&&-&&&&-&&.........",
				"...............&&&&&&...........",
				"..............**................", 
				".............**.................", 
				"............**..................", 
				"............**..................", 
				"............**...--+++**........", 
				"............**..--+++**.........", 
				"............**+++++**...........", 
				"............***+++**............", 
				".............***................",
				"..............**................",
				});
		modernFont.setChardef(Characters.FLOWER, new String[]{ // Size 3
				".......................&&&&&&&&.................",
				"....................&&&&&&&&&&&&&&..............",
				"...................&&&&&&&&&&&&&&&&.............",
				"..................&&&&&&&####&&&&&&&............", 
				"..................&&&&&&######&&&&&&............", 
				"..................&&&&&&&####&&&&&&&............", 
				"...................&&&&&&&&&&&&&&&&.............",
				"....................&&&&&&&&&&&&&&..............",
				".......................&&&&&&&&.................",
				".....................+**+.......................", 
				"....................***.........................", 
				"...................+**+.........................", 
				"...................***..........................", 
				"..................+**+..........................", 
				"..................***...........................", 
				"..................***.....---+++***.............", 
				"..................***...---++++***..............", 
				"..................***..--+++++***...............", 
				"..................***+++++++****................", 
				"..................****++++****..................", 
				"..................+***+++***....................", 
				"...................****.........................",
				"....................***.........................",
				".....................***........................",
				});
		modernFont.setChardef(Characters.FLOWER, new String[]{ // Size 5
				".........................................&&&&&&&&&..............................",
				"....................................&&&&&&&&&&&&&&&&&&&.........................",
				"..................................&&&&&&&&&&&&&&&&&&&&&&&.......................",
				"................................&&&&&&&&&&&&&&&&&&&&&&&&&&&.....................",
				"...............................&&&&&&&&&&&&&&&&&&&&&&&&&&&&&....................",
				"..............................&&&&&&&&&&&&#######&&&&&&&&&&&&...................", 
				"..............................&&&&&&&&&&###########&&&&&&&&&&...................", 
				"..............................&&&&&&&&&&###########&&&&&&&&&&...................", 
				"..............................&&&&&&&&&&###########&&&&&&&&&&...................", 
				"..............................&&&&&&&&&&&&#######&&&&&&&&&&&&...................", 
				"...............................&&&&&&&&&&&&&&&&&&&&&&&&&&&&&....................",
				"................................&&&&&&&&&&&&&&&&&&&&&&&&&&&.....................",
				"..................................&&&&&&&&&&&&&&&&&&&&&&&.......................",
				"....................................&&&&&&&&&&&&&&&&&&&.........................",
				".........................................&&&&&&&&&..............................",
				"......................................+*****....................................", 
				".....................................+*****+....................................", 
				"....................................*****+......................................", 
				"...................................******.......................................", 
				"..................................+*****........................................", 
				"..................................******........................................", 
				".................................******.........................................", 
				"................................+*****+.........................................", 
				"................................+*****+.........................................", 
				"................................******..........................................", 
				"...............................-******..........----++++******..................", 
				"...............................-******.......-----+++++******...................", 
				"...............................+*****+.....------+++++******....................", 
				"...............................+*****+....------+++++******.....................", 
				"...............................+******...---++++++++******......................", 
				"...............................-******++++++++++++*******.......................", 
				"...............................-******++++++++++*******.........................", 
				"................................******+++++++++*******..........................", 
				"................................+******++++++*******............................", 
				".................................*******++++*****...............................", 
				".................................+*******.......................................",
				"..................................******........................................",
				"...................................******.......................................",
				"....................................******......................................",
				".....................................******.....................................",
				});
		modernFont.setChardef(Characters.HURDLE, new String[]{ // Size 1
				"............**..", 
				"..**...-++****..", 
				"..****++-...**..", 
				"..**........**..", 
				"..**...-++****..", 
				"..****++-...**..", 
				"..**........**..", 
				".**************.", 
				});
		modernFont.setChardef(Characters.HURDLE, new String[]{ // Size 2
				"................................", 
				".......................*........", 
				"........*.............-*-.......", 
				".......-*-............***.......", 
				".......***............***.......", 
				".......***......--+++****.......", 
				".......******************.......", 
				".......****+++--......***.......", 
				".......***............***.......", 
				".......***............***.......", 
				".......***............***.......", 
				".......***---+++*********.......", 
				".......*********+++---***.......", 
				".......***............***.......", 
				".......***............***.......", 
				".......***............***.......", 
				});
		modernFont.setChardef(Characters.HURDLE, new String[]{ // Size 3
				"................................................", 
				"..................................*.............", 
				"............*....................-*-............", 
				"...........-*-...................***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				"...........***......--------+++*****............", 
				"...........*************************............", 
				"...........*************************............", 
				"...........*****++++--...........***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				"...........***------++++++**********............", 
				"...........*************************............", 
				"...........*********++++++-------***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				"...........***...................***............", 
				});
		modernFont.setChardef(Characters.HURDLE, new String[]{ // Size 4
				"................................................................", 
				"................................................................", 
				"............................................*...................", 
				"................*..........................-*-..................", 
				"...............-*-.........................***..................", 
				"...............***........................-***-.................", 
				"..............-***-.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****......-----++++++++*********.................", 
				"..............*********************************.................", 
				"..............*********************************.................", 
				"..............**********+++++-----........*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****-----++++*******************.................", 
				"..............*********************************.................", 
				"..............*******************++++-----*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				"..............*****.......................*****.................", 
				});
		modernFont.setChardef(Characters.HURDLE, new String[]{ // Size 5
				"................................................................................", 
				"................................................................................", 
				"........................................................*.......................", 
				".......................................................-*-......................", 
				"....................*..................................***......................", 
				"...................-*-................................-***-.....................", 
				"...................***................................*****.....................", 
				"..................-***-...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****............---------++++++*********.....................", 
				"..................*****************************************.....................", 
				"..................*****************************************.....................", 
				"..................*****************************************.....................", 
				"..................**********++++++---.................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****.---------+++++++*******************.....................", 
				"..................*****************************************.....................", 
				"..................*****************************************.....................", 
				"..................***************+++++++-------------******.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				"..................*****...............................*****.....................", 
				});
		modernFont.setChardef(Characters.HEART, new String[]{ // Size 1
				"....+++...+++...", 
				"..++***+.+****+.", 
				".++***+++***++--", 
				".++**++++**++---", 
				"...+++++++++--..", 
				".....++++++-....", 
				".......++-......", 
				"........-.......", 
				});
		modernFont.setChardef(Characters.HEART, new String[]{ // Size 2
				".......++++++........++++++.....", 
				".....++++++++++....++++++++++...", 
				"...+++++******++..++********+++.", 
				"..+++++*******++..+********++++-", 
				"..++++******++++++******++++++--", 
				"..++++*****+++++++*****++++++---", 
				"..++++****++++++++****+++++++---", 
				"...+++***+++++++++***+++++++---.", 
				"....++++++++++++++++++++++----..", 
				".....-++++++++++++++++++----....", 
				"........-+++++++++++++---.......", 
				"..........++++++++++----........", 
				"............-+++++---...........", 
				"..............+++---............", 
				"...............+---.............", 
				"................--..............", 
				});
		modernFont.setChardef(Characters.HEART, new String[]{ // Size 3
				"..........+++++++++............+++++++++........", 
				".......++++++++++++++........++++++++++++++.....", 
				"......++++++++++++++++......+++++++++++++++++...", 
				"....++++++++********++++...+++*********+++++++..", 
				"...+++++++***********+++-..+************++++++-.", 
				"...+++++++**********++++-..+***********+++++++-.", 
				"...++++++*********+++++++++*********+++++++++---", 
				"...++++++*******+++++++++++*******+++++++++++---", 
				"...++++++*******+++++++++++*******++++++++++----", 
				"...++++++******++++++++++++******++++++++++----.", 
				"....+++++****++++++++++++++****+++++++++++----..", 
				"....++++++***+++++++++++++++***++++++++++-----..", 
				"......+++++++++++++++++++++++++++++++++------...", 
				".......-+++++++++++++++++++++++++++++-----......", 
				"........-+++++++++++++++++++++++++++-----.......", 
				"...........-+++++++++++++++++++++-----..........", 
				"..............-++++++++++++++++-----............", 
				"................+++++++++++++-----..............", 
				"..................-++++++++----.................", 
				"....................-+++++----..................", 
				".....................++++----...................", 
				"......................++----....................", 
				".......................+---.....................", 
				"........................---.....................", 
				});
		modernFont.setChardef(Characters.HEART, new String[]{ // Size 5
				"................................................................................", 
				"................-+++++++++++-.........................++++++++..................", 
				"............-++++++++++++++++++-...................++++++++++++++++.............", 
				"..........-+++++++++++++++++++++++-.............++++++++++++++++++++++..........", 
				".........-+++++++++++++++++++++++++-...........+++++++++++++++++++++++++........", 
				".......-+++++++++++++++++++++++++++++-.......+++++++++++++++++++++++++++++......", 
				"......-++++++++++++++***********++++++-.....+++++++**********++++++++++++++.....", 
				".....-+++++++++++++**************+++++-....++++++**************+++++++++++++....", 
				"....-+++++++++++++****************+++++-...++++****************+++++++++++++-...", 
				"....+++++++++++++*****************+++++-..++++*****************+++++++++++++-...", 
				"...-++++++++++++****************++++++++-.+++*****************++++++++++++++-...", 
				"...++++++++++++**************++++++++++++++++***************++++++++++++++++--..", 
				"...++++++++++++************++++++++++++++++++*************+++++++++++++++++---..", 
				"...+++++++++++***********++++++++++++++++++++***********+++++++++++++++++++---..", 
				"...+++++++++++**********+++++++++++++++++++++**********+++++++++++++++++++----..", 
				"...+++++++++++*********++++++++++++++++++++++********++++++++++++++++++++----...", 
				"....++++++++++********+++++++++++++++++++++++*******++++++++++++++++++++-----...", 
				".....++++++++++******++++++++++++++++++++++++*****+++++++++++++++++++++-----....", 
				"......++++++++++****++++++++++++++++++++++++++***++++++++++++++++++++------.....", 
				"........+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------......", 
				".........++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------........", 
				"...........++++++++++++++++++++++++++++++++++++++++++++++++++++-------..........", 
				"............+++++++++++++++++++++++++++++++++++++++++++++++++-------............", 
				"..............+++++++++++++++++++++++++++++++++++++++++++++-------..............", 
				"................+++++++++++++++++++++++++++++++++++++++++------.................", 
				"...................++++++++++++++++++++++++++++++++++++------...................", 
				".....................+++++++++++++++++++++++++++++++------......................", 
				"........................++++++++++++++++++++++++++------........................", 
				"..........................++++++++++++++++++++++------..........................", 
				".............................+++++++++++++++++------............................", 
				"..............................-+++++++++++++------..............................", 
				".................................++++++++++-----................................", 
				".................................-++++++++-----.................................", 
				"...................................++++++-----..................................", 
				"....................................++++-----...................................", 
				"....................................++++----....................................", 
				".....................................+-----.....................................", 
				".....................................+----......................................", 
				"......................................----......................................", 
				"................................................................................", 
				});
		modernFont.setChardef(Characters.SPRING, new String[]{ // Size 1
				"..***********...", 
				".*..........+*+.", 
				"..++------++..*.", 
				"..............*.", 
				"..**********+++.", 
				".*..........+*+.", 
				"..++------++..*.", 
				"****************",
				});
		modernFont.setChardef(Characters.SPRING, new String[]{ // Size 2
				"........**************..........", 
				"....****..............****......", 
				"..**.....................+**+...", 
				"..**....................++**++..", 
				"....++++............++++....**..", 
				"........------------........**..", 
				"............................**..", 
				"............................**..", 
				"........**************....++++..", 
				"....****..............**+++++...", 
				"..**.....................+**+...", 
				"..**....................++**++..", 
				"....++++............++++....**..", 
				"........------------........**..", 
				"..........................*****.",
				"********************************",
				});
		modernFont.setChardef(Characters.SPRING, new String[]{ // Size 3
				"...........+**********************+.............", 
				".....+******......................******........", 
				"...***.................................+***+....", 
				"...***................................++***++...", 
				".....-++++++....................++++++....***...", 
				"............--------------------..........***...", 
				"..........................................***...", 
				"..........................................***...", 
				"............**********************+.....++++....", 
				".....+******......................***++++++.....", 
				"...***.................................+***+....", 
				"...***................................++***++...", 
				".....-++++++....................++++++....***...", 
				"............--------------------..........***...", 
				"..........................................***...", 
				"..........................................***...", 
				"............**********************+.....++++....", 
				".....+******......................***++++++.....", 
				"...***.................................+**+.....", 
				"...***...............................+++**++....", 
				".....-++++++....................++++++....***...", 
				"............--------------------..........***...", 
				".......................................*******..",
				"************************************************",
				});
		modernFont.setChardef(Characters.SPRING, new String[]{ // Size 4
				"...............+******************************+.................", 
				"........+*******..............................*******...........", 
				"....****............................................+****+......", 
				"....****..........................................+++****++.....", 
				".......-++++++++..........................++++++++.....****.....", 
				"................--------------------------.............****.....", 
				".......................................................****.....", 
				".......................................................****.....", 
				"...............+******************************+......+++++......", 
				"........+*******..............................****++++++++......", 
				"....****............................................+****+......", 
				"....****..........................................+++****++.....", 
				".......-++++++++..........................++++++++.....****.....", 
				"................--------------------------.............****.....", 
				".......................................................****.....", 
				".......................................................****.....", 
				"...............+******************************+.......+++++.....", 
				"........+*******..............................****++++++++......", 
				"....****............................................+****+......", 
				"....****..........................................+++****++.....", 
				".......-++++++++..........................++++++++.....****.....", 
				"................--------------------------.............****.....", 
				".......................................................****.....", 
				".......................................................****.....", 
				"...............+******************************+.......+++++.....", 
				"........+*******..............................****++++++++......", 
				"....****.............................................+****+.....", 
				"....****...........................................++++***++....", 
				".......-++++++++..........................+++++++++....****.....", 
				"................--------------------------.............****.....", 
				".....................................................*******....",
				"****************************************************************",
				});
		modernFont.setChardef(Characters.SPRING, new String[]{ // Size 5
				"...................+**************************************+.....................", 
				"..........+*********......................................********..............", 
				".....*****.......................................................+*****+........", 
				".....*****.....................................................+++*****++.......", 
				".........-++++++++++................................++++++++++......*****.......", 
				"....................--------------------------------................*****.......", 
				"....................................................................*****.......", 
				"....................................................................*****.......", 
				"...................+**************************************+.......++++++........", 
				"..........+*********......................................*****+++++++++........", 
				".....*****.......................................................+*****+........", 
				".....*****.....................................................+++*****++.......", 
				".........-++++++++++................................++++++++++......*****.......", 
				"....................--------------------------------................*****.......", 
				"....................................................................*****.......", 
				"....................................................................*****.......", 
				"...................+**************************************+.......++++++........", 
				"..........+*********......................................*****+++++++++........", 
				".....*****.......................................................+*****+........", 
				".....*****.....................................................+++*****++.......", 
				".........-++++++++++................................++++++++++......*****.......", 
				"....................--------------------------------................*****.......", 
				"....................................................................*****.......", 
				"....................................................................*****.......", 
				"...................+**************************************+.......++++++........", 
				"..........+*********......................................*****+++++++++........", 
				".....*****.......................................................+*****+........", 
				".....*****.....................................................+++*****++.......", 
				".........-++++++++++................................++++++++++......*****.......", 
				"....................--------------------------------................*****.......", 
				"....................................................................*****.......", 
				"....................................................................*****.......", 
				"...................+**************************************+.......++++++........", 
				"..........+*********......................................*****+++++++++........", 
				".....*****.......................................................+*****+........", 
				".....*****.....................................................+++*****++.......", 
				".........-++++++++++................................++++++++++......*****.......", 
				"....................--------------------------------................*****.......", 
				"..................................................................********......",
				"********************************************************************************",
				});
		modernFont.setChardef(Characters.SPRING_LOADED, new String[]{ // Size 1
				"................", 
				"................", 
				"................", 
				"................", 
				"................", 
				"..**********+++.", 
				".*++------++.**.", 
				"****************",
				});
		modernFont.setChardef(Characters.SPRING_LOADED, new String[]{ // Size 2
				"................................", 
				"................................", 
				"................................", 
				"................................", 
				"................................", 
				"................................", 
				"................................", 
				"................................", 
				"................................", 
				"........**************..........", 
				"..**++++............++++++**++..", 
				"........------------......*****+",
				"........**************....++++..", 
				"..**++++............++++++**++..", 
				"........------------......*****+",
				"********************************",
				});
		modernFont.setChardef(Characters.BLOCK, new String[]{ // Size 1
				"...+++++++++++..", 
				"..+.........++..", 
				".***********.+..", 
				".*.-.-.-.-.*.+..", 
				".*-.-.-.-.-*.+..", 
				".*.-.-.-.-.*.+..", 
				".*-.-.-.-.-*+...", 
				".***********....",
		});
		modernFont.setChardef(Characters.BLOCK, new String[]{ // Size 2
				"......++++++++++++++++++++++....", 
				".....+++++++++++++++++++++++....", 
				"....++..................++++....", 
				"...++..................+++++....", 
				"..**********************+.++....", 
				"..**********************..++....", 
				"..**.-.-.-.-.-.-.-.-.-**..++....", 
				"..**-.-.-.-.-.-.-.-.-.**..++....", 
				"..**.-.-.-.-.-.-.-.-.-**..++....", 
				"..**-.-.-.-.-.-.-.-.-.**..++....", 
				"..**.-.-.-.-.-.-.-.-.-**..++....", 
				"..**-.-.-.-.-.-.-.-.-.**..++....", 
				"..**.-.-.-.-.-.-.-.-.-**.++.....", 
				"..**-.-.-.-.-.-.-.-.-.**++......", 
				"..**********************+.......",
				"..**********************........",
		});
		modernFont.setChardef(Characters.BLOCK, new String[]{ // Size 3
				".........++++++++++++++++++++++++++++++++++.....", 
				"........+++++++++++++++++++++++++++++++++++.....", 
				".......+++............................+++++.....", 
				"......+++............................++++++.....", 
				".....+++............................+++++++.....", 
				"....+++++++++++++++++++++++++++++++++++.+++.....", 
				"...**********************************+..+++.....", 
				"...**********************************+..+++.....", 
				"...***.-.-.-.-.-.-.-.-.-.-.-.-.-.-***+..+++.....", 
				"...***-.-.-.-.-.-.-.-.-.-.-.-.-.-.***+..+++.....", 
				"...***.-.-.-.-.-.-.-.-.-.-.-.-.-.-***+..+++.....", 
				"...***-.-.-.-.-.-.-.-.-.-.-.-.-.-.***+..+++.....", 
				"...***.-.-.-.-.-.-.-.-.-.-.-.-.-.-***+..+++.....", 
				"...***-.-.-.-.-.-.-.-.-.-.-.-.-.-.***+..+++.....", 
				"...***.-.-.-.-.-.-.-.-.-.-.-.-.-.-***+..+++.....", 
				"...***-.-.-.-.-.-.-.-.-.-.-.-.-.-.***+..+++.....", 
				"...***.-.-.-.-.-.-.-.-.-.-.-.-.-.-***+..+++.....", 
				"...***-.-.-.-.-.-.-.-.-.-.-.-.-.-.***+..+++.....", 
				"...***.-.-.-.-.-.-.-.-.-.-.-.-.-.-***+.+++......", 
				"...***-.-.-.-.-.-.-.-.-.-.-.-.-.-.***++++.......", 
				"...***.-.-.-.-.-.-.-.-.-.-.-.-.-.-***+++........", 
				"...***-.-.-.-.-.-.-.-.-.-.-.-.-.-.***++.........", 
				"...**********************************+..........", 
				"...**********************************...........", 
		});
		modernFont.setChardef(Characters.BLOCK, new String[]{ // Size 5
				"...............-++++++++++++++++++++++++++++++++++++++++++++++++++++++-.........", 
				"..............+++++++++++++++++++++++++++++++++++++++++++++++++++++++-+.........", 
				".............+++++++++++++++++++++++++++++++++++++++++++++++++++++++-++.........", 
				"............+++++..............................................++++-+++.........", 
				"...........+++++..............................................++++-++++.........", 
				"..........+++++..............................................++++-+++++.........", 
				".........+++++..............................................++++-++++++.........", 
				"........+++++..............................................++++-+++++++.........", 
				".......+++++++++++++++++++++++++++++++++++++++++++++++++++++++-+++.++++.........", 
				"......+++++++++++++++++++++++++++++++++++++++++++++++++++++++-+++..++++.........", 
				".....-******************************************************-+++...++++.........", 
				".....********************************************************++....++++.........", 
				".....********************************************************++....++++.........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++....++++.........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++....++++.........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++....++++.........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++....++++.........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++....++++.........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++....++++.........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++....++++.........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++....++++.........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++....++++.........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++....++++.........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++....++++.........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++....++++.........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++....++++.........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++....++++.........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++....++++.........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++....++++.........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++....+++-.........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++....+++..........", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++...+++...........", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****++..+++............", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++.+++.............", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****+++++..............", 
				".....*****-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.*****++++...............", 
				".....*****.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-*****+++................", 
				".....********************************************************++.................", 
				".....********************************************************+..................", 
				".....-******************************************************-...................", 
		});
		modernFont.setChardef(Characters.MICROFLICRO1, new String[]{ // Size 1
				"...****.........", 
				"..**.-**........", 
				".*************++", 
				"**+***.#.#.#.#.#", 
				"*+**+-..........", 
				"**+***#.#.......", 
				"..-+*****.#.#.#.", 
				".....-+*******+.", 
		});
		modernFont.setChardef(Characters.MICROFLICRO2, new String[]{
				"................", 
				"...****.........", 
				"..**.-**........", 
				".*************++", 
				"***+**.#.#.#.#.#", 
				"*++**+#.#.#.#.#.", 
				"..*+**********+.", 
				"................", 
		});
		modernFont.setChardef(Characters.MICROFLICRO1, new String[]{ // Size 2
				".......------...................", 
				".....--+++++--..................", 
				"....----...----.................", 
				"...-----...-----................", 
				"..---------------------------+++", 
				".----------------------------+++", 
				"-----*------..##..##..##..##..##", 
				"----*-------...#...#...#...#...#", 
				"--**--------....................", 
				"--**--------....................", 
				"----*-------.#...#..............", 
				"-----*------##..##...#..........", 
				".-----------------..##...#...#..", 
				"....------------------..##..##..", 
				".............------------------.", 
				"......................--------..", 
		});
		modernFont.setChardef(Characters.MICROFLICRO2, new String[]{
				"................................", 
				"................................", 
				".......------...................", 
				".....--+++++--..................", 
				"....----...----.................", 
				"...-----...-----................", 
				"..---------------------------+++", 
				".----------------------------+++", 
				"-----*------..##..##..##..##..##", 
				"----*-------...#...#...#...#...#", 
				"----*-------.#...#...#...#...#..", 
				"-----*------##..##..##..##..##..", 
				".-----------------------------..", 
				"...--------------------------...", 
				"................................", 
				"................................", 
		});
		modernFont.setChardef(Characters.MICROFLICRO1, new String[]{ // Size 5
				".................-------------..................................................", 
				"..............-------------------...............................................", 
				"............-------++++++++--------.............................................", 
				"............-----++++++++++++------.............................................", 
				"...........-----++++++++++++++------............................................", 
				"..........-----------....------------...........................................", 
				".........-----------......------------..........................................", 
				"........------------......-------------.........................................", 
				".......-------------......--------------........................................", 
				"......---------------....----------------.......................................", 
				".....---------------------------------------------------------------------......", 
				"....-------------------------------------------------------------------------...", 
				"...---------------------------------------------------------------------+++++--.", 
				"..-----------------------------------------------------------------------+++++--", 
				"..------------------------------------------------------------------------------", 
				".----------**--------------------...####....####....####....####....####....####", 
				"---------***--------------------....####....####....####....####....####....####", 
				"--------***--------------------......##......##......##......##......##......##.", 
				"-------***---------------------......##......##......##......##......##......##.", 
				"------***----------------------......##......##......##......##......##......##.", 
				"-----***----------------------..................................................", 
				"-----***----------------------..................................................", 
				"-----***----------------------..................................................", 
				"-----***----------------------..................................................", 
				"-----***----------------------..................................................", 
				"------***---------------------....##............................................", 
				"-------***---------------------...##.....##.....................................", 
				"--------***--------------------...##.....##......##.............................", 
				"---------***-------------------..####....##......##.............................", 
				".----------**-------------------.####...####.....##......##.....................", 
				"..--------------------------------------####--..####.....##......##.............", 
				".....-------------------------------------------####--..####.....##......##.....", 
				"..........----------------------------------------------####--..####.....##.....", 
				"..................----------------------------------------------####--..####....", 
				".........................-----------------------------------------------####--..", 
				"................................----------------------------------------------..", 
				".......................................--------------------------------------...", 
				"...............................................----------------------------.....", 
				"......................................................-------------------.......", 
				"............................................................--------............", 
		});
		modernFont.setChardef(Characters.MICROFLICRO2, new String[]{
				"................................................................................", 
				"................................................................................", 
				"................................................................................", 
				"................................................................................", 
				".................-------------..................................................", 
				"..............-------------------...............................................", 
				"............-------++++++++--------.............................................", 
				"............-----++++++++++++------.............................................", 
				"...........-----++++++++++++++------............................................", 
				"..........-----------....------------...........................................", 
				".........-----------......------------..........................................", 
				"........------------......-------------.........................................", 
				".......-------------......--------------........................................", 
				"......---------------....----------------.......................................", 
				".....---------------------------------------------------------------------......", 
				"....-------------------------------------------------------------------------...", 
				"...---------------------------------------------------------------------+++++--.", 
				"..-----------------------------------------------------------------------+++++--", 
				"..------------------------------------------------------------------------------", 
				".----------**--------------------...####....####....####....####....####....####", 
				"---------**---------------------....####....####....####....####....####....####", 
				"--------**---------------------......##......##......##......##......##......##.", 
				"-------**----------------------......##......##......##......##......##......##.", 
				"------**-----------------------......##......##......##......##......##......##.", 
				"------**----------------------..................................................", 
				"------**----------------------....##.....##......##......##......##......##.....", 
				"-------**----------------------...##.....##......##......##......##......##.....", 
				"--------**---------------------...##.....##......##......##......##......##.....", 
				"---------**--------------------..####...####....####....####....###.....####....", 
				".----------**-------------------.####...####....####....####....###.....####....", 
				"..----------------------------------------------------------------------------..", 
				".....------------------------------------------------------------------------...", 
				"........------------------------------------------------------------------......", 
				"............------------------------------------------------------..............", 
				"................................................................................", 
				"................................................................................", 
				"................................................................................", 
				"................................................................................", 
				"................................................................................", 
				"................................................................................", 
		});
		return modernFont;
	}
}
