package de.ped.kitten.logic;

/**
 * Tools for Atari 8bit screen handling.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Atari8bitScreenUtil {

	public static int getColorIndexFor4ColChar(final byte c) {
		int ret = ((c & 0xff) >> 6);
		return ret;
	}

	public static char getCharIndexFor4ColChar(final byte c) {
		return (char)((c & 0x3f) + 0x20);
	}

	public static byte get4ColCharForChar(final char c, final int colorIndex) {
		byte ret = (byte)(((c - 0x20) & 0x3f) | ((colorIndex & 0x03) << 6));
		return ret;
	}
}
