package de.ped.kitten.logic;

import java.io.IOException;
import java.util.Vector;

import de.ped.tools.Assert;
import de.ped.tools.ResourceFinder;

/**
 * Contains what game to play.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class GameProperties implements Cloneable {
	private int levelSetIndex;
	private int level;
	private boolean isSingleLevelGame;
	private Vector<LevelInfo> levelSet;

	public int getLevelSetIndex() {
		return levelSetIndex;
	}

	public void setLevelSetIndex(final int index) {
//		if ((0 <= index) && (index < 2)) {
			this.levelSetIndex = index;
			this.levelSet = null;
//		} else {
//			throw new IllegalArgumentException("Unknown level index " + index);
//		}
	}

	public int getLevel() {
		return level;
	}

	public void setLevel(final int level) {
		this.level = level;
	}

	/** 
	 * @return if this is a game that contains only one level repeated 
	 */
	public boolean isSingleLevelGame() {
		return isSingleLevelGame;
	}

	/** 
	 * @param isSingleLevelGame if this is a game that contains only one level repeated 
	 */
	public void setSingleLevelGame(final boolean isSingleLevelGame) {
		this.isSingleLevelGame = isSingleLevelGame;
	}

	public Vector<LevelInfo> getLevelSet(final ResourceFinder resources) throws IOException {
		if (null == levelSet) {
			levelSet = KittenLevelSet.create(resources, levelSetIndex); 
		}
		return levelSet;
	}

	@Override
	public GameProperties clone() {
		GameProperties ret = null;
		try {
			ret = (GameProperties) super.clone();
		} catch (final CloneNotSupportedException e) {
			Assert.assertTrue(false);
		}
		return ret;
	}
}
