package de.ped.kitten.logic;

/**
 * The overall state of the tomcat.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public enum TomcatOverallState {
	/** The single final tom cat state; reached after {@link #DYING} or {@link #SUCCEEDED}. */
	FINISHED, 
	/** The tom cat is dying. */
	DYING, 
	/** The tom cat has succeeded the level, success melody is played. */
	SUCCEEDED, 
	/** The tom cat is idling. */
	IDLE, 
	/** The tom cat is in free fall. */
	FALLING, 
	/** The tom cat is within a normal jump. */
	JUMPING, 
	/** The tom cat is using the momentum of a spring. */
	SPRING,
}