package de.ped.kitten.test;


import static org.junit.Assert.*;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.awt.image.RenderedImage;
import java.io.File;

import javax.imageio.ImageIO;

import org.junit.Test;

import de.ped.kitten.gui.Atari8bitScreen;
import de.ped.kitten.gui.ColorMap;

/**
 * Not really a test, but a utility class for development purposes.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class KittenImageCreator {

	public void save(final RenderedImage img, final String filename) {
		try {
			final File outputfile = new File(filename);
			ImageIO.write(img, "png", outputfile);
		} catch (final Exception ex) {
			fail("\nError: Image storing to " + filename + " failed: " + ex.getMessage());
		}
	}

	@Test
	public void test() {
		final BufferedImage img = new BufferedImage(32, 16, BufferedImage.TYPE_INT_ARGB);
		final Graphics g = img.getGraphics();
		g.setColor(Color.red);
		g.drawLine(0, 0, 32 - 1, 16 - 1);
		g.drawLine(0, 16 - 1, 32 - 1, 0);
		save(img, "test.png");
	}

	@Test
	public void dummy() {
		final BufferedImage img = new BufferedImage(8 * 16, 8 * 16, BufferedImage.TYPE_INT_ARGB);
		final Graphics g = img.getGraphics();
		final Atari8bitScreen screen = new Atari8bitScreen(Atari8bitScreen.NULL_BORDER, false);
		final ColorMap colorMap = ColorMap.create(Color.white, "white");
		for (int i = 0; i < 0x100; i++) {
			screen.drawCharAt(g, (char)i, i % 16, i / 16, colorMap);
		}
		save(img, "font_atari_8x8.png");
	}
}
