<!DOCTYPE html>
<html lang="de-DE">
<%@ page language="java" 
	pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"
	import="de.ped.motivation.logic.Motivation"
	import="de.ped.tools.web.PageRef"
	import="de.ped.tools.web.RootBean"
%><%
	RootBean bean = new RootBean();
	Motivation motivation = new Motivation();
	bean.setThisPageRef(PageRef.MOTIVATION);
	bean.setServletContext(getServletContext());
	bean.readParameters(request);
	final String vFor   = Motivation.parseParam(Motivation.PARAM_KEY_FOR,   request.getParameter(Motivation.PARAM_KEY_FOR));
	final String vAction= Motivation.parseParam(Motivation.PARAM_KEY_ACTION,request.getParameter(Motivation.PARAM_KEY_ACTION));
	final String vMotive= Motivation.parseParam(Motivation.PARAM_KEY_MOTIVE,request.getParameter(Motivation.PARAM_KEY_MOTIVE));
	final String vDemo  = Motivation.parseParam(Motivation.PARAM_KEY_DEMO,  request.getParameter(Motivation.PARAM_KEY_DEMO));
	final String vStat  = Motivation.parseParam(Motivation.PARAM_KEY_STAT,  request.getParameter(Motivation.PARAM_KEY_STAT));
	final String empty = ""; 
	Motivation.DataForPage data = null;
	if (null != vFor) {
		data = motivation.getDataFor(vFor, vAction, vMotive);
	}
	String stat = null;
	if (null != vStat) {
		stat = motivation.getStat();
	}
%>
<%= bean.head("Peter Diefenbach: Motivation", "Motivation", "Motivation by Peter Diefenbach", "motivation.css") %>
<body <%= bean.bodyAttribs(null == data ? "" : data.data.motive + " level" + data.days) %> >
	<%= bean.bodyStart() %>
	<!-- - - - - - - - - - - - - - - -->
	<% if (null != data) { %>
		<h1>Hallo <%= data.data.name %></h1>
		<% if (0 == data.days) { %>
			<p>Du hast gestern nicht geübt.</p>
			<% if (data.isToday) { %>
				<p>Aber dafür heute. Weiter so!</p>
			<% } else { %>
				<p>Und auch heute noch nicht.</p>
			<% } %>
		<% } else { %>
			<% if (1 == data.days) { %>
				<p>Du hast gestern schon geübt.</p>
			<% } else { %>
				<p>Du hast schon <span class="days"><%= Integer.toString(data.days) %></span> Tage hintereinander geübt.</p>
			<% } %>
			<% if (data.isToday) { %>
				<p>Und heute auch schon. Weiter so!</p>
			<% } else { %>
				<p>Aber heute noch nicht.</p>
			<% } %>
		<% } %>
		<% if (data.isToday) { %>
			<!-- Nothing to do -->
		<% } else { %>
			<p class="button">
			<span class="button"><a href="<%= Motivation.href(data.data.id, Motivation.PARAM_VAL_ACTION_SUBMIT, null, null, false) %>">Doch, ich habe auch heute geübt!</a></span>
			</p>
		<% } %>
		<canvas id="motive" width="600" height="400"></canvas>
		<p class="motives">
		Motiv auswählen: <%=motivation.getMotivesHtml(data.data.id)%>
		</p>
	<% } else if (null != stat) { %>
		<h1>Statistik</h1>
		<table class="stat inv">
			<tr>
				<th>Name</th>
				<th>Seit</th>
				<th>Zeitraum</th>
				<th>Aktueller Lauf</th>
				<th>Zuletzt vor</th>
				<th>Längster</th>
				<th>Durchschnitt</th>
			</tr>
			<%= stat %>
		</table>
	<% } else { %>
		<h1>Hallo</h1>
		<p>Wer bist Du und was machst Du hier?</p>
	<% } %>

	<!-- - - - - - - - - - - - - - - -->
	<%= bean.bodyEnd("    Service provided by Peter Diefenbach") %>

	<script type="text/javascript">
		function fnClick(element, url) {
			console.log("fnClick(" + element.id + ", " + url + ")");
			window.open(url, "_self"); 
		}
	</script>
	<script src="motivation.js"></script>

</body>
</html>
