package de.ped.mp3sync;

/**
 * Defines files not to copy or delete.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
class FileActionFilter {
	/** Filter mask value to indicate that this file won't be copied, but deleted if present in destination. */
	public static final int COPY = 0x01;
	/** Filter mask value to indicate that this file won't be deleted, but copied if not present in destination. */
	public static final int DELETE = 0x02;
	/** Filter mask value to indicate that this file won't be touched in destination. */
	public static final int BOTH = COPY | DELETE;
	public final String regex;
	public final int filterMask;

	public FileActionFilter(final String regex, final int filterMask) {
		this.regex = regex;
		this.filterMask = filterMask;
	}

	public boolean filtersForMode(final int filterMode) {
		return (0 != (filterMask & filterMode));
	}
}