package de.ped.pacman.dev;

import java.io.IOException;
import java.util.TreeMap;

import de.ped.pacman.gui.PacmanSounds;
import de.ped.pacman.logic.Game;
import de.ped.tools.gui.ApplicationSounds;

/**
 * Creates the sound files for JavaScript PacMan.
 * 
 * @author Copyright (c) 2018 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PacmanSoundCreator {
	public static void main(final String[] args) throws IOException {
		final TreeMap<Game.Event, String> map = new TreeMap<Game.Event, String>();
		map.put(Game.Event.GAME_STARTED, "PacmanGameStarted.");
		map.put(Game.Event.EATING_DOT,   "PacmanEatingDot.");
		map.put(Game.Event.EATING_PILL,  "PacmanEatingPill.");
		map.put(Game.Event.FRUIT_ENTERED,"PacmanFruitEntered.");
		map.put(Game.Event.EATING_GHOST, "PacmanEatingGhost.");
		map.put(Game.Event.LIFE_LOST,    "PacmanLifeLost.");
		final ApplicationSounds sounds = new PacmanSounds(null);
		for (Game.Event event : map.keySet()) {
			sounds.writeSoundFile(event, map.get(event));
		}
	}
}
