package de.ped.pacman.gui;

import java.awt.Frame;

import de.ped.tools.ApplicationParameter;
import de.ped.tools.Messages;
import de.ped.tools.gui.ApplicationOrApplet;

/**
 * Starts the whole game - if as applet or as application.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Pacman extends ApplicationOrApplet {
	private static final long serialVersionUID = 1L;

	/**
	 * The main entry point for the application.
	 * 
	 * @param args
	 *            array of parameters passed to the application via the command
	 *            line
	 */
	public static void main(final String[] args) {
		applicationPreCreate();
		applicationPostCreate(new Pacman(), args);
	}

	public Pacman() {
		addParameter(getParamChristmas());
		addParameter(new ApplicationParameter(PARAM_KEY_GAME, null, "If set, defines a single labyrinth game to offer to the player. If set, only 'advent' is currently understood"));
	}

	@Override
	protected String getPathToResources() {
		return "de/ped/pacman/resources";
	}

	@Override
	protected Messages createMessages() {
		return new Messages(
				"de.ped.pacman.logic.messages", 
				"PacMan", 
				"v1.0", 
				"Copyright 2012-2024 Peter Diefenbach (peter@pdiefenbach.de)", 
				"The arcade classic",
				"The arcade classic",
				Messages.DEFAULT_LOCALES, 
				findParameter(PARAM_KEY_LANGUAGE).getValue(),
				Messages.DEFAULT_LOCALE_INDEX);
	}

	@Override
	protected Frame createFrame() {
		return new PacmanMainWindow(this);
	}
}
