package de.ped.pacman.logic;

import de.ped.tools.MathUtil;

/**
 * The directions a being can run along.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Direction {
	public static final int UNDEFINED = -1;
	public static final int UP = 0;
	public static final int DOWN = 1;
	public static final int LEFT = 2;
	public static final int RIGHT = 3;

	public static final Direction[] DIRECTIONS = new Direction[] {
		new Direction(UP,     0, -1,  90, 'y', "up"),
		new Direction(DOWN,   0,  1, -90, 'y', "down"),
		new Direction(LEFT,  -1,  0, 180, 'x', "left"),
		new Direction(RIGHT,  1,  0,   0, 'x', "right"),
	};

	public static final int norm(final int index) {
		return MathUtil.modulo(index, DIRECTIONS.length);
	}

	public static final int getOppositeDirection(final int direction) {
		int ret = UNDEFINED;
		if (direction != UNDEFINED) {
			ret = norm(direction) ^ 0x01;
		}
		return ret;
	}

	//public final int direction;
	public final int[] signs;
	public final char dimension;
	public final int angle;
	public final String name;

	public Direction(
			final int direction, 
			final int xsign, 
			final int ysign, 
			final int angle, 
			final char dimension, 
			final String name) {
		//this.direction = direction;
		this.dimension = dimension;
		this.signs = new int[] { xsign, ysign };
		this.angle = angle;
		this.name = name;
	}

	@Override
	public String toString() {
		return name;
	}
}