package de.ped.pacman.logic;

/**
 * The fruit that runs around in the labyrinth and can be eaten by PacMan for points.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Fruit extends Being {

	public static final int[] MOVES = new int[]{1, 0};

	public Fruit(final float x, final float y, final int direction, final int stepsBeforeInStage) {
		super(Being.FRUIT, x, y, direction, stepsBeforeInStage, 0);
	}

	/**
	 * Fruit is slower than PacMan, so some steps it has to wait.
	 * 
	 * @param game
	 *            the outcome may be influenced by the game the being is in
	 * @return an array of <code>int</code> defining how many moves the being
	 *         should move in subsequent steps
	 */
	@Override
	protected int[] getStepWaits(final Game game) {
		return MOVES;
	}
}
