package de.ped.pacman.logic;

import de.ped.tools.Assert;

/**
 * Defines the kind of game to play, including initial difficulty level.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class GameProperties implements Cloneable {

	private int level = 0;
	private PacmanLevelSet levelSet = null;

	public void setLevel(final int level) {
		this.level = level;
	}

	public int getLevel() {
		return level;
	}

	public void setLevelSet(final PacmanLevelSet levelSet) {
		this.levelSet = levelSet;
	}

	public void setLevelSet(final String levelSetName) {
		PacmanLevelSet levelSet = PacmanLevelSet.STANDARD;
		for (PacmanLevelSet ls : PacmanLevelSet.values()) {
			if (ls.name.equalsIgnoreCase(levelSetName)) {
				levelSet = ls;
				break;
			}
		}
		this.levelSet = levelSet;
	}

	public PacmanLevelSet getLevelSet() {
		return levelSet;
	}

	@Override
	public GameProperties clone() {
		GameProperties ret = null;
		try {
			ret = (GameProperties) super.clone();
		} catch (final CloneNotSupportedException e) {
			Assert.assertTrue(false);
		}
		return ret;
	}
}
