package de.ped.pacman.logic;

/**
 * Defines the kind of game to play.
 * 
 * @author Copyright (c) 2018 Peter Diefenbach (peter@pdiefenbach.de)
 */
public enum PacmanLevelSet {
	/** The demo game shown on the title screen */
	TITLE("Title", 1),
	/** The standard game */
	STANDARD("Standard", 3),
	/** The christmas edition game */
	ADVENT("Advent", 3);

	/** The name of the level set, if set as application or applet parameter */
	public final String name;
	/** The number of lives a game of that level set will have */
	public final int numberOfLives;

	private PacmanLevelSet(final String name, final int numberOfLives) {
		this.name = name;
		this.numberOfLives = numberOfLives;
	}
}
