package de.ped.pacman.logic;

/**
 * A sprite showing the amount of points the player just got,
 * Hanging around at that position for a while.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PointsIndicator extends Sprite {

	public static final int STEPS_TO_SHOW = 25;

	public final int stepOfCreation;
	public final String text;

	public PointsIndicator(final Being reason, final int stepOfCreation, final String text) {
		super(reason.getX(), reason.getY());
		this.stepOfCreation = stepOfCreation;
		this.text = text;
	}

	public int getStepOfCreation() {
		return stepOfCreation;
	}

	public String getText() {
		return text;
	}

	@Override
	public void step(final Game game) {
		if (null != game) {
			if (game.getStep() - stepOfCreation > STEPS_TO_SHOW) {
				die();
			}
		}
	}
}
