package de.ped.pacman.test;

import static org.junit.Assert.assertNotNull;

import javax.sound.sampled.AudioInputStream;

import org.junit.BeforeClass;
import org.junit.Test;

import de.ped.pacman.gui.PacmanSounds;
import de.ped.pacman.logic.Game;
import de.ped.tools.ResourceFinder;
import de.ped.tools.sound.SoundClip;
import de.ped.tools.sound.SoundMonoWaveCreator;

/**
 * Tests {@link PacmanSounds}.
 * 
 * @author Copyright (c) 2018 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PacmanSoundTest {
	private static boolean IS_NOISY = false;

	@BeforeClass
	public static void beforeClass() {
		final ResourceFinder resources = new ResourceFinder(null);
		sounds = new PacmanSounds(resources);
	}

	private static PacmanSounds sounds;

	public static void play(final PacmanSounds creator, final Game.Event event) {
		final AudioInputStream ais = creator.createSound(event);
		SoundMonoWaveCreator.playActive(ais);
	}

	@Test
	public void testAllSounds() {
		final Game.Event[] events = new Game.Event[] {
				Game.Event.EATING_DOT, 
				Game.Event.EATING_PILL, 
				Game.Event.FRUIT_ENTERED, 
				Game.Event.EATING_GHOST, 
				Game.Event.LIFE_LOST, 
				Game.Event.GAME_STARTED, 
		};
		for (Game.Event event : events) {
			final SoundClip clip = sounds.findSound(event);
			assertNotNull(clip);
			if (IS_NOISY) {
				play(sounds, event);
			}
		}
	}
}
