package de.ped.tools;

/**
 * A parameter given to the program, e.g., by command line (if application) or page parameter (if applet).
 *
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class ApplicationParameter {
	public ApplicationParameter(final String key, final String defaultValue, final String description) {
		this.key = key;
		this.defaultValue = defaultValue;
		this.description = description;
	}

	public void setValue(final String value) {
		this.value = value;
	}

	public String getValue() {
		String ret = defaultValue;
		if (null != value) {
			ret = value;
		}
		return ret;
	}

	public String[] toParameterInfo() {
		return new String[] { key, "String", description, };
	}

	public final String key;
	public final String description;
	public final String defaultValue;
	protected String value;
}