package de.ped.tools;

/**
 * Defines what kind of borders the board can have.
 * 
 * @author Copyright (c) 2018 Peter Diefenbach (peter@pdiefenbach.de)
 */
public enum BorderMode {
	/** Indicates that the board is surrounded completely by borders. */
	ALL,
	/** Indicates that the north and south poles are represented by borders. */
	HORIZONTALLY,
	/** Indicates that the board is a torus without any borders. */
	NONE;

	public static final String KEY = "GameProperties.MapBorderMode";
}