package de.ped.tools;

import de.ped.tools.log.Logger;

/**
 * A thread that observes the FinishableThread objects and can dump their state to find deadlocks.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class FinishableThreadsLoggerThread extends Thread {
	@Override
	public void run() {
		logger.debug("Started.");
		boolean isToTerminate = false;
		while(!isToTerminate) {
			try {
				Thread.sleep(10000L);
				FinishableThread.monitorAllThreads(logger);
			} catch (final InterruptedException e) {
				isToTerminate = true;
			}
		}
		logger.debug("Finished.");
	}

	private Logger logger = Logger.getLogger(getClass());
}
