package de.ped.tools;

import java.awt.Dimension;

/**
 * Simple data type, represents the dimension (width and height) of a 2-dimensional board, given in playfields.
 * In fact, it's a tuple of 2 integers.
 * The current implementation assumes that both coordinates are within the range [0, 255], 
 * as only this range will be marshalled and demarshalled. 
 * 
 * @author Copyright (c) 2020 Peter Diefenbach
 */
public class PlayfieldDimension extends PlayfieldPosition {
	private static final long serialVersionUID = 1L;

	public PlayfieldDimension() {
		super();
	}

	public PlayfieldDimension(final int x, final int y) {
		super(x, y);
	}

	public PlayfieldDimension(final PlayfieldDimension other) {
		super(other);
	}

	public PlayfieldDimension(final Dimension dimension) {
		super(dimension.width, dimension.height);
	}

	public PlayfieldDimension(final int[] arr) {
		super(arr);
	}

	public int getWidth() {
		return getX();
	}

	public int getHeight() {
		return getY();
	}

	@Override
	public PlayfieldDimension clone() {
		return new PlayfieldDimension(this);
	}
}
