package de.ped.tools;

/**
 * Simple data type, represents the distance (in x and y) between two playfields on the board.
 * In fact, it's a tuple of 2 integers.
 * The current implementation assumes that both coordinates are within the range [-255, 255], 
 * as only this range will be marshalled and demarshalled. 
 * 
 * @author Copyright (c) 2020 Peter Diefenbach
 */
public class PlayfieldDistance extends PlayfieldPosition {
	private static final long serialVersionUID = 1L;

	public PlayfieldDistance() {
		super();
	}

	public PlayfieldDistance(final int x, final int y) {
		super(x, y);
	}

	public PlayfieldDistance(final PlayfieldDistance other) {
		super(other);
	}

	public PlayfieldDistance(final int[] arr) {
		super(arr);
	}

	@Override
	public PlayfieldDistance clone() {
		return new PlayfieldDistance(this);
	}
}
