package de.ped.tools;

/**
 * The properties that define the legal value of a slider.
 * 
 * @author Copyright (c) 2018 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class SliderDef {
	public SliderDef(final int min, final int max, final int step) {
		this.min = min;
		this.max = max;
		this.step = step;
	}

	public int check(int value) {
		if ((min <= value) && (value <= max) && (0 == MathUtil.modulo(value - min, step))) {
			return value;
		} else {
			throw new IllegalArgumentException("Value " + value + " out of range [" + min + "," + max +"] with step size " + step);
		}
	}

	public final int min;
	public final int max;
	public final int step;
}