package de.ped.tools;

/**
 * All classes fulfilling this interface are able to describe themselves in human-readable plain text.
 * They are even able to offer different format styles - plain text, fixed font text, or HTML formatted.
 *
 * @author Copyright (c) 2004 Peter Diefenbach (peter@pdiefenbach.de)
 */
public interface Textable {

	/**
	 * Describes the content of this object in human-readable plain text.
	 * @param doc the document to use
	 * @return the formatted text
	 */
	public String getContentText(final TextDocumentBuilder doc);

	/**
	 * Describes a heading of this object in human-readable plain text.
	 * @param doc the document to use
	 * @return the formatted text
	 */
	public String getHeadingText(final TextDocumentBuilder doc);
}
