package de.ped.tools.gui;

import javax.swing.tree.TreeNode;

/**
 * A tree node being selectable (e.g., with a checkbox).
 * 
 * @author Copyright (c) 2007 Peter Diefenbach (peter@pdiefenbach.de)
 */
public interface CheckTreeNode extends TreeNode {
	/**
	 * @return the selection state of this node. For leafs this state is a basic
	 *         state, for non-leafs it should be a compilation of the states of
	 *         the children.
	 */
	public TristateCheckBox.State getSelectionState();

	/**
	 * Sets the selection state of this node. If this node is no leaf, this sets
	 * the selection state of all the children recursively.
	 * 
	 * @param value
	 *            <code>true</code> for selected, otherwise unselected.
	 */
	public void setSelected(final boolean value);
}
