package de.ped.tools.gui;

import de.ped.tools.FinishableThread;
import de.ped.tools.log.Logger;

/**
 * Runs the simulation until stopped.
 * 
 * @author Copyright (c) 2008 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class GameThread extends FinishableThread {
	ApplicationMainWindow world;

	public GameThread(final ApplicationMainWindow world) {
		super("GameThread");
		this.world = world;
		this.logger = Logger.getLogger(getClass());
	}

	@Override
	public void threadStep() {
		world.step();
	}

	@Override
	public long getSleepDelay() {
		return world.getSleepDelay();
	}
}