package de.ped.tools.gui;

import java.awt.event.MouseWheelEvent;

import javax.swing.JPanel;
import javax.swing.JScrollPane;

/** 
 * An enhanced JScrollPane that also allows zooming in and out using the mouse wheel if the control key is pressed.
 *
 * @author Copyright (c) 2019 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class JScrollAndZoomPane extends JScrollPane {
	private static final long serialVersionUID = 1L;

	public JScrollAndZoomPane(final ApplicationMainWindow parent, final JPanel worldCanvas) {
		super(worldCanvas);
		this.parent = parent;
	}

	@Override
	protected void processMouseWheelEvent(MouseWheelEvent ev) {
		if (ev.isControlDown()) {
			parent.changeZoomLevel(ev.getWheelRotation());
		} else {
			super.processMouseWheelEvent(ev);
		}
	}

	protected final ApplicationMainWindow parent;
}