package de.ped.tools.gui;

import de.ped.tools.ResourceFinder;

/**
 * Represents the basic information for a table column to display.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TableColumnModel {
	public final String i18nKey;
	public final Class<?> clazz;
	public final int preferredWidth;
	public final String imageFilename;
	public final ResourceFinder.Folder folder;

	public TableColumnModel(final String key, final Class<?> clazz, final int preferredWidth, final String imageFilename, ResourceFinder.Folder folder) {
		this.i18nKey = key;
		this.clazz = clazz;
		this.preferredWidth = preferredWidth;
		this.imageFilename = imageFilename;
		this.folder = folder;
	}

	public TableColumnModel(final String key, final Class<?> clazz, final int preferredWidth) {
		this(key, clazz, preferredWidth, null, null);
	}
}