package de.ped.tools.gui;

import javax.swing.table.AbstractTableModel;

import de.ped.tools.Messages;
import de.ped.tools.log.Logger;

/**
 * Represents a table to display with I18N support.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
public abstract class TableModel extends AbstractTableModel {
	private static final long serialVersionUID = 1L;

	public TableModel(Messages msg) {
		this.msg = msg;
	}

	protected abstract TableColumnModel[] getColumns();

	@Override
	public int getColumnCount() {
		return getColumns().length;
	}

	@Override
	public String getColumnName(final int col) {
		return msg.getText(getColumns()[col].i18nKey);
	}

	public String getColumnToolTip(final int col) {
		return msg.getShortDescription(getColumns()[col].i18nKey);
	}

	@Override
	public Class<?> getColumnClass(final int col) {
		return getColumns()[col].clazz;
	}

	protected final Logger logger = Logger.getLogger(getClass());
	protected final Messages msg;
}