package de.ped.tools.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import de.ped.tools.gui.Wizard.NavigationAction;

/**
 * The class defining a {@link Wizard} controller.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de), 
 * 		based on an <a href="http://www.oracle.com/technetwork/articles/javase/wizard-136789.html">article</a> 
 * 		by Robert Eckstein, February 10, 2005 
 */
public class WizardController implements ActionListener {
	private final Wizard wizard;
	
	public WizardController(final Wizard wizard) {
		this.wizard = wizard;
	}

	@Override
	public void actionPerformed(ActionEvent event) {
		for (final NavigationAction navAction : NavigationAction.values()) {
			if (event.getSource().equals(wizard.getButton(navAction))) {
				wizard.onNavigationAction(navAction);
			}
		}
	}
}
