package de.ped.tools.log;

/**
 * Abstract class to implement the {@link Appender} interface, adding an (optional) name to the appender.
 * 
 * @author Copyright (c) 2019 Peter Diefenbach (peter@pdiefenbach.de)
 */
public abstract class AbstractAppender implements Appender {

	protected AbstractAppender(final String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		String ret = name;
		if (null == ret) {
			ret = super.toString();
		}
		return ret;
	}

	protected final String name;
}
