package de.ped.tools.log;

/**
 * Defines the interface for a new logging drain.
 * The interface is a subset of the Log4j interface, to minimize the effort when switching to that.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public interface Appender {
	/**
	 * Prints a message line into the drain.
	 * 
	 * @param message
	 *            the text line to write into the logging drain
	 */
	public void println(final String message);

	/**
	 * Prints a stack trace into the drain.
	 * 
	 * @param ex
	 *            the throwable the stack trace of to be written into the
	 *            logging drain
	 */
	public void printStackTrace(final Throwable ex);

	/** 
	 * Flushes the drain. 
	 */
	public void flush();
}
