package de.ped.tools.log;

/**
 * Defines the log levels.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public abstract class Level {

	/** Select this as loglevel if you want logged nothing at all. Never choose this value as message level. */
	public static final int OFF  = 0;
	/** Message level for fatal errors. */
	public static final int FATAL = 1;
	/** Message level for non-fatal errors. */
	public static final int ERROR = 2;
	/** Message level for warning messages. */
	public static final int WARN  = 3;
	/** Message level for informal messages in the running system. */
	public static final int INFO  = 4;
	/** Message level for pure debugging purposes. */
	public static final int DEBUG = 5;
	/** Message level for very detailed debugging purposes. */
	public static final int TRACE = 6;
	/** Message level for pure debugging purposes. */
	public static final int ALL   = 7;

}
