package de.ped.tools.log;

import java.io.PrintStream;

/**
 * Defines a new logging drain for any print stream.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class PrintStreamAppender extends AbstractAppender {

	public PrintStreamAppender(final PrintStream stream) {
		this(stream, null);
	}

	public PrintStreamAppender(final PrintStream stream, final String name) {
		super(name);
		writer = new PrintStream(stream);
	}

	@Override
	public void println(final String message) {
		writer.println(message);
	}

	@Override
	public void printStackTrace(final Throwable ex) {
		ex.printStackTrace(writer);
	}

	@Override
	public void flush() {
		writer.flush();
	}

	private final PrintStream writer;
}
