package de.ped.tools.sound;

/**
 * Defines a totally random noise sample of amplitude 1.0.
 * 
 * @author Copyright (c) 2009 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class WhiteNoiseWave extends AbstractWave {
	/**
	 * Creates a totally random noise sample of amplitude 1.0.
	 * 
	 * @param smwc
	 *            the SoundStereoWaveCreator object this wave belongs to
	 */
	public WhiteNoiseWave(final DynamicSoundMonoWaveCreator smwc) {
		super(smwc, 0.0);
	}

	@Override
	protected double calcCurrentValue() {
		return -1.0 + 2.0 * Math.random();
	}

	@Override
	public String toString() {
		return "white()";
	}
}
