package de.ped.tools.test;

import static org.junit.Assert.*;

import org.junit.Test;

import de.ped.tools.Marshaller;
import de.ped.tools.PlayfieldTiling;
import de.ped.tools.TopologyMode;

public class PlayfieldTileDimensionTest {
	/**
	 * @see PlayfieldTiling#equals(Object)
	 * @see PlayfieldTiling#clone()
	 * @see PlayfieldTiling#compareTo(PlayfieldTiling)
	 */
	@Test
	public void testObjectBasics() {
		GenericTest.checkObjectBasics(true, new PlayfieldTiling(), 
				new PlayfieldTiling(TopologyMode.SQUARE8, TopologyMode.SQUARE8, 0, 1, 1, 1, 1),
				new PlayfieldTiling(TopologyMode.SQUARE8, TopologyMode.SQUARE8, 1, 0, 1, 1, 1));
		final PlayfieldTiling obj = new PlayfieldTiling(TopologyMode.SQUARE8, TopologyMode.SQUARE8, 1, 2, 1, 1, 1);
		final Marshaller m = new Marshaller();
		m.writeMarshallable(obj);
		final Marshaller dm = new Marshaller(m.pack());
		final PlayfieldTiling cmp = new PlayfieldTiling();
		dm.readMarshallable(cmp);
		assertEquals(obj, cmp);
	}
}
