package de.ped.tools.test;

import static org.junit.Assert.*;

import org.junit.Test;

import de.ped.tools.SliderDef;

/**
 * Unit tests for the {@link SliderDef} class.
 * 
 * @author Copyright (c) 2019 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class SliderDefTest {

	@Test
	public void testGoodCases() {
		SliderDef sd = new SliderDef(-12, 28, 5);
		GenericTest.checkObjectBasics(false, sd);
		assertEquals(-12, sd.check(-12));
		assertEquals(-2, sd.check(-2));
		assertEquals(3, sd.check(3));
	}

	@Test(expected=IllegalArgumentException.class)
	public void testBadStep() {
		SliderDef sd = new SliderDef(-12, 28, 5);
		sd.check(2);
	}
}
