package de.ped.troff.client.gui;

import java.awt.BorderLayout;

import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;

import de.ped.tools.Messages;
import de.ped.tools.gui.ApplicationMainWindow;
import de.ped.tools.gui.PedJDialog;

/**
 * The dialog for a text message to all clients of the same group.
 * 
 * @author Copyright (c) 2014 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class CreateMessageDialog extends PedJDialog {
	private static final long serialVersionUID = 1L;

	private JTextField messageTextField = new JTextField(20);

	public CreateMessageDialog(final ApplicationMainWindow mainWindow) {
		super(mainWindow, mainWindow);
		Messages messages = getMessages();
		setTitle(messages.getText("Action.CreateMessage"));
		final JPanel mainPanel = createMainPanel();
		mainPanel.setLayout(new BorderLayout());
		mainPanel.add(messageTextField, BorderLayout.CENTER);

		setTitlePanel(messages.getString("Action.CreateMessage.Heading"));
		getContentPane().add(mainPanel, BorderLayout.CENTER);
		setOptionType(JOptionPane.OK_CANCEL_OPTION);
		finishLayout();
		updateUIFieldsBasedOnProperties();
	}

	public String getMessage() {
		return messageTextField.getText();
	}
}
