package de.ped.troff.client.gui;

import java.awt.Frame;

import de.ped.tools.Messages;
import de.ped.tools.gui.ApplicationOrApplet;

/**
 * Starts the whole game - if as applet or as application.
 * 
 * @author Copyright (c) 2008 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class Troff extends ApplicationOrApplet {
	public static final String RESOURCES_PATH = "de/ped/troff/client/resources";
	public static final String MESSAGES_PACKAGE = "de.ped.troff.client.logic.messages";

	private static final long serialVersionUID = 1L;

	/**
	 * The main entry point for the application.
	 *
	 * @param args
	 *            array of parameters passed to the application via the command
	 *            line
	 */
	public static void main(final String[] args) {
		applicationPreCreate();
//        FinishableThreadsLoggerThread monitor = new FinishableThreadsLoggerThread(); 
//        monitor.start();
		applicationPostCreate(new Troff(), args);
	}

	@Override
	protected String getPathToResources() {
		return RESOURCES_PATH;
	}

	@Override
	protected Messages createMessages() {
		return new Messages(
				MESSAGES_PACKAGE, 
				"Troff", 
				"v2.1", 
				"Copyright 1991-2024 Peter Diefenbach (peter@pdiefenbach.de)", 
				"An arcade classic with a new twist",
				"An arcade classic with a new twist",
				Messages.DEFAULT_LOCALES, 
				findParameter(PARAM_KEY_LANGUAGE).getValue(),
				Messages.DEFAULT_LOCALE_INDEX);
	}

	@Override
	protected Frame createFrame() {
		return new TroffMainWindow(this);
	}
}
