package de.ped.troff.client.gui;

import de.ped.tools.Idable;
import de.ped.troff.server.logic.TroffGameProperties;
import de.ped.troff.server.logic.TroffGameProperties.ModeInfo;

/**
 * Represents one of the possible player modes - Snake, Hunter, Prey, or others.
 * 
 * @author Copyright (c) 2021 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffPlayerMode implements Idable {
	public static TroffPlayerMode[] instances() {
		if (null == instances) {
			ModeInfo[] infos = TroffGameProperties.MODE_INFOS;
			TroffPlayerMode[] arr = new TroffPlayerMode[infos.length];
			for (int i = 0; i < infos.length; i++) {
				arr[i] = new TroffPlayerMode(i);
			}
			instances = arr;
		}
		return instances;
	}

	private static TroffPlayerMode[] instances;

	private TroffPlayerMode(final int id) {
		this.id = id;
	}

	public int getId() {
		return id;
	}

	@Override
	public String toString() {
		return getClass().getName() + "(" + id + ")";
	}

	public final int id;
}
