package de.ped.troff.client.gui;

import de.ped.tools.LocalizedString;
import de.ped.tools.Messages;
import de.ped.tools.gui.TableCellComboBoxRenderer;
import de.ped.troff.server.logic.TroffGameProperties;

/**
 * Knows how to show a player mode to the user inside a table.
 * 
 * @author Copyright (c) 2021 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffPlayerModeRenderer extends TableCellComboBoxRenderer {
	private static final long serialVersionUID = 1L;

	public TroffPlayerModeRenderer(final Messages messages) {
		for (int i = 0; i < TroffPlayerMode.instances().length; i++) {
			addItem(new TableCellComboBoxRenderer.TableCellComboBoxItem(
					new LocalizedString(messages, TroffGameProperties.MODE_INFOS[i].getKey()), TroffPlayerMode.instances()[i]));
		}
	}
}
