package de.ped.troff.client.gui;

import de.ped.tools.Idable;

/**
 * Represents one of the possible player types - may they be human or computer strategies.
 * 
 * @author Copyright (c) 2021 Peter Diefenbach (peter@pdiefenbach.de)
 */
public enum TroffPlayerType implements Idable {
	HUMAN ("GameProperties.PlayerType.Human" ), // Human on this device
	RANDOM("GameProperties.PlayerType.Random"); // Computer strategy

	public final String key;

	private TroffPlayerType(final String key) {
		this.key = key;
	}

	public int getId() {
		return this.ordinal();
	}

	/**
	 * @return <code>true</code> if this is a human player
	 */
	public boolean isHuman() {
		return (this == HUMAN);
	}
}
