package de.ped.troff.client.gui;

import java.awt.Component;

import javax.swing.JTable;

import de.ped.tools.Idable;
import de.ped.tools.Messages;
import de.ped.tools.gui.TableCellComboBoxEditor;

/**
 * Knows how to edit a player type to the user inside a table.
 * 
 * @author Copyright (c) 2021 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffPlayerTypeEditor extends TableCellComboBoxEditor {
	private static final long serialVersionUID = 1L;

	public TroffPlayerTypeEditor(final Messages messages) {
		super(messages);
	}

	@Override
	public Component getTableCellEditorComponent(
			final JTable table, 
			final Object value,
			final boolean isSelected, 
			final int row, 
			final int column) {
		final Idable item = (Idable) value;
		comboBox = new TroffPlayerTypeRenderer(messages);
		comboBox.setSelectedIndex(item.getId());
		if (row >= TroffGamePropertiesDialog.MAX_NUMBER_OF_HUMAN_PLAYERS) { // For the last players, human player no option
			comboBox.removeItemAt(0);
			comboBox.setSelectedIndex(item.getId() - 1);
		}
		comboBox.addItemListener(this);
		return comboBox;
	}
}
