package de.ped.troff.client.gui;

import de.ped.tools.LocalizedString;
import de.ped.tools.Messages;
import de.ped.tools.gui.TableCellComboBoxRenderer;

/**
 * Knows how to show a player type to the user inside a table.
 * 
 * @author Copyright (c) 2021 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffPlayerTypeRenderer extends TableCellComboBoxRenderer {
	private static final long serialVersionUID = 1L;

	public TroffPlayerTypeRenderer(final Messages messages) {
		for (int i = 0; i < TroffPlayerType.values().length; i++) {
			addItem(new TableCellComboBoxRenderer.TableCellComboBoxItem(
					new LocalizedString(messages, TroffPlayerType.values()[i].key), TroffPlayerType.values()[i]));
		}
	}
}
