package de.ped.troff.client.gui;

import de.ped.tools.Idable;
import de.ped.troff.server.logic.TroffGameProperties;
import de.ped.troff.server.logic.TroffGameProperties.ViewInfo;

/**
 * Represents one of the possible player view
 * 
 * @author Copyright (c) 2021 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffPlayerView implements Idable {
	public static TroffPlayerView[] instances() {
		if (null == instances) {
			ViewInfo[] infos = TroffGameProperties.VIEW_INFOS;
			TroffPlayerView[] arr = new TroffPlayerView[infos.length];
			for (int i = 0; i < infos.length; i++) {
				arr[i] = new TroffPlayerView(i);
			}
			instances = arr;
		}
		return instances;
	}

	private static TroffPlayerView[] instances;

	public final int id;

	private TroffPlayerView(final int id) {
		this.id = id;
	}

	public int getId() {
		return id;
	}

	@Override
	public String toString() {
		return getClass().getName() + "(" + id + ")";
	}
}
