//package de.ped.troff.client.gui;
//
//import java.awt.Color;
//import java.awt.Font;
//import java.awt.GraphicsConfiguration;
//import java.util.HashMap;
//
//import javax.media.j3d.Alpha;
//import javax.media.j3d.Appearance;
//import javax.media.j3d.BoundingSphere;
//import javax.media.j3d.BranchGroup;
//import javax.media.j3d.Canvas3D;
//import javax.media.j3d.ColoringAttributes;
//import javax.media.j3d.Node;
//import javax.media.j3d.PointArray;
//import javax.media.j3d.PointAttributes;
//import javax.media.j3d.PolygonAttributes;
//import javax.media.j3d.QuadArray;
//import javax.media.j3d.RotationInterpolator;
//import javax.media.j3d.Shape3D;
//import javax.media.j3d.Transform3D;
//import javax.media.j3d.TransformGroup;
//import javax.media.j3d.TransparencyAttributes;
//import javax.vecmath.Color3f;
//import javax.vecmath.Point3d;
//import javax.vecmath.Point3f;
//import javax.vecmath.Vector3f;
//
//import junit.framework.Assert;
//
//import com.sun.j3d.utils.behaviors.keyboard.KeyNavigatorBehavior;
//import com.sun.j3d.utils.geometry.Box;
//import com.sun.j3d.utils.geometry.ColorCube;
//import com.sun.j3d.utils.geometry.Text2D;
//import com.sun.j3d.utils.universe.SimpleUniverse;
//
//import de.ped.tools.PlayfieldPosition;
//import de.ped.troff.logic.Board3D;
//import de.ped.troff.logic.Game;
//
//public class World3D {
//
//	private Game game;
//	
//	public World3D(Game game) {
//		this.game = game;
//	}
//	
//	public Canvas3D createCanvas() {
//		GraphicsConfiguration config =
//			SimpleUniverse.getPreferredConfiguration();
//		Canvas3D canvas3D = new Canvas3D(config);
//		
//		// SimpleUniverse is a Convenience Utility class
//		SimpleUniverse simpleU = new SimpleUniverse(canvas3D);
//		
//		// This moves the ViewPlatform back a bit so the
//		// objects in the scene can be viewed.
//		simpleU.getViewingPlatform().setNominalViewingTransform();
//
//		BranchGroup scene = createSceneGraphGame(simpleU);
//
//		scene.compile();
//		simpleU.addBranchGraph(scene);
//		return canvas3D;
//	} // end of HelloJava3Da (constructor)
//
//	private Appearance createAppearance(int rgb) {
//		ColoringAttributes ca = new ColoringAttributes();
//        final int r = ((rgb >> 16) & 0xff);
//        final int g = ((rgb >>  8) & 0xff);
//        final int b = ((rgb >>  0) & 0xff);
//		ca.setColor((float)r / 256f, (float)g / 256f, (float)b / 256f);
//		Appearance appear = new Appearance();
//		appear.setColoringAttributes(ca);
//		TransparencyAttributes ta = new TransparencyAttributes();
//		ta.setTransparency(0.8f);
//		appear.setTransparencyAttributes(ta);
//
////		PointAttributes pointAttributes = new PointAttributes(); 
////		pointAttributes.setPointSize(10.0f);
////		appear.setPointAttributes(pointAttributes);
//
////		LineAttributes la = new LineAttributes();
////		la.setLineWidth(10.0f);
////		appear.setLineAttributes(la);
//
//		return appear;
//	}
//
//	private Appearance createAppearance(Color c) {
//		return createAppearance(c.getRGB());
//	}
//	
//	public static final float BOX_SPACING = 0.10f;
//	
//	private Node createBox(int x, int y, Appearance appear) {
//		final float boxRadius = 0.5f - BOX_SPACING;
//		Transform3D translate = new Transform3D();
//		translate.set(new Vector3f(x + 0.5f, y + 0.5f, boxRadius));
//		TransformGroup tgt = new TransformGroup(translate);
//		Box box = new Box(boxRadius, boxRadius, boxRadius, appear);
//		tgt.addChild(box);
//		return tgt;
//	}
//	
//	private Node createFloor(int xsize, int ysize) {
//		Appearance appear = new Appearance();
////		PolygonAttributes polyAttrib = new PolygonAttributes();
////		polyAttrib.setCullFace(PolygonAttributes.CULL_NONE);
////		polyAttrib.setBackFaceNormalFlip(true);
////		appear.setPolygonAttributes(polyAttrib);
//		TransformGroup tg = new TransformGroup();
//		Color3f color = new Color3f(0.0f, 0.4f, 0.0f);
//		final int numOfQuads = xsize * ysize;
//		int idx = 0;
//		QuadArray qa = new QuadArray(4 * numOfQuads, QuadArray.COORDINATES | QuadArray.COLOR_3);
//		for (int x = 0; x < xsize; x++) {
//			for (int y = 0; y < ysize; y++) {
//				qa.setCoordinate(idx + 0, new Point3f(x        + BOX_SPACING, y        + BOX_SPACING, 0.0f));
//				qa.setCoordinate(idx + 1, new Point3f(x + 1.0f - BOX_SPACING, y        + BOX_SPACING, 0.0f));
//				qa.setCoordinate(idx + 2, new Point3f(x + 1.0f - BOX_SPACING, y + 1.0f - BOX_SPACING, 0.0f));
//				qa.setCoordinate(idx + 3, new Point3f(x        + BOX_SPACING, y + 1.0f - BOX_SPACING, 0.0f));
//				qa.setColor(idx + 0, color);
//				qa.setColor(idx + 1, color);
//				qa.setColor(idx + 2, color);
//				qa.setColor(idx + 3, color);
//				idx += 4;
//			}
//		}
//		Shape3D s = new Shape3D(qa);
//		s.setAppearance(appear);
//		tg.addChild(s);
//		return tg;
//	}
//	
//	@SuppressWarnings("unused")
//	private Node createFloorOfSingleQuads(int xsize, int ysize) {
//		Appearance appear = new Appearance();
//		TransformGroup tg = new TransformGroup();
//		Color3f color = new Color3f(0.0f, 0.4f, 0.0f);
//		int idx = 0;
//		for (int x = 0; x < (xsize + 1); x++) {
//			for (int y = 0; y < (ysize + 1); y++) {
//				QuadArray qa = new QuadArray(4, QuadArray.COORDINATES | QuadArray.COLOR_3);
//				qa.setCoordinate(0, new Point3f(x        + BOX_SPACING, y        + BOX_SPACING, 0.0f));
//				qa.setCoordinate(1, new Point3f(x + 1.0f - BOX_SPACING, y        + BOX_SPACING, 0.0f));
//				qa.setCoordinate(2, new Point3f(x + 1.0f - BOX_SPACING, y + 1.0f - BOX_SPACING, 0.0f));
//				qa.setCoordinate(3, new Point3f(x        + BOX_SPACING, y + 1.0f - BOX_SPACING, 0.0f));
//				qa.setColor(0, color);
//				qa.setColor(1, color);
//				qa.setColor(2, color);
//				qa.setColor(3, color);
//				Shape3D s = new Shape3D(qa);
//				s.setAppearance(appear);
//				tg.addChild(s);
//				idx++;
//			}
//		}
//		return tg;
//	}
//	
//	private HashMap<Color, Appearance> appearanceMap = new HashMap<Color, Appearance>();
//
//	public Appearance appearance(int fieldValue, Game.FieldInfo fieldInfo) {
//		Color c = Board3D.fieldColor(fieldValue, fieldInfo);
//		Appearance ret = appearanceMap.get(c);
//		if (null == ret) {
//			ret = createAppearance(c);
//			appearanceMap.put(c, ret);
//		}
//		return ret;
//    }
//
//	@SuppressWarnings("unused")
//	private Node createFloorOfDots(int xsize, int ysize) {
//		PointArray pa = new PointArray((xsize + 1) * (ysize + 1), PointArray.COORDINATES);
//		int idx = 0;
//		for (int x = 0; x < (xsize + 1); x++) {
//			for (int y = 0; y < (ysize + 1); y++) {
//				pa.setCoordinate(idx, new Point3f(x, y, 0.0f));
//				idx++;
//			}
//		}
//		Shape3D s = new Shape3D(pa);
//		Appearance appear = new Appearance();
//		PointAttributes pointAttributes = new PointAttributes(); 
//		pointAttributes.setPointSize(5.0f);
//		appear.setPointAttributes(pointAttributes);
//		s.setAppearance(appear);
//		return s;
//	}
//	
//	BranchGroup objRoot = new BranchGroup();
//	
//	private HashMap<PlayfieldPosition, Node> nodeMap = new HashMap<PlayfieldPosition, Node>();
//	
//	private void setPlayfield(int x, int y, Game.FieldInfo fieldInfo) {
//		if (null == fieldInfo) {
//			PlayfieldPosition pos = new PlayfieldPosition(x, y);
//			Node node = nodeMap.get(pos);
//			if (null != node) {
//				objRoot.removeChild(node);
//			}
//		} else {
//			Assert.assertTrue(fieldInfo.getX() == x);
//			Assert.assertTrue(fieldInfo.getY() == y);
//			final int fieldValue = fieldInfo.getField();
//			if (fieldValue != fieldInfo.getLastFieldValue()) {
//				PlayfieldPosition pos = new PlayfieldPosition(x, y);
//				Node oldNode = nodeMap.get(pos);
//				if (null != oldNode) {
//					objRoot.removeChild(oldNode);
//				}
//				if (Game.FREE != fieldValue) {
//					Node newNode = createBox(x, y, appearance(fieldValue, fieldInfo));
//					BranchGroup bgn = new BranchGroup();
//					bgn.addChild(newNode);
//					nodeMap.put(pos, bgn);
//					objRoot.addChild(bgn);
//				}
//			}
//		}
//	}
//
//	public BranchGroup createSceneGraphGame(SimpleUniverse simpleU) {
//		// Create the root of the branch graph
//		BranchGroup objRoot = new BranchGroup();
//		
//		objRoot.setCapability(TransformGroup.ALLOW_CHILDREN_EXTEND);
//		objRoot.setCapability(TransformGroup.ALLOW_CHILDREN_WRITE);
//		objRoot.setCapability(TransformGroup.ALLOW_CHILDREN_READ);
//		
//		Text2D testText = new Text2D("Test", new Color3f(1.0f, 0.0f, 0.0f), "Helvetica", 500, Font.PLAIN);
//		Appearance textAppear = testText.getAppearance();
//		PolygonAttributes polyAttrib = new PolygonAttributes();
//		polyAttrib.setCullFace(PolygonAttributes.CULL_NONE);
//		polyAttrib.setBackFaceNormalFlip(true);
//		textAppear.setPolygonAttributes(polyAttrib);
//		
//		objRoot.addChild(createFloor(game.getBoardInfo().getXSize(), game.getBoardInfo().getYSize()));
//		for (int x = 0; x < game.getBoardInfo().getXSize(); x++) {
//			for (int y = 0; y < game.getBoardInfo().getYSize(); y++) {
//				final Game.FieldInfo fieldInfo = game.calcFieldInfoAt(x, y);
//				final int fieldValue = fieldInfo.getField();
//				if (Game.FREE != fieldValue) {
//					PlayfieldPosition pos = new PlayfieldPosition(x, y);
//					Node newNode = createBox(x, y, appearance(fieldValue, fieldInfo));
//					BranchGroup bgn = new BranchGroup();
//					bgn.addChild(newNode);
//					nodeMap.put(pos, bgn);
//					objRoot.addChild(bgn);
//				}
//			}
//		}
//		objRoot.addChild(testText);
//		
//		TransformGroup vpTrans = simpleU.getViewingPlatform().getViewPlatformTransform();
//		// rotate object has composite transformation matrix
//		Transform3D elevate = new Transform3D();
//		elevate.setTranslation(new Vector3f(game.getBoardInfo().getXSize() / 2.0f, game.getBoardInfo().getYSize() / 2.0f, 25.0f));
//		vpTrans.setTransform(elevate); // used for initial position
////		KeyNavigatorBehavior keyNavBeh = new KeyNavigatorBehavior(vpTrans);
////		keyNavBeh.setSchedulingBounds(new BoundingSphere(new Point3d(),1000.0));
////		objRoot.addChild(keyNavBeh);		
//		
//		return objRoot;
//	}
//	
//	public void step() {
//		for (int x = 0; x < game.getBoardInfo().getXSize(); x++) {
//			for (int y = 0; y < game.getBoardInfo().getYSize(); y++) {
//				final Game.FieldInfo fieldInfo = game.calcFieldInfoAt(x, y);
//				setPlayfield(x, y, fieldInfo);
//			}
//		}
//	}
//	
//	public BranchGroup createSceneGraphBoxes(SimpleUniverse simpleU) {
//		// Create the root of the branch graph
//		BranchGroup objRoot = new BranchGroup();
//		
//		// rotate object has composite transformation matrix
//		Transform3D rotate = new Transform3D();
//		@SuppressWarnings("unused")
//		Transform3D tempRotate = new Transform3D();
//		
////		rotate.rotX(Math.PI / 1.0d);
//		rotate.setTranslation(new Vector3f(-3.0f, -3.0f, -5.0f));
////		tempRotate.rotY(Math.PI/5.0d);
////		rotate.mul(tempRotate);
//		
//		TransformGroup objRotate = new TransformGroup(rotate);
//		
//		// Create the transform group node and initialize it to the
//		// identity. Enable the TRANSFORM_WRITE capability so that
//		// our behavior code can modify it at runtime. Add it to the
//		// root of the subgraph.
//		TransformGroup objSpin = new TransformGroup();
//		objSpin.setCapability(TransformGroup.ALLOW_TRANSFORM_WRITE);
//		
//		objRoot.addChild(objRotate);
//		objRotate.addChild(objSpin);
//		
//		Text2D testText = new Text2D("Test", new Color3f(1.0f, 0.0f, 0.0f), "Helvetica", 500, Font.PLAIN);
//		Appearance textAppear = testText.getAppearance();
//		PolygonAttributes polyAttrib = new PolygonAttributes();
//		polyAttrib.setCullFace(PolygonAttributes.CULL_NONE);
//		polyAttrib.setBackFaceNormalFlip(true);
//		textAppear.setPolygonAttributes(polyAttrib);
//		
//		Appearance appear1 = createAppearance(0xffff00);
//		Appearance appear2 = createAppearance(0x0000ff);
//		// Create a simple shape leaf node, add it to the scene graph.
//		// ColorCube is a Convenience Utility class
////		objSpin.addChild(new ColorCube());
//		objSpin.addChild(createBox(0, 0, appear1));
//		objSpin.addChild(createBox(1, 0, appear2));
//		objSpin.addChild(createBox(0, 1, appear2));
//		objSpin.addChild(createBox(1, 1, appear1));
//		objSpin.addChild(createFloor(20, 20));
//		objSpin.addChild(testText);
//		
//		// Create a new Behavior object that performs the desired
//		// operation on the specified transform object and add it into
//		// the scene graph.
//		Transform3D yAxis = new Transform3D();
//		Alpha rotationAlpha = new Alpha(-1, 4000);
//		
//		RotationInterpolator rotator =
//			new RotationInterpolator(rotationAlpha, objSpin, yAxis,
//		0.0f, (float) Math.PI*2.0f);
//		
//		// a bounding sphere specifies a region a behavior is active
//		// create a sphere centered at the origin with radius of 1
//		BoundingSphere bounds = new BoundingSphere();
//		rotator.setSchedulingBounds(bounds);
////		objSpin.addChild(rotator);
//
//		TransformGroup vpTrans = simpleU.getViewingPlatform().getViewPlatformTransform();
////		translate.set( 0.0f, 0.0f, 3.0f); // 3 meter elevation
////		T3D.setTranslation(translate); // set as translation
////		vpTrans.setTransform(T3D); // used for initial position
//		KeyNavigatorBehavior keyNavBeh = new KeyNavigatorBehavior(vpTrans);
//		keyNavBeh.setSchedulingBounds(new BoundingSphere(new Point3d(),1000.0));
//		objRoot.addChild(keyNavBeh);		
//		
//		return objRoot;
//	}
//
//	public BranchGroup createSceneGraphRotSpin() {
//		// Create the root of the branch graph
//		BranchGroup objRoot = new BranchGroup();
//		
//		// rotate object has composite transformation matrix
//		Transform3D rotate = new Transform3D();
//		Transform3D tempRotate = new Transform3D();
//		
//		rotate.rotX(Math.PI/4.0d);
//		tempRotate.rotY(Math.PI/5.0d);
//		rotate.mul(tempRotate);
//		
//		TransformGroup objRotate = new TransformGroup(rotate);
//		
//		// Create the transform group node and initialize it to the
//		// identity. Enable the TRANSFORM_WRITE capability so that
//		// our behavior code can modify it at runtime. Add it to the
//		// root of the subgraph.
//		TransformGroup objSpin = new TransformGroup();
//		objSpin.setCapability(TransformGroup.ALLOW_TRANSFORM_WRITE);
//		
//		objRoot.addChild(objRotate);
//		objRotate.addChild(objSpin);
//		
//		// Create a simple shape leaf node, add it to the scene graph.
//		// ColorCube is a Convenience Utility class
//		objSpin.addChild(new ColorCube(0.4));
//		
//		// Create a new Behavior object that performs the desired
//		// operation on the specified transform object and add it into
//		// the scene graph.
//		Transform3D yAxis = new Transform3D();
//		Alpha rotationAlpha = new Alpha(-1, 4000);
//		
//		RotationInterpolator rotator =
//			new RotationInterpolator(rotationAlpha, objSpin, yAxis,
//		0.0f, (float) Math.PI*2.0f);
//		
//		// a bounding sphere specifies a region a behavior is active
//		// create a sphere centered at the origin with radius of 1
//		BoundingSphere bounds = new BoundingSphere();
//		rotator.setSchedulingBounds(bounds);
//		objSpin.addChild(rotator);
//		
//		return objRoot;
//	} // end of createSceneGraph method of HelloJava3Dd
//}
