package de.ped.troff.client.logic;

/**
 * Identifies uniquely any side of any cube on the board.
 * 
 * @author Copyright (c) 2011 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class CubeSideKey {
	public final int dist;
	public final int xpos;
	public final Side side;
	public final int what;

	public CubeSideKey(final int dist, final int xpos, final Side side, final int what) {
		this.dist = dist;
		this.xpos = xpos;
		this.side = side;
		this.what = what;
	}

	@Override
	public boolean equals(final Object o) {
		if (o instanceof CubeSideKey) {
			final CubeSideKey other = (CubeSideKey)o;
			return ((dist == other.dist) && (xpos == other.xpos) && (side == other.side) && (what == other.what));
		}
		return false;
	}

	@Override
	public int hashCode() {
		return ((xpos << 10) & (dist << 5) & (side.ordinal() << 2) & (what));
	}

	@Override
	public String toString() {
		return this.getClass().getSimpleName() + "(dist=" + dist + ";xpos=" + xpos + ";side=" + side.name() + ";what=" + Abstract3DGeometry.CUBE_NAMES[what] + ")";
	}
}