package de.ped.troff.dev;

import java.io.IOException;
import java.util.TreeMap;

import de.ped.tools.ResourceFinder;
import de.ped.tools.gui.ApplicationSounds;
import de.ped.troff.client.gui.Troff;
import de.ped.troff.client.gui.TroffSounds;
import de.ped.troff.server.logic.Event;

/**
 * Creates the sound files for JavaScript Troff.
 * 
 * @author Copyright (c) 2019 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffSoundCreator {
	public static void main(String[] args) throws IOException {
		final TreeMap<Integer, String> map = new TreeMap<Integer, String>();
		map.put(Event.STEP,            "TroffStep.");
		map.put(Event.HIT_WALL,        "TroffHitWall.");
		map.put(Event.TRACE_ON,        "TroffTraceOn.");
		map.put(Event.TRACE_OFF,       "TroffTraceOff.");
// The following ones are already wave files in resources.
//		map.put(Event.DEATH,           "TroffDeath.");
//		map.put(Event.INTRO,           "TroffIntro.");
//		map.put(Event.SHOOT_FAILED,    "TroffShootFailed.");
//		map.put(Event.SHOOT_SUCCEEDED, "TroffShootSucceeded.");
// The following ones are mapped to other already existing sounds.
//		map.put(Event.HIT_SOLID_WALL,  "TroffHitSolidWall.");
		final ApplicationSounds sounds = new TroffSounds(new ResourceFinder(Troff.RESOURCES_PATH));
		sounds.init();
		for (Integer event : map.keySet()) {
			sounds.writeSoundFile(event, map.get(event));
		}
	}
}
