package de.ped.troff.server.logic;

import de.ped.tools.FinishableThread;
import de.ped.troff.server.TroffServerThread;

/**
 * Runs the game until stopped.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class GameThread extends FinishableThread {
	public GameThread(final TroffGame game) {
		super("GameThread");
		setLogger(TroffServerThread.logger);
		this.game = game;
	}

	@Override
	public void onRunStart() {
		logger.debug("Started.");
	}

	@Override
	public long getSleepDelay() {
		return game.getSleepDelay();
	}

	@Override
	public void threadStep() {
		logger.trace("step.");
		game.execStep();
		if (!game.getGameState().isAlive()) {
			terminate();
		}
	}

	@Override
	public void onRunEnd() {
		logger.debug("Stopped.");
	}

	protected TroffGame game;
}
