package de.ped.troff.server.logic;

/**
 * A human driven player.
 * 
 * @author Copyright (c) 2008 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class HumanPlayer extends TroffPlayer {
	public HumanPlayer(
			final TroffGame game, 
			final byte i, 
			final PlayerPosInfo playerPosInfo, 
			final int playerMode) {
		super(game, i, playerPosInfo, playerMode);
	}

	/**
	 * The decision which way to go is up to the user.
	 * 
	 * @return one of {@link #TURN_LEFT}, {@link #TURN_STRAIGHT}, {@link #TURN_RIGHT}
	 */
	@Override
	public int decideTurn() {
		return getTurnSuggestion();
	}

	/**
	 * The user should get immediate feedback on the turn.
	 */
	@Override
	public int getDirectionToShow() {
		return getSuggestedDirection();
	}
}
