package de.ped.troff.server.logic;

import java.io.Serializable;

import de.ped.tools.Marshallable;
import de.ped.tools.Marshaller;

/**
 * Any state a player needs to keep during the game.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffPlayerState implements Cloneable, Serializable, Marshallable {
	private static final long serialVersionUID = 1L;

	protected int lastShot;
	protected boolean isTracing;

	public TroffPlayerState() {
		lastShot = 0;
		isTracing = false;
	}

	public TroffPlayerState(final Marshaller marshaller) {
		demarshal(marshaller);
	}

	public int getLastShot() {
		return lastShot;
	}

	public void setLastShot(final int lastShot) {
		this.lastShot = lastShot;
	}

	public boolean isTracing() {
		return isTracing;
	}

	public void setTracing(final boolean isTracing) {
		this.isTracing = isTracing;
	}

	@Override
	public void marshal(final Marshaller marshaller) {
		marshaller.writeInt(lastShot);
		marshaller.writeBoolean(isTracing);
	}

	@Override
	public Marshallable demarshal(final Marshaller marshaller) {
		lastShot = marshaller.readInt();
		isTracing = marshaller.readBoolean();
		return this;
	}
}