package de.ped.troff.server.web;
import java.io.*;
import javax.xml.ws.*;
import javax.xml.ws.http.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;

@WebServiceProvider
@ServiceMode(value = Service.Mode.PAYLOAD)
public class TroffHttpServer implements Provider<Source> {

	public Source invoke(Source request) {
		return new StreamSource(new StringReader("<p>Hello There! Request is of type " + (null == request ? request : request.getClass().getName()) + "</p>"));
	}

	public static void main(String[] args) throws InterruptedException {

		String address = "http://127.0.0.1:8080/troff/";
		Endpoint.create(HTTPBinding.HTTP_BINDING, new TroffHttpServer()).publish(address);

		System.out.println("Service running at " + address);
		System.out.println("Type [CTRL]+[C] to quit!");

		Thread.sleep(Long.MAX_VALUE);
	}
}