package de.ped.troff.test;

import static org.junit.Assert.*;

import java.io.IOException;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import de.ped.troff.middleware.Connector;
import de.ped.troff.middleware.Environment;
import de.ped.troff.middleware.Message;
import de.ped.troff.middleware.NullSocket;

/**
 * Tests one side of the connection between client and server.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class ConnectorTest {

	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		// Nothing to do
	}

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
		// Nothing to do
	}

	@Before
	public void setUp() throws Exception {
		// Nothing to do
	}

	@After
	public void tearDown() throws Exception {
		// Nothing to do
	}

	@Test
	public void testNullConnector() throws IOException {
		final Environment env = new Environment();
		final Connector server = new Connector(env, null, null, true, null);
		server.connect();
		assertEquals(NullSocket.NAME, server.getSocketInfo());
		assertEquals(null, server.getClientName());

		final Connector client = new Connector(env, null, null, false, null);
		client.connect();
		assertEquals(NullSocket.NAME, client.getSocketInfo());
		assertEquals(null, client.getClientName());
		final Message msg = Message.createLoginReq("Hallo", (byte) 1);
		client.send(msg);
		assertEquals("Hallo", client.getClientName());

		final Message smsg = server.receiveWaiting(1000);
		assertNotNull(smsg);
		assertEquals("Hallo", server.getClientName());
	}
}
