package de.ped.troff.test;

import static org.junit.Assert.*;

import org.junit.Test;

import de.ped.tools.Marshaller;
import de.ped.troff.middleware.Message;

/**
 * Tests marshalling and demarshalling.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class MarshallerDemarshallerTest {

	@Test
	public void testSendTextMessageReqMessage() {
		final Message messageFactory = Message.createMessageFactory();
		final String textToWrite = "Hallo Welt";
		final Marshaller m = new Marshaller();
		final Message req = Message.createSendMessageReq(textToWrite);
		m.writeMarshallable(req);
		final byte[] pack = m.pack();
		final Marshaller d = new Marshaller(pack);
		final Message received = (Message)d.readMarshallable(messageFactory);
		assertEquals(Message.SEND_MESSAGE, received.getMsg());
		assertEquals(Message.REQUEST, received.getType());
		assertEquals(textToWrite, received.getText());
	}
}
