package de.ped.troff.test;

import static org.junit.Assert.*;

import org.junit.Test;

import de.ped.tools.test.GenericTest;
import de.ped.troff.server.logic.TroffGameProperties;

/**
 * Tests {@link TroffGameProperties}.
 * 
 * @author Copyright (c) 2012 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffGamePropertiesTest {

	protected void checkBounds(int min, int max, int value) {
		assertTrue(min <= value);
		assertTrue(value <= max);
	}
	
	@Test
	public void testProperties() {
		final TroffGameProperties p = new TroffGameProperties();
		checkBounds(TroffGameProperties.MIN_NUMBER_OF_PLAYERS, TroffGameProperties.MAX_NUMBER_OF_PLAYERS, p.getNumberOfPlayers());
		checkBounds(0, p.getBoardInfos().length, p.getBoardIndex());
		checkBounds(0, p.getSpeedInfos().length, p.getSpeedIndex());
	}

	/**
	 * @see TroffGameProperties#equals(Object)
	 * @see TroffGameProperties#clone()
	 */
	@Test
	public void testObjectBasics() {
		GenericTest.checkObjectBasics(false, new TroffGameProperties(), new TroffGameProperties());
	}
}
