package de.ped.troff.test;

import org.junit.Test;

import de.ped.tools.test.GenericTest;
import de.ped.troff.server.logic.TroffPlayerProperties;
import de.ped.troff.server.logic.TroffGameProperties;
import de.ped.troff.server.logic.TroffGameProperties.ModeInfo;

/**
 * Unit tests for the {@link TroffPlayerProperties} class.
 * 
 * @author Copyright (c) 2019 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffPlayerPropertiesTest {

	/**
	 * @see TroffPlayerProperties#equals(Object)
	 * @see TroffPlayerProperties#clone()
	 */
	@Test
	public void testObjectBasics() {
		GenericTest.checkObjectBasics(false, 
				new TroffPlayerProperties(TroffGameProperties.PLAYERTYPE_HUMAN, ModeInfo.PLAYERMODE_HUNTER, 
						ModeInfo.PLAYERMODE_PREY, 0, "Player 0", null),
				new TroffPlayerProperties(TroffGameProperties.PLAYERTYPE_RANDOM, ModeInfo.PLAYERMODE_HUNTER,
						ModeInfo.PLAYERMODE_TRACE, 1, "Player 1", null));
	}
}
