package de.ped.troff.test;

import static org.junit.Assert.*;

import org.junit.BeforeClass;
import org.junit.Test;

import de.ped.tools.ResourceFinder;
import de.ped.tools.sound.SoundClip;
import de.ped.troff.client.gui.Troff;
import de.ped.troff.client.gui.TroffSounds;
import de.ped.troff.server.logic.Event;

/**
 * Unit tests for the {@link TroffSounds} class.
 * 
 * @author Copyright (c) 2013 Peter Diefenbach (peter@pdiefenbach.de)
 */
public class TroffSoundTest {

	private static boolean IS_NOISY = false;

	@BeforeClass
	public static void beforeClass() {
		final ResourceFinder resources = new ResourceFinder(Troff.RESOURCES_PATH);
		sounds = new TroffSounds(resources);
	}

	private static TroffSounds sounds;

	/**
	 * @see TroffSounds#findSound(Object)
	 */
	@Test
	public void testEvents() {
		final int[] events = new int[] {
				Event.STEP,
				Event.SHOOT_FAILED,
				Event.SHOOT_SUCCEEDED,
				Event.HIT_WALL,
				Event.HIT_SOLID_WALL,
				Event.DEATH,
				Event.TRACE_ON,
				Event.TRACE_OFF,
				Event.INTRO,
		};
		final Integer[] soundKeys = new Integer[events.length];
		for (int i = 0; i < events.length; i++) {
			soundKeys[i] = Integer.valueOf(events[i]);
		}
		for (int soundKey : soundKeys) {
			final SoundClip clip = sounds.findSound(soundKey);
			assertNotNull("No clip for event " + soundKey, clip);
			if (IS_NOISY) {
				clip.play();
				// TODO: How to play synchronously?
			}
		}
	}
}
